#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0xa7798159, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0xa91ce2e6, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0x038a64fe, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0x57f83ad7, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0x2f6bc848, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0x597ed8da, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0xfb36e0f5, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x8a169892, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0xd722cd00, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0x6b295f4f, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0xa5d54b15, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0xce95a001, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0x2400717e, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0x4e8681fa, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0xf2f7118a, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0x98fc7420, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0xd48c7107, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0x22988da5, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0x6eb16814, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0x5ec67e0d, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0x7dfe0515, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0xbcce3e17, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0x336af758, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x46df5741, "drm_gem_fb_get_obj" },
	{ 0xe62014b8, "drm_gem_fb_begin_cpu_access" },
	{ 0x5c24db72, "drm_fb_swab" },
	{ 0x29897ddb, "drm_gem_fb_end_cpu_access" },
	{ 0x4fa4433f, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x1d88bea0, "drm_fb_memcpy" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16bdc7e0, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x697bf66e, "drm_dev_enter" },
	{ 0x6c221b9a, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd94a3402, "drm_gem_begin_shadow_fb_access" },
	{ 0x15235552, "drm_gem_end_shadow_fb_access" },
	{ 0xde9d0e3b, "drm_gem_reset_shadow_plane" },
	{ 0x684f60ca, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x334ab397, "drm_gem_destroy_shadow_plane_state" },
	{ 0x2ceb9125, "drmm_mode_config_init" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x9f40018c, "drm_connector_init" },
	{ 0xf42d9c15, "drm_simple_display_pipe_init" },
	{ 0x1d250470, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5d3306b4, "drm_connector_helper_get_modes_fixed" },
	{ 0x6158eefa, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0xb4836347, "single_open" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x70d24b2c, "regulator_disable" },
	{ 0xfb578fc5, "memset" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xa34d18d9, "spi_sync_locked" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xafe20e30, "spi_bus_lock" },
	{ 0x7b0e9566, "spi_bus_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62c20cd0, "spi_sync" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa39a66c6, "regulator_enable" },
	{ 0xecbc7134, "drm_dev_printk" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x3b38613f, "seq_read" },
	{ 0xda588655, "single_release" },
	{ 0xc363ea27, "drm_gem_fb_create_with_dirty" },
	{ 0x71fddb8c, "drm_atomic_helper_check" },
	{ 0xc4520f50, "drm_atomic_helper_commit" },
	{ 0x17d933fb, "drm_atomic_helper_connector_reset" },
	{ 0xdfafa9ff, "drm_helper_probe_single_connector_modes" },
	{ 0xeb2e326b, "drm_connector_cleanup" },
	{ 0x7f7461c2, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xcc965fad, "drm_atomic_helper_connector_destroy_state" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D84C75406ED0EF5E95F924B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
