#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2af49219, "drm_add_edid_modes" },
	{ 0x101cf238, "drm_add_modes_noedid" },
	{ 0xaf54f61b, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0x824c370a, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xc0af5e90, "drm_dev_alloc" },
	{ 0x6a600a88, "pcim_enable_device" },
	{ 0xcedb09ad, "drmm_kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x49314348, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0x122c3a7e, "_printk" },
	{ 0x94f40a6f, "drmm_vram_helper_init" },
	{ 0x2ceb9125, "drmm_mode_config_init" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x9f40018c, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xf892970e, "drm_do_get_edid" },
	{ 0x88b40b23, "drm_connector_attach_edid_property" },
	{ 0xa2677f43, "drm_connector_update_edid_property" },
	{ 0xf42d9c15, "drm_simple_display_pipe_init" },
	{ 0x912ee7a3, "drm_mode_config_reset" },
	{ 0x342879b0, "drm_dev_register" },
	{ 0x7eca4b52, "drm_fbdev_generic_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x42adb9a3, "drm_gem_vram_offset" },
	{ 0x697bf66e, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x4e48313e, "drm_vram_mm_debugfs_init" },
	{ 0xbaef3c61, "drm_gem_vram_driver_dumb_create" },
	{ 0xcfacc049, "drm_gem_ttm_dumb_map_offset" },
	{ 0x9d71f745, "noop_llseek" },
	{ 0x95edafaa, "drm_read" },
	{ 0x2d1cd20d, "drm_poll" },
	{ 0x9234eec7, "drm_ioctl" },
	{ 0xe1fb870f, "drm_compat_ioctl" },
	{ 0x5df36ba1, "drm_gem_mmap" },
	{ 0xb8854d1d, "drm_open" },
	{ 0xb8dc4058, "drm_release" },
	{ 0x6f90e2c4, "drm_vram_helper_mode_valid" },
	{ 0x71fddb8c, "drm_atomic_helper_check" },
	{ 0xc4520f50, "drm_atomic_helper_commit" },
	{ 0x17d933fb, "drm_atomic_helper_connector_reset" },
	{ 0xdfafa9ff, "drm_helper_probe_single_connector_modes" },
	{ 0xeb2e326b, "drm_connector_cleanup" },
	{ 0x7f7461c2, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xcc965fad, "drm_atomic_helper_connector_destroy_state" },
	{ 0x19be6fef, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xc4f1320b, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4636f88, "drm_mode_config_helper_resume" },
	{ 0x96972c6a, "drm_mode_config_helper_suspend" },
	{ 0xedc03953, "iounmap" },
	{ 0x7e536f6, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xfa9ae70a, "drm_dev_unplug" },
	{ 0x48df28c8, "drm_atomic_helper_shutdown" },
	{ 0xd33aa236, "drm_dev_put" },
	{ 0x457e42d, "drm_gem_fb_create" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "55917525A4E51941B7ABA35");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
