#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x824c370a, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x6a600a88, "pcim_enable_device" },
	{ 0x652bc8c4, "pci_request_regions" },
	{ 0xb3ab8fb9, "__devm_drm_dev_alloc" },
	{ 0x395ce400, "devm_ioremap" },
	{ 0x2ceb9125, "drmm_mode_config_init" },
	{ 0x4dddcce4, "drm_universal_plane_init" },
	{ 0x912ee7a3, "drm_mode_config_reset" },
	{ 0x342879b0, "drm_dev_register" },
	{ 0x7eca4b52, "drm_fbdev_generic_setup" },
	{ 0x1d250470, "drm_plane_enable_fb_damage_clips" },
	{ 0x70470b61, "drm_crtc_init_with_planes" },
	{ 0x648929c0, "drm_encoder_init" },
	{ 0x9f40018c, "drm_connector_init" },
	{ 0x55e0b7a1, "drm_connector_attach_encoder" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd5bd3737, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x83f99547, "__drm_gem_reset_shadow_plane" },
	{ 0x305a701b, "drm_atomic_helper_check_plane_state" },
	{ 0x697bf66e, "drm_dev_enter" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb19b445, "ioread8" },
	{ 0xffeba712, "drm_atomic_helper_damage_iter_init" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x53784612, "drm_fb_blit" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x5af5dfa9, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x5e0b0de7, "drm_gem_shmem_dumb_create" },
	{ 0x9d71f745, "noop_llseek" },
	{ 0x95edafaa, "drm_read" },
	{ 0x2d1cd20d, "drm_poll" },
	{ 0x9234eec7, "drm_ioctl" },
	{ 0xe1fb870f, "drm_compat_ioctl" },
	{ 0x5df36ba1, "drm_gem_mmap" },
	{ 0xb8854d1d, "drm_open" },
	{ 0xb8dc4058, "drm_release" },
	{ 0xc363ea27, "drm_gem_fb_create_with_dirty" },
	{ 0x71fddb8c, "drm_atomic_helper_check" },
	{ 0xc4520f50, "drm_atomic_helper_commit" },
	{ 0x17d933fb, "drm_atomic_helper_connector_reset" },
	{ 0xdfafa9ff, "drm_helper_probe_single_connector_modes" },
	{ 0xeb2e326b, "drm_connector_cleanup" },
	{ 0x7f7461c2, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xcc965fad, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa4fdd79e, "drm_encoder_cleanup" },
	{ 0x736b9985, "drm_atomic_helper_crtc_reset" },
	{ 0xf5603683, "drm_crtc_cleanup" },
	{ 0x12a5934, "drm_atomic_helper_set_config" },
	{ 0x1b3109c6, "drm_atomic_helper_page_flip" },
	{ 0x11de0408, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x1561ee87, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xde63495c, "drm_atomic_helper_update_plane" },
	{ 0x2062dbc2, "drm_atomic_helper_disable_plane" },
	{ 0x4684db31, "drm_plane_cleanup" },
	{ 0xd94a3402, "drm_gem_begin_shadow_fb_access" },
	{ 0x15235552, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa9ae70a, "drm_dev_unplug" },
	{ 0x48df28c8, "drm_atomic_helper_shutdown" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x101cf238, "drm_add_modes_noedid" },
	{ 0xaf54f61b, "drm_set_preferred_mode" },
	{ 0x5b554cdd, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x922c8940, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x37a0cba, "kfree" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001013d000000B8sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001013d000000B8sv00005853sd00000001bc*sc*i*");

MODULE_INFO(srcversion, "D39B139ECA962D920759377");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
