#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x85db7c14, "xen_front_pgdir_shbuf_map" },
	{ 0x862ae1a6, "xenbus_switch_state" },
	{ 0xf22aebdd, "drm_gem_object_init" },
	{ 0x2ceb9125, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12e8ec15, "drm_crtc_send_vblank_event" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc4520f50, "drm_atomic_helper_commit" },
	{ 0x71fddb8c, "drm_atomic_helper_check" },
	{ 0xcc965fad, "drm_atomic_helper_connector_destroy_state" },
	{ 0x10569435, "xen_front_pgdir_shbuf_free" },
	{ 0x5df36ba1, "drm_gem_mmap" },
	{ 0x8b47d4c, "drm_mode_create" },
	{ 0x9234eec7, "drm_ioctl" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0x677a4d1b, "xenbus_alloc_evtchn" },
	{ 0xe6cf984d, "xen_free_unpopulated_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6e44aff2, "drm_gem_vm_close" },
	{ 0xb22bb2ed, "drm_gem_vm_open" },
	{ 0xfa9ae70a, "drm_dev_unplug" },
	{ 0x9f40018c, "drm_connector_init" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce151b7b, "__xenbus_register_frontend" },
	{ 0xce807a25, "up_write" },
	{ 0x66cf2f64, "drm_display_mode_from_videomode" },
	{ 0x9d71f745, "noop_llseek" },
	{ 0x95edafaa, "drm_read" },
	{ 0x63f1831e, "drm_gem_object_release" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x39bf52be, "xen_front_pgdir_shbuf_alloc" },
	{ 0xbaa7e10, "xenbus_unregister_driver" },
	{ 0x57f6a813, "xen_front_pgdir_shbuf_unmap" },
	{ 0x74a2ad17, "vmap" },
	{ 0xe64506d3, "drm_gem_handle_create" },
	{ 0xaceacd78, "xenbus_free_evtchn" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x8cbdf873, "drm_prime_pages_to_sg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x25e64465, "drm_dev_unregister" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd33aa236, "drm_dev_put" },
	{ 0xdc6d8c8b, "drm_gem_fb_create_with_funcs" },
	{ 0x34eab46d, "bind_evtchn_to_irqhandler" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7f7461c2, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xf42d9c15, "drm_simple_display_pipe_init" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xeb2e326b, "drm_connector_cleanup" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x4e44eaf8, "devm_kasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4abacde3, "vm_map_pages" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0xdfafa9ff, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb7300169, "xen_alloc_unpopulated_pages" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x17d933fb, "drm_atomic_helper_connector_reset" },
	{ 0x912ee7a3, "drm_mode_config_reset" },
	{ 0x8609c346, "xenbus_setup_ring" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xe9d7fb10, "drm_mode_config_cleanup" },
	{ 0x37ec3c15, "xenbus_dev_error" },
	{ 0xab1d6b81, "xenbus_frontend_closed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc0af5e90, "drm_dev_alloc" },
	{ 0x8f212bab, "drm_gem_put_pages" },
	{ 0xe1fb870f, "drm_compat_ioctl" },
	{ 0x342879b0, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85cb2c45, "xen_has_pv_devices" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x1b8c2da1, "drm_prime_gem_destroy" },
	{ 0xb8dc4058, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x61db6750, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x9ef71181, "drm_kms_helper_poll_fini" },
	{ 0xb8854d1d, "drm_open" },
	{ 0x2d1cd20d, "drm_poll" },
	{ 0x697bf66e, "drm_dev_enter" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xde31505b, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x683c310, "drm_kms_helper_poll_init" },
	{ 0xa6257a2f, "complete" },
	{ 0xd2c60111, "drm_mode_probed_add" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb25772cf, "xenbus_dev_fatal" },
	{ 0x48df28c8, "drm_atomic_helper_shutdown" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x6e4ad616, "xen_front_pgdir_shbuf_get_dir_start" },
	{ 0x500d42ac, "drm_prime_sg_to_page_array" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "xen-front-pgdir-shbuf");


MODULE_INFO(srcversion, "F8249050135F814EE237FBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
