#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0xed1e4454, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x1161a13e, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x96cb9779, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x753438c3, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0xeaf302c6, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0xcbd3b2b5, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xe3048643, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0xe0c903aa, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x9b0e39d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ab4ad47, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xcd50ea70, "hid_hw_open" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x9b9c5688, "hid_hw_close" },
	{ 0x3c8626b1, "__hid_register_driver" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa6257a2f, "complete" },
	{ 0xf2015001, "hid_hw_stop" },
	{ 0x341c05c3, "mfd_remove_devices" },
	{ 0x7301304f, "hid_unregister_driver" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe7b6e54d, "hid_open_report" },
	{ 0x808e66dd, "hid_hw_start" },
	{ 0x4e44eaf8, "devm_kasprintf" },
	{ 0xf829215c, "mfd_add_devices" },
	{ 0x17746171, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "756EE107314DE9002493BB4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
