#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x71291025, "");
SYMBOL_CRC(cx88_querycap, 0x6081e1ef, "");
SYMBOL_CRC(cx88_enum_input, 0x330cc9ca, "");
SYMBOL_CRC(cx88_set_freq, 0x23d604c7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeb117a2b, "cx88_ir_stop" },
	{ 0xfa7ff83a, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5866d70, "video_devdata" },
	{ 0x16a79a97, "cx88_set_tvnorm" },
	{ 0x9644588b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x2693c38d, "v4l2_ctrl_find" },
	{ 0xcb999a1b, "cx88_ir_start" },
	{ 0x4368813a, "__v4l2_ctrl_s_ctrl" },
	{ 0xcf018831, "vb2_plane_cookie" },
	{ 0xe9a2ab1e, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf0c4f9f7, "cx88_risc_buffer" },
	{ 0xf028aaef, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x33a4458e, "cx88_set_stereo" },
	{ 0x8696c09f, "vb2_buffer_done" },
	{ 0x6852f064, "v4l2_ctrl_subscribe_event" },
	{ 0x5e587be9, "video_unregister_device" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0x5b70283b, "i2c_new_client_device" },
	{ 0xcf497ef1, "vb2_ioctl_qbuf" },
	{ 0xaad1dc62, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x24fe5322, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4cfa6fde, "vb2_fop_read" },
	{ 0xaee7f303, "cx88_sram_channel_dump" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0x589a566d, "cx88_sram_channel_setup" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7450a4d9, "__video_register_device" },
	{ 0x4102dd11, "vb2_ops_wait_prepare" },
	{ 0xb6dc5154, "vb2_ioctl_streamon" },
	{ 0x921fed13, "vb2_fop_poll" },
	{ 0x6bd3e46a, "v4l2_ctrl_new_std" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x847d0de3, "v4l2_i2c_new_subdev" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xad987aaa, "cx88_newstation" },
	{ 0x4dbee4c4, "v4l2_event_unsubscribe" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcbb93183, "vb2_ioctl_reqbufs" },
	{ 0x9eb6a647, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x734388b5, "vb2_dma_sg_memops" },
	{ 0x5b356085, "cx88_reset" },
	{ 0xdb3804c3, "v4l2_ctrl_poll" },
	{ 0x859569b7, "video_ioctl2" },
	{ 0xd9822a6e, "cx88_wakeup" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0x4f5294c7, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x4199314c, "v4l2_ctrl_add_handler" },
	{ 0x89028aca, "v4l2_i2c_new_subdev_board" },
	{ 0xf2a03de7, "cx88_set_scale" },
	{ 0xdd91110f, "vb2_ops_wait_finish" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0x51101338, "cx88_shutdown" },
	{ 0x309a4571, "cx88_vdev_init" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a194944, "vb2_ioctl_querybuf" },
	{ 0x3145a114, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4e804d8e, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xded7674a, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0x7cf363c6, "cx88_core_get" },
	{ 0xac385d41, "cx88_get_stereo" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F82C2C71A3FB5A6ED5D72C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
