#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x19e3e7ee, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0x64615270, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x9cf4c4b0, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x3705451c, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x25cca5fd, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x315723d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbd41c00, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x70339b83, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x565deda3, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2aa788cc, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x56a07a, "usb_clear_halt" },
	{ 0xb8c7e27, "usb_bulk_msg" },
	{ 0xe14b16ee, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7b49b92b, "usb_submit_urb" },
	{ 0x9b633409, "_dev_info" },
	{ 0xf6a60cf5, "i2c_del_adapter" },
	{ 0xd4d58af4, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xd4c857f, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee058f6b, "rc_register_device" },
	{ 0xab76ca3f, "usb_control_msg" },
	{ 0x2f043e98, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x35b486f, "dvb_dmxdev_release" },
	{ 0x3ddf7050, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0efd902, "input_event" },
	{ 0x7a475815, "dvb_frontend_detach" },
	{ 0xbeedcc5f, "i2c_add_adapter" },
	{ 0x59c3198f, "dvb_net_release" },
	{ 0x2358e5c7, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4f4de18c, "dvb_unregister_frontend" },
	{ 0x39f1b2ae, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf92108bc, "__media_device_usb_init" },
	{ 0xaee97b53, "dvb_register_frontend" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x668f01db, "dvb_create_media_graph" },
	{ 0xbd39bb78, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7205f32c, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x50b8b13f, "input_allocate_device" },
	{ 0xfcae55f5, "dvb_dmxdev_init" },
	{ 0xc95cc58e, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x56f7814, "media_device_unregister" },
	{ 0xa13abefa, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6377760d, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
