#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xa54ffc8d, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xf7102aa8, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xd1c43b89, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x2dab8f25, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x9bb882dd, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xaedfa0c8, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xf42f0cfe, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x06d7b397, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x3f4715dd, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x290a87f9, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x9ab8a0bc, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x0fa8d728, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x5af97b6d, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x326d824c, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x2a5f7e7d, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xe3ff2358, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xa80f7d31, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xfeab891e, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xb56d6d75, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x6e9bba08, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x5e8305a4, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x625c3a96, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x3166e2ba, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0xf60c0056, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b5a9422, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x33d7f02f, "pci_find_ext_capability" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x2dd0b639, "pci_disable_msi" },
	{ 0x652bc8c4, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x330b6fe5, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xea54d35, "pm_schedule_suspend" },
	{ 0x7ca84138, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb9d24b94, "pci_enable_msi" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1d94ca88, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf829215c, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4e68409, "pm_runtime_forbid" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0xe775cb3d, "pm_runtime_allow" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0x7e536f6, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb14bf192, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x341c05c3, "mfd_remove_devices" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x9d90ceaa, "dma_unmap_sg_attrs" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xffe30d82, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b800f43, "pci_write_config_dword" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x82a9918d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "70E2E645F22F0AD076BB45E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
