#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x522f22ac, "");
SYMBOL_CRC(mmc_request_done, 0x60859a92, "");
SYMBOL_CRC(mmc_start_request, 0xbdb8c8be, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x0e6c2725, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x4a6e44e8, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x14b5a3ac, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xcde54164, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x55730ca9, "");
SYMBOL_CRC(mmc_is_req_done, 0xb008dc6b, "");
SYMBOL_CRC(mmc_wait_for_req, 0x33c211df, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x28206110, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x8198f829, "");
SYMBOL_CRC(__mmc_claim_host, 0x52989a08, "");
SYMBOL_CRC(mmc_release_host, 0xb211632f, "");
SYMBOL_CRC(mmc_get_card, 0x75437c90, "");
SYMBOL_CRC(mmc_put_card, 0xa172ee6a, "");
SYMBOL_CRC(mmc_detect_change, 0x5cc8a4d6, "");
SYMBOL_CRC(mmc_erase, 0x28eb911b, "");
SYMBOL_CRC(mmc_can_erase, 0x6fe3c06d, "");
SYMBOL_CRC(mmc_can_trim, 0x28dd0b15, "");
SYMBOL_CRC(mmc_can_discard, 0x530ef5f4, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x1c58da2a, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x0d187960, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x9d90a6fd, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x516edeb6, "");
SYMBOL_CRC(mmc_set_blocklen, 0xbb5a1c3e, "");
SYMBOL_CRC(mmc_hw_reset, 0x236e4bff, "");
SYMBOL_CRC(mmc_sw_reset, 0xb0182ee3, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x6a924c35, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0xaf2a2027, "");
SYMBOL_CRC(mmc_register_driver, 0xa30c662b, "");
SYMBOL_CRC(mmc_unregister_driver, 0x88467b0f, "");
SYMBOL_CRC(mmc_retune_pause, 0x09f33f70, "");
SYMBOL_CRC(mmc_retune_unpause, 0xcbb939f2, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x88c9517b, "");
SYMBOL_CRC(mmc_retune_release, 0x30edc41a, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xb4b06fbc, "");
SYMBOL_CRC(mmc_of_parse, 0xc4b29f19, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x8e3a125c, "");
SYMBOL_CRC(mmc_alloc_host, 0x213d2401, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x0c0906b3, "");
SYMBOL_CRC(mmc_add_host, 0x1d33d2f9, "");
SYMBOL_CRC(mmc_remove_host, 0xfe06cd07, "");
SYMBOL_CRC(mmc_free_host, 0x92811083, "");
SYMBOL_CRC(__mmc_send_status, 0x98a7bd4f, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x91ede895, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x7c93e252, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x06103bfa, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xf5a38629, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x1d81c279, "_gpl");
SYMBOL_CRC(mmc_switch, 0x87c47267, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x3faede91, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0xdbd73c8c, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x982f7485, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xee7ef85f, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x23754788, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xe1ac5501, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x643ec1f5, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x1a15c249, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0xc731ceb1, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0xc937537b, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xc50c9b40, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xae968795, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x8a0616da, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x489958f7, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x78e19645, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xe6b18e58, "_gpl");
SYMBOL_CRC(sdio_readb, 0x29010e78, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x11802865, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x86c09ea5, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x757ef40c, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0xe3e0aeeb, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x6b69e72d, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x38f2908a, "_gpl");
SYMBOL_CRC(sdio_readw, 0x6842d47a, "_gpl");
SYMBOL_CRC(sdio_writew, 0x9b21ccad, "_gpl");
SYMBOL_CRC(sdio_readl, 0xf6c916a4, "_gpl");
SYMBOL_CRC(sdio_writel, 0x403195a0, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xb194da6c, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xdda3d1a7, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x311b2d77, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xb43f3fe5, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x155ebfce, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xe151628c, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xc838abde, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x88c63d36, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x7479c4bb, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xde20083d, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0xc60efa8f, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xfae445cd, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x4e2afca9, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xd0f41ecc, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xf201ec29, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x50b0c3e1, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x03d1f018, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x7f22f1d7, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x967603ea, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xa005761d, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x95e8ce39, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x9a740eb4, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x7753021e, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x034a6d0f, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x6c23ab4c, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x9d634344, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0x0a866c53, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0xc2e0c32b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x1b5b1289, "simple_attr_release" },
	{ 0x897b7bc7, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x917b0660, "__devres_alloc_node" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3194f070, "devm_gpiod_get_index" },
	{ 0x68b91ff4, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a927f22, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x63c15676, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc838263, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8e1b4122, "regulator_is_supported_voltage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x4e44eaf8, "devm_kasprintf" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x96963e80, "gpiod_cansleep" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0xc94da1db, "gpiod_is_active_low" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x46ba2675, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xda588655, "single_release" },
	{ 0x70d24b2c, "regulator_disable" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd0fec53d, "__pm_runtime_suspend" },
	{ 0x400a0e44, "set_primary_fwnode" },
	{ 0xe4258751, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb4836347, "single_open" },
	{ 0x9bed8ce3, "gpiod_set_consumer_name" },
	{ 0x8682d467, "__pm_runtime_disable" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x7dc5732a, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x98465067, "driver_register" },
	{ 0x982a34c7, "class_register" },
	{ 0xffe30d82, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x939991a3, "__dev_fwnode" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf8b07409, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa39a66c6, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xdff510f0, "device_property_present" },
	{ 0xe0eb4b04, "blk_crypto_reprogram_all_keys" },
	{ 0x8551736b, "wakeup_source_register" },
	{ 0x25a31381, "is_acpi_device_node" },
	{ 0x28db1923, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0x9087d1f7, "debugfs_attr_write" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0xfc439940, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x94620d94, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf1bd3961, "gpiod_toggle_active_low" },
	{ 0x89aad024, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x734167a5, "bpf_trace_run2" },
	{ 0x403d514e, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbaad4428, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3a851eb7, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x58fd91d, "sched_set_fifo_low" },
	{ 0xb7b9513c, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6554b4b, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x7334b9ce, "pm_generic_runtime_resume" },
	{ 0x36c88658, "pm_generic_resume" },
	{ 0x30477eb4, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6426898, "__pm_runtime_set_status" },
	{ 0xf3048ba6, "pm_wakeup_ws_event" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4a22368c, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x950b9ad, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe1e2520e, "put_device" },
	{ 0xea7adedf, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xaa59ba95, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b633409, "_dev_info" },
	{ 0xfb99c8dd, "gpiod_set_debounce" },
	{ 0xcd4bfd60, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x24df4855, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x3df6821b, "pm_generic_suspend" },
	{ 0x9802542c, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xd7ed4156, "debugfs_create_file_unsafe" },
	{ 0xded25f9c, "device_add" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F71BC8A2B953F055F1CC5D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
