#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3a44406, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd9e18879, "__devm_request_region" },
	{ 0x526d728b, "sdhci_alloc_host" },
	{ 0x395ce400, "devm_ioremap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f22f1d7, "mmc_gpiod_request_cd" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x4c90e487, "sdhci_setup_host" },
	{ 0x5866192f, "__sdhci_add_host" },
	{ 0xc3b89eaf, "sdhci_cleanup_host" },
	{ 0x7f99bc90, "sdhci_free_host" },
	{ 0xd6426898, "__pm_runtime_set_status" },
	{ 0x533c75f8, "pm_runtime_set_autosuspend_delay" },
	{ 0xd8a4f18f, "__pm_runtime_use_autosuspend" },
	{ 0xea7adedf, "pm_runtime_enable" },
	{ 0x32fe7afd, "platform_driver_unregister" },
	{ 0x58630db5, "sdhci_execute_tuning" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x51ec8b8c, "sdhci_runtime_suspend_host" },
	{ 0x8420da15, "sdhci_suspend_host" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92e44b26, "sdhci_start_signal_voltage_switch" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc41f3f41, "sdhci_remove_host" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x8682d467, "__pm_runtime_disable" },
	{ 0x50bfb488, "sdhci_reset" },
	{ 0xe94a4d58, "sdhci_set_ios" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xce934004, "sdhci_set_clock" },
	{ 0xcfebd8b6, "sdhci_set_bus_width" },
	{ 0x99643993, "sdhci_set_uhs_signaling" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7a85e24, "__platform_driver_register" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x7a88da87, "iosf_mbi_write" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ee6e657, "sdhci_runtime_resume_host" },
	{ 0xf8f0438e, "sdhci_resume_host" },
	{ 0x6e461e0a, "__sdhci_read_caps" },
	{ 0x25a31381, "is_acpi_device_node" },
	{ 0xed41920e, "acpi_dev_hid_uid_match" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9795966d, "platform_get_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd0f41ecc, "mmc_gpio_get_cd" },
	{ 0x286634e6, "sdhci_get_cd_nogpio" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xdfe11499, "acpi_device_fix_up_power_extended" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");

MODULE_ALIAS("acpi*:80865ACA:*");
MODULE_ALIAS("acpi*:80865ACC:*");
MODULE_ALIAS("acpi*:80865AD0:*");
MODULE_ALIAS("acpi*:80860F14:*");
MODULE_ALIAS("acpi*:80860F16:*");
MODULE_ALIAS("acpi*:INT33BB:*");
MODULE_ALIAS("acpi*:INT33C6:*");
MODULE_ALIAS("acpi*:INT3436:*");
MODULE_ALIAS("acpi*:INT344D:*");
MODULE_ALIAS("acpi*:PNP0D40:*");
MODULE_ALIAS("acpi*:QCOM8051:*");
MODULE_ALIAS("acpi*:QCOM8052:*");
MODULE_ALIAS("acpi*:AMDI0040:*");
MODULE_ALIAS("acpi*:AMDI0041:*");

MODULE_INFO(srcversion, "B549DC609F3DE2293ACCF8C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
