#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x4944ba68, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xc837be56, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xd86f47ca, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x75b96082, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xb02a6e85, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xbe656fef, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xe95222b7, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x09d3f88d, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x5174642f, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x9d79570b, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x2d58af2c, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x45139242, "_gpl");
SYMBOL_CRC(nand_status_op, 0x91826bbf, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x6e73a95e, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x313499ed, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xd1b3a7fe, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x2592a787, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0xd840de45, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x0399d56f, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xe60a0537, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x0b1fc33f, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x314348c7, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x1f7e2734, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x8ed1f87f, "");
SYMBOL_CRC(nand_write_oob_std, 0xa2fb7de2, "");
SYMBOL_CRC(nand_write_page_raw, 0x84b74b55, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0xc524e1ff, "");
SYMBOL_CRC(nand_decode_ext_id, 0x0117c24a, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x7878b91c, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x6775278a, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x52b98db7, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x292f2d11, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0xa98ef52f, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x084daeee, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0xdd1f6e57, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0xb0628c8e, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x91b7d188, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x94995495, "");
SYMBOL_CRC(nand_cleanup, 0xb8913fae, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xc2c949a1, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xf5ee33c2, "");
SYMBOL_CRC(nand_create_bbt, 0xcabf8198, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x55244fa5, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa55dbfb4, "mtd_ooblayout_get_databytes" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xd2057a61, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x4b47fc80, "nanddev_mtd_max_bad_blocks" },
	{ 0x4ff79513, "nand_ecc_sw_bch_calculate" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xf8b07409, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x5eff8d8, "mtd_read_oob" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xd9852a88, "gpiod_count" },
	{ 0xa28b1be0, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4171da39, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32c3bc13, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b771505, "gpiod_get_index_optional" },
	{ 0x6815d792, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xfe1cbbd2, "nanddev_init" },
	{ 0xf2e467dc, "nand_ecc_sw_bch_correct" },
	{ 0xf43829cb, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0xc8e27efd, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7f067f4e, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x992d2d44, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x85342ab8, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xf44eb15e, "nand_ecc_is_strong_enough" },
	{ 0xde7eec7f, "mtd_write_oob" },
	{ 0xec6a36ce, "nand_get_small_page_ooblayout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x8ab4d0d7, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6c607238, "mtd_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dc09578, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7a67e859, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "A32CB71D175161A86E0D166");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
