#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ksz_switch_chips, "_gpl", "");
KSYMTAB_FUNC(ksz_switch_alloc, "", "");
KSYMTAB_FUNC(ksz_switch_register, "", "");
KSYMTAB_FUNC(ksz_switch_remove, "", "");

SYMBOL_CRC(ksz_switch_chips, 0xae12e5f2, "_gpl");
SYMBOL_CRC(ksz_switch_alloc, 0xabe7911b, "");
SYMBOL_CRC(ksz_switch_register, 0xf25f09e3, "");
SYMBOL_CRC(ksz_switch_remove, 0x022c4778, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb347e72, "skb_complete_tx_timestamp" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x2e66087c, "dsa_unregister_switch" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5a803bfe, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xeab5549d, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb116ab6e, "ptp_clock_unregister" },
	{ 0x41bfa74a, "regmap_read" },
	{ 0x3914a437, "regmap_bulk_write" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb8a69778, "regmap_bulk_read" },
	{ 0x1da09d7f, "irq_create_mapping_affinity" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc768ec9a, "irq_domain_create_simple" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xae1ad959, "regmap_update_bits_base" },
	{ 0x6b5bb0c8, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5721e338, "irq_domain_xlate_twocell" },
	{ 0x3d1018f5, "regmap_write" },
	{ 0x16fce12c, "handle_level_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xefe3bc52, "skb_clone_sk" },
	{ 0xce778a8d, "dsa_enqueue_skb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x21d24a3f, "irq_domain_remove" },
	{ 0x6158eefa, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xfda7f956, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x91af8040, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa4576caf, "devm_gpiod_get_optional" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27a7870c, "ptp_find_pin" },
	{ 0x72c853fc, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x59809d6, "irq_set_chip_and_handler_name" },
	{ 0x9b633409, "_dev_info" },
	{ 0xf764468b, "ptp_classify_raw" },
	{ 0x27db8e, "ptp_cancel_worker_sync" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x974ebe5c, "ptp_clock_register" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "dsa_core");


MODULE_INFO(srcversion, "2DA6F338CD7B641FFE7C3B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
