#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x383c7708, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x2e9ace6d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72fa52d4, "netif_set_real_num_rx_queues" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x89f2fd6a, "napi_enable" },
	{ 0xc71c02cf, "netif_receive_skb" },
	{ 0x2b0fb185, "register_netdev" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdade1a72, "ethtool_op_get_link" },
	{ 0x81ca671, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x675fbb1f, "pci_iounmap" },
	{ 0xae23ab8e, "pci_restore_state" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0x45049798, "devm_hwmon_device_register_with_groups" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0x2262cb64, "netif_tx_lock" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0xbc75f1b4, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e536f6, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8facdad9, "alloc_pages" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf8f45790, "skb_clone" },
	{ 0x223f8016, "__hw_addr_sync_dev" },
	{ 0xf98a2681, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x85279ae6, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0xf4dde43c, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x4eabebd4, "napi_schedule_prep" },
	{ 0xda7231e6, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x525eeb86, "napi_disable" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0x29095f4, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x41d1cdc2, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b800f43, "pci_write_config_dword" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x98fe8260, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x91d8ca21, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x36d31a6c, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x72de49cb, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x16f1be0f, "param_ops_ushort" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xc3d8d5c9, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xee43cf83, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x34be6b3a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7e73a48e, "ndo_dflt_bridge_getlink" },
	{ 0xca6c3a57, "unregister_netdev" },
	{ 0xf5680483, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0x98234e27, "pci_num_vf" },
	{ 0x652bc8c4, "pci_request_regions" },
	{ 0x3759452a, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xb3015cda, "pci_sriov_get_totalvfs" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0x30ccbd6a, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83f62a97, "udp_tunnel_nic_ops" },
	{ 0xd301bb54, "__netif_napi_del" },
	{ 0x81bb5dbd, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0x330b6fe5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0xac188ae4, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x41099c43, "__napi_schedule" },
	{ 0x9520863, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x579fed08, "netif_device_detach" },
	{ 0x12118ce2, "__hw_addr_unsync_dev" },
	{ 0x9b633409, "_dev_info" },
	{ 0x9a54524f, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x1c69c865, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe58f6875, "netif_set_real_num_tx_queues" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E1C7FFCF4852CAE7984BA3D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
