#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x5e18e235, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xfca845b9, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x0d397552, "_gpl");
SYMBOL_CRC(fun_bind, 0x545cc6f0, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xeb6325d0, "");
SYMBOL_CRC(fun_release_irqs, 0x455ce0de, "");
SYMBOL_CRC(fun_serv_stop, 0x4d6c4b57, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0x915e6105, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x7f0a5598, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xff2f836e, "");
SYMBOL_CRC(fun_dev_enable, 0x1a51d2be, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xbe7ab5df, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xab4f14f4, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x79583970, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x75fa5aee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef3bb174, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x47ad769c, "pci_enable_device_mem" },
	{ 0x5ddfd5bc, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd66a7a35, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0x93a5aacd, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x72b21c69, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85142df4, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x9b633409, "_dev_info" },
	{ 0x8faccb79, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd8fd2a65, "__alloc_pages" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x869f59df, "pcie_print_link_status" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x707463db, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x91d8ca21, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x966f7a85, "pci_msix_vec_count" },
	{ 0xa9179cb7, "pci_request_selected_regions" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B834C245229F619B0CF1B21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
