#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0xac188ae4, "napi_complete_done" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x525eeb86, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0x579fed08, "netif_device_detach" },
	{ 0xf7370f56, "system_state" },
	{ 0xe6e88b00, "pci_wake_from_d3" },
	{ 0x25f9f7d, "pci_set_power_state" },
	{ 0xa9f09042, "pci_prepare_to_sleep" },
	{ 0x98fe8260, "alloc_etherdev_mqs" },
	{ 0x9166fada, "strncpy" },
	{ 0xee43cf83, "netif_napi_add_weight" },
	{ 0x652bc8c4, "pci_request_regions" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0xc3d8d5c9, "pci_iomap" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x4154e829, "pci_pme_active" },
	{ 0x2b0fb185, "register_netdev" },
	{ 0x49ed2d06, "dma_pool_create" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x89f2fd6a, "napi_enable" },
	{ 0xbc75f1b4, "pci_enable_wake" },
	{ 0x9a54524f, "netif_device_attach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x853f7f9a, "mii_ethtool_sset" },
	{ 0x4eabebd4, "napi_schedule_prep" },
	{ 0x41099c43, "__napi_schedule" },
	{ 0x30ccbd6a, "eth_validate_addr" },
	{ 0x1d280a62, "ethtool_op_get_ts_info" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0x122c3a7e, "_printk" },
	{ 0xea5f5cc, "netdev_printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19b445, "ioread8" },
	{ 0x848d372e, "iowrite8" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe97de774, "netdev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0x1321db5a, "consume_skb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6e94ef, "mii_link_ok" },
	{ 0xace8d50b, "mii_ethtool_get_link_ksettings" },
	{ 0x22f9be66, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5aee78a2, "generic_mii_ioctl" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0xc03d8da1, "skb_tstamp_tx" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e67a71c, "device_set_wakeup_enable" },
	{ 0xa4704c85, "mii_ethtool_set_link_ksettings" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0xca6c3a57, "unregister_netdev" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0x675fbb1f, "pci_iounmap" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0x7e536f6, "pci_release_regions" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x69d7fd12, "mii_ethtool_gset" },
	{ 0x2e172ccf, "mii_check_link" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7c776312, "skb_put" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0xc71c02cf, "netif_receive_skb" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00008086d00001029sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001030sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001031sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001032sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001033sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001034sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001038sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001039sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Csv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Esv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001050sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001051sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001052sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001053sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001054sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001055sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001056sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001057sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001059sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001064sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001065sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001066sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001067sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001068sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001069sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001091sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001092sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001093sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001094sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001095sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d000010FEsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001209sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001229sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002449sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002459sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000245Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d000027DCsv*sd*bc02sc00i*");

MODULE_INFO(srcversion, "C012C7E9FAAD902F624BA21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
