#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xeed4eb17, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xa416c17e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72fa52d4, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0xe326ddf9, "pci_read_config_word" },
	{ 0x89f2fd6a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x5a7325bf, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xf754352e, "dcbnl_ieee_notify" },
	{ 0x6729d0e, "xsk_uses_need_wakeup" },
	{ 0x2b0fb185, "register_netdev" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0xa8a7d519, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdade1a72, "ethtool_op_get_link" },
	{ 0xeaa9e6f, "eth_platform_get_mac_address" },
	{ 0x81ca671, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x43cfc340, "__SCK__tp_func_xdp_exception" },
	{ 0x96293904, "netif_tx_stop_all_queues" },
	{ 0xae23ab8e, "pci_restore_state" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0x1a927f22, "device_del" },
	{ 0xa4f6ed9, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0x22832a23, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xb664de04, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf510a65f, "ptp_clock_event" },
	{ 0xeabc6f62, "netif_schedule_queue" },
	{ 0xd8fd2a65, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2077655c, "flow_rule_match_ipv6_addrs" },
	{ 0x8cb9e004, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb116ab6e, "ptp_clock_unregister" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0xbfbc9aa0, "xp_dma_unmap" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2eaaf38f, "netdev_unbind_sb_channel" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x64afbe3b, "bpf_trace_run3" },
	{ 0x10eff5ad, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd671e7be, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4356decb, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0xc5cccdbc, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc7bcc2d, "netdev_reset_tc" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1a6aec3e, "call_netdevice_notifiers" },
	{ 0xd45ee119, "xp_set_rxq_info" },
	{ 0x5e95af78, "flow_rule_match_vlan" },
	{ 0xf718704d, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb1690071, "napi_build_skb" },
	{ 0x8c44c133, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0x223f8016, "__hw_addr_sync_dev" },
	{ 0xf98a2681, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x4d6c60c9, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x85279ae6, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8331a6dd, "dev_uc_add_excl" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x648ac48b, "xp_free" },
	{ 0x5b936801, "dev_mc_add_excl" },
	{ 0x15b7d5df, "dev_uc_add" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xffb2ce2b, "_dev_crit" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x6a3699b2, "xdp_master_redirect" },
	{ 0x68555ca7, "__napi_schedule_irqoff" },
	{ 0x4eabebd4, "napi_schedule_prep" },
	{ 0x2586689b, "napi_consume_skb" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x94626bf, "xp_alloc_batch" },
	{ 0x525eeb86, "napi_disable" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0x8eda2505, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9a13823d, "flow_rule_match_control" },
	{ 0x41d1cdc2, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4a6cf488, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d280a62, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x806b1fa2, "__tracepoint_xdp_exception" },
	{ 0xc80e9113, "xsk_tx_completed" },
	{ 0x98fe8260, "alloc_etherdev_mqs" },
	{ 0x91d8ca21, "pci_save_state" },
	{ 0x5b203f54, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x4b5a9422, "pcie_capability_read_word" },
	{ 0x5e67a71c, "device_set_wakeup_enable" },
	{ 0x36d31a6c, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xba1c724a, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x33d7f02f, "pci_find_ext_capability" },
	{ 0x15f65ffe, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9ce18263, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa9179cb7, "pci_request_selected_regions" },
	{ 0xef3bb174, "pci_release_selected_regions" },
	{ 0xe6e88b00, "pci_wake_from_d3" },
	{ 0xc03d8da1, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x39f01739, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2433b702, "auxiliary_device_init" },
	{ 0x47ad769c, "pci_enable_device_mem" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xee43cf83, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4e8ce4ac, "xsk_tx_peek_release_desc_batch" },
	{ 0x34be6b3a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x4e431a65, "bpf_warn_invalid_xdp_action" },
	{ 0x7e73a48e, "ndo_dflt_bridge_getlink" },
	{ 0xca6c3a57, "unregister_netdev" },
	{ 0x12ca7a34, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbccbb71, "xdp_features_set_redirect_target" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0xd52a7bc6, "pci_get_device" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x98234e27, "pci_num_vf" },
	{ 0xfeca06d3, "flow_rule_match_eth_addrs" },
	{ 0xec5d168c, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2dd0b639, "pci_disable_msi" },
	{ 0xfda7f956, "ptp_clock_index" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x9216cfb7, "xdp_do_redirect" },
	{ 0x30ccbd6a, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x734167a5, "bpf_trace_run2" },
	{ 0xc09440cb, "netdev_warn" },
	{ 0x83f62a97, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x25f9f7d, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x7440ada7, "flow_rule_match_ipv4_addrs" },
	{ 0xd301bb54, "__netif_napi_del" },
	{ 0xaa747a0, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xe97de774, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0x175e8b7f, "pci_restore_msi_state" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x3af827cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x27a7870c, "ptp_find_pin" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xac188ae4, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x43e7b756, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe1e2520e, "put_device" },
	{ 0x41099c43, "__napi_schedule" },
	{ 0x32dc351c, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9520863, "pci_enable_msix_range" },
	{ 0x836ae524, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a532320, "__free_pages" },
	{ 0x12118ce2, "__hw_addr_unsync_dev" },
	{ 0x9b633409, "_dev_info" },
	{ 0xa4b715de, "napi_gro_receive" },
	{ 0x166547da, "xdp_features_clear_redirect_target" },
	{ 0x8faccb79, "pci_select_bars" },
	{ 0xfe56228d, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfa2f0757, "xp_raw_get_dma" },
	{ 0xb4f0d02, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x270b5819, "xdp_rxq_info_is_reg" },
	{ 0x74b9beba, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7dd43e9b, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb9d24b94, "pci_enable_msi" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x1c69c865, "softnet_data" },
	{ 0x8f4d3e13, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x3f970c2d, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x974ebe5c, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x7d7d5786, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe58f6875, "netif_set_real_num_tx_queues" },
	{ 0x5149f8b6, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4714549A4C0D3DFEF34B47E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
