#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x5101d0dd, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xe3b6fedb, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x1b2566c0, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x6346a457, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x2f9ab89f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x7d7d5786, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe58f6875, "netif_set_real_num_tx_queues" },
	{ 0x5149f8b6, "__auxiliary_device_add" },
	{ 0x9938c872, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x72fa52d4, "netif_set_real_num_rx_queues" },
	{ 0x9a18a155, "flow_indr_block_cb_alloc" },
	{ 0x9cead49, "pci_wait_for_pending_transaction" },
	{ 0xf790af51, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xead91365, "pci_device_is_present" },
	{ 0xe326ddf9, "pci_read_config_word" },
	{ 0xef4ac6ac, "pcie_flr" },
	{ 0x89f2fd6a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x5a7325bf, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xf754352e, "dcbnl_ieee_notify" },
	{ 0x6729d0e, "xsk_uses_need_wakeup" },
	{ 0x2b0fb185, "register_netdev" },
	{ 0x38e9665b, "dev_mc_del" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0xa8a7d519, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdade1a72, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x81ca671, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x43cfc340, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x96293904, "netif_tx_stop_all_queues" },
	{ 0xae23ab8e, "pci_restore_state" },
	{ 0x63de2e35, "bpf_trace_run1" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0x1a927f22, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0x22832a23, "dcb_getapp" },
	{ 0xf7227055, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xb664de04, "flow_rule_match_ports" },
	{ 0xb7afb109, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf510a65f, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xeabc6f62, "netif_schedule_queue" },
	{ 0xd8fd2a65, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2077655c, "flow_rule_match_ipv6_addrs" },
	{ 0x8cb9e004, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb116ab6e, "ptp_clock_unregister" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0xbfbc9aa0, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x68eb3cf9, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe041803b, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x43ccd984, "flow_rule_match_pppoe" },
	{ 0x3729d343, "pv_ops" },
	{ 0x9384d3ac, "flow_rule_match_enc_control" },
	{ 0x64afbe3b, "bpf_trace_run3" },
	{ 0x10eff5ad, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x315377ec, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5209279a, "gnss_deregister_device" },
	{ 0x346990d7, "rps_may_expire_flow" },
	{ 0x388e549d, "metadata_dst_free" },
	{ 0xc5cccdbc, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc7bcc2d, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9f05b3c2, "devlink_params_register" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0xfb651fca, "kthread_destroy_worker" },
	{ 0x426be66a, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd1cc6d11, "flow_rule_match_enc_ports" },
	{ 0xd9692903, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x1a6aec3e, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x869f59df, "pcie_print_link_status" },
	{ 0xd45ee119, "xp_set_rxq_info" },
	{ 0x5e95af78, "flow_rule_match_vlan" },
	{ 0xf718704d, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb1690071, "napi_build_skb" },
	{ 0x629d4fc6, "netdev_master_upper_dev_get_rcu" },
	{ 0x8c44c133, "__xdp_rxq_info_reg" },
	{ 0x25247b3, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x34b564b, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x76995d31, "devlink_priv" },
	{ 0x223f8016, "__hw_addr_sync_dev" },
	{ 0x397a8c53, "devlink_port_register_with_ops" },
	{ 0xf98a2681, "pci_disable_sriov" },
	{ 0x2cff7025, "pldmfw_flash_image" },
	{ 0x34d31036, "kthread_queue_delayed_work" },
	{ 0x968cbc4b, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x11e7f2f7, "dst_release" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x4d6c60c9, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8331a6dd, "dev_uc_add_excl" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0xd1d6e0b7, "boot_cpu_data" },
	{ 0x648ac48b, "xp_free" },
	{ 0x5b936801, "dev_mc_add_excl" },
	{ 0xd6faebda, "gnss_put_device" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf4dde43c, "netif_set_tso_max_size" },
	{ 0x96227595, "__skb_flow_dissect" },
	{ 0xc8cbe08b, "vlan_dev_vlan_id" },
	{ 0x40a72975, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa815fbc8, "pcim_iomap_table" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x6a3699b2, "xdp_master_redirect" },
	{ 0x139577f6, "__devm_add_action" },
	{ 0x4eabebd4, "napi_schedule_prep" },
	{ 0x2586689b, "napi_consume_skb" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x94626bf, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x525eeb86, "napi_disable" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0x8eda2505, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6a600a88, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x707463db, "pci_free_irq_vectors" },
	{ 0x9a13823d, "flow_rule_match_control" },
	{ 0xf32adbee, "flow_rule_match_ip" },
	{ 0x41d1cdc2, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4a6cf488, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1d280a62, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x9701a4dd, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x806b1fa2, "__tracepoint_xdp_exception" },
	{ 0xc80e9113, "xsk_tx_completed" },
	{ 0x98fe8260, "alloc_etherdev_mqs" },
	{ 0xc31a91d8, "netdev_lower_get_next" },
	{ 0x1c58ffc7, "flow_block_cb_lookup" },
	{ 0x91d8ca21, "pci_save_state" },
	{ 0x5b203f54, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8b27e657, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x5e67a71c, "device_set_wakeup_enable" },
	{ 0x36d31a6c, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xba1c724a, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x33d7f02f, "pci_find_ext_capability" },
	{ 0xa57c670a, "kthread_create_worker" },
	{ 0x15f65ffe, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9ce18263, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x77d05e2b, "devlink_unregister" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0xce4d231c, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xe6e88b00, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc03d8da1, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb9724771, "call_switchdev_notifiers" },
	{ 0x39f01739, "__napi_alloc_skb" },
	{ 0x3c195d50, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x869f05a9, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2433b702, "auxiliary_device_init" },
	{ 0x47ad769c, "pci_enable_device_mem" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x2f3d76e1, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5ddfd5bc, "pci_alloc_irq_vectors" },
	{ 0x3bbb99aa, "flow_rule_match_l2tpv3" },
	{ 0xee43cf83, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4e8ce4ac, "xsk_tx_peek_release_desc_batch" },
	{ 0x34be6b3a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e7b7015, "dmam_alloc_attrs" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x82504ce5, "devl_lock" },
	{ 0x4e431a65, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7e73a48e, "ndo_dflt_bridge_getlink" },
	{ 0xca6c3a57, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbccbb71, "xdp_features_set_redirect_target" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd52a7bc6, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x334debac, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x29c2f1b1, "flow_rule_match_cvlan" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x665a7574, "devlink_params_unregister" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0xf0dcc20d, "gnss_insert_raw" },
	{ 0x98234e27, "pci_num_vf" },
	{ 0xfeca06d3, "flow_rule_match_eth_addrs" },
	{ 0xec5d168c, "skb_add_rx_frag" },
	{ 0xbb692408, "get_device_system_crosststamp" },
	{ 0xbd65b41a, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfda7f956, "ptp_clock_index" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3a34357, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7780f1a, "devlink_alloc_ns" },
	{ 0x3e0c59e, "devl_rate_leaf_destroy" },
	{ 0x979da62b, "devlink_register" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x9216cfb7, "xdp_do_redirect" },
	{ 0xbe1a1a6e, "devlink_free" },
	{ 0x30ccbd6a, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x734167a5, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe83a2274, "devl_rate_node_create" },
	{ 0xc09440cb, "netdev_warn" },
	{ 0x83f62a97, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x25f9f7d, "pci_set_power_state" },
	{ 0xd45e514d, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93a5aacd, "pci_irq_vector" },
	{ 0x7440ada7, "flow_rule_match_ipv4_addrs" },
	{ 0xd301bb54, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7f8f5926, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xe97de774, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0xc1968b09, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xb21d95f2, "devlink_flash_update_status_notify" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0x175e8b7f, "pci_restore_msi_state" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x999d13e7, "xdp_return_buff" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x3af827cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x4cfeb3fe, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0xac188ae4, "napi_complete_done" },
	{ 0x35a38915, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x47119d3, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x43e7b756, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe1e2520e, "put_device" },
	{ 0x459e9dd9, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x41099c43, "__napi_schedule" },
	{ 0x32dc351c, "ipv6_skip_exthdr" },
	{ 0x836ae524, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x79416265, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a532320, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x12118ce2, "__hw_addr_unsync_dev" },
	{ 0x9b633409, "_dev_info" },
	{ 0xa4b715de, "napi_gro_receive" },
	{ 0x166547da, "xdp_features_clear_redirect_target" },
	{ 0xfe56228d, "netdev_pick_tx" },
	{ 0x1cc0d5be, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfa2f0757, "xp_raw_get_dma" },
	{ 0xb4f0d02, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x270b5819, "xdp_rxq_info_is_reg" },
	{ 0x25eb68f8, "flow_rule_match_enc_opts" },
	{ 0x74b9beba, "flow_block_cb_setup_simple" },
	{ 0x4e381412, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7dd43e9b, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x86924464, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa4e0e146, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9080c369, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xbc881136, "vlan_dev_real_dev" },
	{ 0xa8bd9ca1, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x46b01c67, "devm_kmemdup" },
	{ 0xf6d43594, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xba19e093, "devlink_port_unregister" },
	{ 0x67f3c2a3, "devlink_flash_update_timeout_notify" },
	{ 0x91ba54c6, "devm_kfree" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x4039ba20, "init_net" },
	{ 0x1c69c865, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3f970c2d, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x974ebe5c, "ptp_clock_register" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "22687C31FB91937365EACEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
