#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x1b802f33, "");
SYMBOL_CRC(ocelot_mact_forget, 0x8eea3d5d, "");
SYMBOL_CRC(ocelot_mact_lookup, 0xbaa87bee, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xc62a6c83, "");
SYMBOL_CRC(ocelot_pll5_init, 0x9d511f75, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x1524a33b, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x4099e8c2, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x858f9082, "");
SYMBOL_CRC(ocelot_vlan_add, 0xed6bf39f, "");
SYMBOL_CRC(ocelot_vlan_del, 0xe042dc87, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xfe6c4fed, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xc277d3a3, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x7b1fc48f, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x45741653, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x6201214a, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x18e29e8a, "");
SYMBOL_CRC(ocelot_can_inject, 0x5936b889, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x62c05818, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x26ee9539, "");
SYMBOL_CRC(ocelot_fdb_add, 0xc8d0d9a9, "");
SYMBOL_CRC(ocelot_fdb_del, 0xe2c5592c, "");
SYMBOL_CRC(ocelot_mact_flush, 0xa2451fdb, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x28b768e1, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x17575748, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0xb2447024, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x169969bc, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x37b4bf17, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xeef7086b, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xbe458fa9, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x6dd03275, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xf7b2d8ee, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xbb258c55, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x452f400a, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x7cc0db9d, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x829a20da, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x3ea7206d, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xef1242a8, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x6e90f3f3, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x1aeeb5dd, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x039214d0, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xd698e1a5, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xd58b5e2e, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x42eb18a4, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x27fcb2e9, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x1e9ac6a9, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x8b23419f, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xd625c0df, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x6330b349, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x33b6db38, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x032499fe, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x358eb838, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x55e1bcda, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0xa5af81a9, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x686a338d, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x4eb407bf, "");
SYMBOL_CRC(ocelot_reset, 0xb5c89d9e, "");
SYMBOL_CRC(ocelot_init, 0x7ff89517, "");
SYMBOL_CRC(ocelot_deinit, 0x1421646e, "");
SYMBOL_CRC(ocelot_deinit_port, 0x95e99a48, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xcd82cfbe, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xf1dcda98, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x2ccb2f71, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x8ab35fb5, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x3ffc0f26, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x8faf1432, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0xa164d5ef, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x7628cdfc, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xaa99d72b, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x04910528, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x1d4e79a6, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xeff32178, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x1228032b, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x514fb264, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x7e0c1d63, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x1da8ff7f, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x954a8aee, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x40a8560d, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x7c86c312, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x8a197308, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xe969a894, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x68b9020f, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x977fff65, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x4af4bbd5, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xac148813, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x4ca9e55c, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x636f3ed6, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x6835fa35, "");
SYMBOL_CRC(ocelot_port_policer_add, 0xf3183099, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x21e95396, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x1af7838b, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x35dd9db8, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xf25037dc, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x896f23f9, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xb507533a, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x6734fed0, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x84c288f0, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xad8f3e76, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x38fc91ca, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xe021cf05, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x7568e5bd, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x741dc6b7, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xbd07ea1c, "");
SYMBOL_CRC(ocelot_get_strings, 0xd5989631, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x152c49a7, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x752d71a1, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x5e03518a, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x45c47ae9, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0xb314c42a, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x9b4b011e, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x9a0eaf57, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x05e0c13e, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xd0d0c417, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x6cf27fa9, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x15a8254e, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x8e26bca0, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x2affa604, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x9dd06682, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xc5472519, "");
SYMBOL_CRC(ocelot_mrp_del, 0x78d8898f, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0xde05edbe, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x6a3af8cd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7440ada7, "flow_rule_match_ipv4_addrs" },
	{ 0xe4773494, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe97de774, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61b63ff5, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0x27a7870c, "ptp_find_pin" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0x20523bac, "ethtool_aggregate_pause_stats" },
	{ 0x72c853fc, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x407ee749, "regmap_fields_read" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0x4eecca4, "regmap_field_read" },
	{ 0xec1ca7d0, "devm_regmap_field_alloc" },
	{ 0xf764468b, "ptp_classify_raw" },
	{ 0x7dd43e9b, "flow_rule_match_basic" },
	{ 0x4f7b96f6, "__dev_get_by_index" },
	{ 0x91ba54c6, "devm_kfree" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x974ebe5c, "ptp_clock_register" },
	{ 0xe58f6875, "netif_set_real_num_tx_queues" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0xb347e72, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3311ab8, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xb664de04, "flow_rule_match_ports" },
	{ 0x6e2164f2, "__devm_regmap_init_mmio_clk" },
	{ 0x5de9d4d, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8cb9e004, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb116ab6e, "ptp_clock_unregister" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x61ae543b, "of_phy_get" },
	{ 0x3ad313e0, "phy_set_mode_ext" },
	{ 0xc7bcc2d, "netdev_reset_tc" },
	{ 0x41bfa74a, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6311999f, "devm_ioremap_resource" },
	{ 0x2a764b19, "ethtool_aggregate_rmon_stats" },
	{ 0x5e95af78, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb8a69778, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa48dc816, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4d6c60c9, "netdev_set_num_tc" },
	{ 0xae1ad959, "regmap_update_bits_base" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0xf46546a1, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9a13823d, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xcce34b1, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3d1018f5, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x7c776312, "skb_put" },
	{ 0xc03d8da1, "skb_tstamp_tx" },
	{ 0x16db24d7, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xefe3bc52, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xddf1fc65, "regmap_fields_update_bits_base" },
	{ 0xfeca06d3, "flow_rule_match_eth_addrs" },
	{ 0xfda7f956, "ptp_clock_index" },
	{ 0x944e999c, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "F1EC45826B5C2D56912F4B7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
