#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x92759fc7, "");
SYMBOL_CRC(phy_get_rate_matching, 0xeb5b0eda, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0xe387bf73, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xf1b99405, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xc2f8a253, "");
SYMBOL_CRC(phy_mii_ioctl, 0xa3489474, "");
SYMBOL_CRC(phy_do_ioctl, 0x62742736, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xcef12195, "");
SYMBOL_CRC(phy_queue_state_machine, 0x298c642e, "");
SYMBOL_CRC(phy_trigger_machine, 0x1d4f3f0c, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xb0aa29ba, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xe76cd385, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x262143b9, "");
SYMBOL_CRC(phy_start_cable_test, 0xc5165d86, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x87dc1ef1, "");
SYMBOL_CRC(phy_config_aneg, 0xcbe08313, "");
SYMBOL_CRC(phy_start_aneg, 0x89066549, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x5764ba79, "");
SYMBOL_CRC(phy_speed_down, 0xf01708c9, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x0fa95884, "_gpl");
SYMBOL_CRC(phy_start_machine, 0xc2393a43, "_gpl");
SYMBOL_CRC(phy_error, 0x8a4531c3, "");
SYMBOL_CRC(phy_request_interrupt, 0x14800482, "");
SYMBOL_CRC(phy_free_interrupt, 0xcd1952a7, "");
SYMBOL_CRC(phy_stop, 0x1948af88, "");
SYMBOL_CRC(phy_start, 0xbd9b155a, "");
SYMBOL_CRC(phy_mac_interrupt, 0xecc0a720, "");
SYMBOL_CRC(phy_init_eee, 0xa6c7ebfa, "");
SYMBOL_CRC(phy_get_eee_err, 0xd7da6fe3, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x8bcf9397, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x0106a02c, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x33f76ec6, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x08fbca14, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x389dd3de, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x419775ce, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x561cc6a0, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x7e4d7ef3, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x5727b93e, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x5ca1996a, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x431e699e, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x9304f121, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xe1cfc11b, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x6e935612, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x8067fa9f, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0xdb78674e, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xbaa0ce80, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x8cf0dbf2, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x7a48bcc7, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xf6768602, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0xd2947edf, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x12260dc2, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xc49180b1, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x47bd0ea6, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x6bf750f4, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x7be858e0, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xf58f0011, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x1092d63a, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xe536a95e, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x4aea5ed3, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x22869aeb, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x31dcd42e, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xa48eed99, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x49ec79c4, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x2dc7211e, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xbf39605a, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x1368ded2, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xf3869235, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xc3154368, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x0381a26c, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xeb7a24eb, "");
SYMBOL_CRC(phy_read_mmd, 0x4a6c4a2e, "");
SYMBOL_CRC(__phy_write_mmd, 0x2ed61e1c, "");
SYMBOL_CRC(phy_write_mmd, 0x987adc58, "");
SYMBOL_CRC(phy_modify_changed, 0x9fac5145, "_gpl");
SYMBOL_CRC(__phy_modify, 0xd4a50ea3, "_gpl");
SYMBOL_CRC(phy_modify, 0x6a36d014, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xbe1d520c, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xcf43bbb1, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x1b706fb0, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x7adae2b4, "_gpl");
SYMBOL_CRC(phy_save_page, 0x27106808, "_gpl");
SYMBOL_CRC(phy_select_page, 0xd1f32505, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x1c894149, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x168bb63c, "");
SYMBOL_CRC(phy_write_paged, 0x207376c4, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xf7a317db, "");
SYMBOL_CRC(phy_modify_paged, 0xa0a4f744, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0x8af10d85, "");
SYMBOL_CRC(phy_register_fixup, 0xc17dbb84, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x5e99c0fc, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x3313804f, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x10d29d38, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xc397f221, "");
SYMBOL_CRC(get_phy_device, 0xe9d1a73f, "");
SYMBOL_CRC(phy_device_register, 0x5ab9bd45, "");
SYMBOL_CRC(phy_device_remove, 0xb27c842d, "");
SYMBOL_CRC(phy_get_c45_ids, 0x5aae98a6, "");
SYMBOL_CRC(phy_find_first, 0x77485d86, "");
SYMBOL_CRC(phy_connect_direct, 0x3d3ecdcf, "");
SYMBOL_CRC(phy_connect, 0xfba00be3, "");
SYMBOL_CRC(phy_disconnect, 0xa0bf4cd6, "");
SYMBOL_CRC(phy_init_hw, 0x7906e5f3, "");
SYMBOL_CRC(phy_attached_info, 0x3fb7f22a, "");
SYMBOL_CRC(phy_attached_info_irq, 0x05ce2493, "");
SYMBOL_CRC(phy_attached_print, 0xe7e3b5e0, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xcb10900b, "");
SYMBOL_CRC(phy_attach_direct, 0xa4d47946, "");
SYMBOL_CRC(phy_attach, 0x7ae2f9c8, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xcd3f03d9, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x5c429a50, "_gpl");
SYMBOL_CRC(phy_package_join, 0xae2d925e, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x9775edcc, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x31bc40c5, "_gpl");
SYMBOL_CRC(phy_detach, 0x855e461c, "");
SYMBOL_CRC(phy_suspend, 0x958e9480, "");
SYMBOL_CRC(__phy_resume, 0x9b2309ac, "");
SYMBOL_CRC(phy_resume, 0x09a400db, "");
SYMBOL_CRC(phy_loopback, 0xac75f631, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x98a32681, "");
SYMBOL_CRC(genphy_config_eee_advert, 0xaacf1897, "");
SYMBOL_CRC(genphy_setup_forced, 0x7d0fc66d, "");
SYMBOL_CRC(genphy_read_master_slave, 0x939ec44f, "");
SYMBOL_CRC(genphy_restart_aneg, 0xa9def0ed, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x0669438f, "");
SYMBOL_CRC(__genphy_config_aneg, 0x45a1ec52, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x92602dee, "");
SYMBOL_CRC(genphy_aneg_done, 0xccfab44a, "");
SYMBOL_CRC(genphy_update_link, 0x2a53f2d5, "");
SYMBOL_CRC(genphy_read_lpa, 0x8fb329e2, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x6c317e20, "");
SYMBOL_CRC(genphy_read_status, 0x3a137094, "");
SYMBOL_CRC(genphy_c37_read_status, 0x582040cf, "");
SYMBOL_CRC(genphy_soft_reset, 0x771def38, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x789016ae, "");
SYMBOL_CRC(genphy_read_abilities, 0x6fd39ea3, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xea7c6d00, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xc89b36b7, "");
SYMBOL_CRC(genphy_suspend, 0x518ce9c9, "");
SYMBOL_CRC(genphy_resume, 0x6a93f122, "");
SYMBOL_CRC(genphy_loopback, 0x4645710c, "");
SYMBOL_CRC(phy_remove_link_mode, 0x91fa1256, "");
SYMBOL_CRC(phy_advertise_supported, 0x408c78f3, "");
SYMBOL_CRC(phy_support_sym_pause, 0x9b1d8b02, "");
SYMBOL_CRC(phy_support_asym_pause, 0xe7a004f1, "");
SYMBOL_CRC(phy_set_sym_pause, 0x71b50427, "");
SYMBOL_CRC(phy_set_asym_pause, 0xba173557, "");
SYMBOL_CRC(phy_validate_pause, 0x35b473dd, "");
SYMBOL_CRC(phy_get_pause, 0xd2e4352d, "");
SYMBOL_CRC(phy_get_internal_delay, 0x4142f014, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x50195378, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x9f5b5c78, "");
SYMBOL_CRC(device_phy_find_device, 0xff4dd2c7, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x7c0ec972, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x80d8fc9d, "");
SYMBOL_CRC(phy_drivers_register, 0x2d54e873, "");
SYMBOL_CRC(phy_driver_unregister, 0xc51a0ee5, "");
SYMBOL_CRC(phy_drivers_unregister, 0x67d142b5, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x515d50ae, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x56a4f4c2, "");
SYMBOL_CRC(mdiobus_get_phy, 0x08656ba0, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xedc37c3b, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xb3c94148, "");
SYMBOL_CRC(mdio_find_bus, 0x2d1253d5, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x15ea3078, "");
SYMBOL_CRC(__mdiobus_register, 0x79c42317, "");
SYMBOL_CRC(mdiobus_unregister, 0x2333160a, "");
SYMBOL_CRC(mdiobus_free, 0xd3208003, "");
SYMBOL_CRC(__mdiobus_read, 0xa0024368, "");
SYMBOL_CRC(__mdiobus_write, 0x637af766, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x9b4629bc, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xd9a52b29, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x55845443, "");
SYMBOL_CRC(mdiobus_read_nested, 0xbc39d21f, "");
SYMBOL_CRC(mdiobus_read, 0x41052e5e, "");
SYMBOL_CRC(mdiobus_c45_read, 0xbe761b1f, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xa24e236c, "");
SYMBOL_CRC(mdiobus_write_nested, 0xcdbeb573, "");
SYMBOL_CRC(mdiobus_write, 0xc04081c7, "");
SYMBOL_CRC(mdiobus_c45_write, 0xf2e909b5, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x111bd508, "");
SYMBOL_CRC(__mdiobus_modify, 0x5ce1aa76, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xd4098abc, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0xe4e1ab08, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xc41c2963, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xdf15c0a9, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x2f58a2c3, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x1d75574f, "");
SYMBOL_CRC(mdio_device_create, 0xe7a75122, "");
SYMBOL_CRC(mdio_device_register, 0xaae6d0ef, "");
SYMBOL_CRC(mdio_device_remove, 0x09e8e9db, "");
SYMBOL_CRC(mdio_device_reset, 0x74caaad0, "");
SYMBOL_CRC(mdio_driver_register, 0xc404a12b, "");
SYMBOL_CRC(mdio_driver_unregister, 0x5db3b8c8, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xd527bb34, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x07f5354a, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x9de4e926, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x2cf33e4, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3db4041, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x6158eefa, "gpiod_set_value_cansleep" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa4576caf, "devm_gpiod_get_optional" },
	{ 0x3a851eb7, "get_device" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xb7b9513c, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x597278f7, "device_match_fwnode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x93a20f98, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1e2520e, "put_device" },
	{ 0x9632a9c1, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b633409, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xac0ba712, "module_put" },
	{ 0xaae3a54d, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0x91ba54c6, "devm_kfree" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x90ca3697, "bus_find_device" },
	{ 0xded25f9c, "device_add" },
	{ 0x75116d9f, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x917b0660, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xef9b7571, "is_acpi_data_node" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe360aeee, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x68b91ff4, "class_unregister" },
	{ 0x77bd996c, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4f0cffea, "device_register" },
	{ 0x1a927f22, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x90c60869, "device_bind_driver" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8172725c, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc52f8b6a, "netdev_alert" },
	{ 0x2ca0ce22, "ethnl_cable_test_alloc" },
	{ 0x19fd5d82, "fwnode_find_reference" },
	{ 0xb2aa5271, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf33ecba2, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8e1dc9cb, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0xd5a81cc2, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc2c651f5, "led_trigger_register" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x5c498978, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8257a00, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x386baec1, "sysfs_create_link_nowarn" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0x7e002302, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x64662b13, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0xe4258751, "led_trigger_event" },
	{ 0xea258911, "device_release_driver" },
	{ 0xe2d1721d, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9bed8ce3, "gpiod_set_consumer_name" },
	{ 0x50fedcdf, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x98465067, "driver_register" },
	{ 0x982a34c7, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x939991a3, "__dev_fwnode" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbab71fc7, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x26f45701, "class_find_device" },
	{ 0x1a940480, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x25a31381, "is_acpi_device_node" },
	{ 0x720df296, "gpiod_put" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x9acb7243, "sysfs_create_file_ns" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D91132FE54E1387FADE73D7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
