#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x637af766, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1c894149, "phy_restore_page" },
	{ 0x207376c4, "phy_write_paged" },
	{ 0x41052e5e, "mdiobus_read" },
	{ 0x6a36d014, "phy_modify" },
	{ 0x771def38, "genphy_soft_reset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe395ccc3, "ethnl_cable_test_pulse" },
	{ 0x3f6c4e3a, "ethnl_cable_test_step" },
	{ 0xd4a50ea3, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0x9b633409, "_dev_info" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x27106808, "phy_save_page" },
	{ 0x1d4f3f0c, "phy_trigger_machine" },
	{ 0x8a4531c3, "phy_error" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf15fb6b7, "devm_hwmon_device_register_with_info" },
	{ 0x67d142b5, "phy_drivers_unregister" },
	{ 0xc04081c7, "mdiobus_write" },
	{ 0x2dc7211e, "genphy_c45_ethtool_get_eee" },
	{ 0xcbe08313, "phy_config_aneg" },
	{ 0xcb10900b, "phy_sfp_probe" },
	{ 0x8fb329e2, "genphy_read_lpa" },
	{ 0xf3869235, "phy_resolve_aneg_pause" },
	{ 0x2a53f2d5, "genphy_update_link" },
	{ 0x6c317e20, "genphy_read_status_fixed" },
	{ 0x518ce9c9, "genphy_suspend" },
	{ 0x6a93f122, "genphy_resume" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9fac5145, "phy_modify_changed" },
	{ 0x45a1ec52, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x669438f, "genphy_check_and_restart_aneg" },
	{ 0x7d0fc66d, "genphy_setup_forced" },
	{ 0xf7a317db, "phy_modify_paged_changed" },
	{ 0x6fd39ea3, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xd5dc7d74, "ethnl_cable_test_result" },
	{ 0xea920fd2, "ethnl_cable_test_fault_length" },
	{ 0xeb7aa922, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d54e873, "phy_drivers_register" },
	{ 0x168bb63c, "phy_read_paged" },
	{ 0xa0a4f744, "phy_modify_paged" },
	{ 0xa0024368, "__mdiobus_read" },
	{ 0xd1f32505, "phy_select_page" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
