#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xbf4b9f2c, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x3d436d47, "");
SYMBOL_CRC(team_options_register, 0x4a639f0d, "");
SYMBOL_CRC(team_options_unregister, 0x49b3dc9a, "");
SYMBOL_CRC(team_option_inst_set_change, 0x44bef890, "");
SYMBOL_CRC(team_options_change_check, 0x8014f28a, "");
SYMBOL_CRC(team_mode_register, 0xbfef4a93, "");
SYMBOL_CRC(team_mode_unregister, 0x77de8476, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6bacf3c2, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc09440cb, "netdev_warn" },
	{ 0xf7c1d82c, "__ethtool_get_link_ksettings" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x92f493ab, "netdev_upper_dev_unlink" },
	{ 0xf003dd69, "netdev_rx_handler_unregister" },
	{ 0x7292e5b9, "vlan_vids_del_by_dev" },
	{ 0xf790af51, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9cf42128, "netdev_change_features" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x42e7c1a7, "netdev_has_upper_dev" },
	{ 0xea07dbbc, "dev_uc_flush" },
	{ 0xd8c25602, "dev_mc_flush" },
	{ 0xb88f9502, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x86924464, "dev_open" },
	{ 0x466c897c, "vlan_vids_add_by_dev" },
	{ 0x83fcd7f, "netdev_rx_handler_register" },
	{ 0x26327ebc, "netdev_master_upper_dev_link" },
	{ 0xae7e0eed, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdade1a72, "ethtool_op_get_link" },
	{ 0xfec38b51, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa350f8ff, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3bfa1408, "netlink_unicast" },
	{ 0xf9af9692, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x849f9c69, "dev_set_allmulti" },
	{ 0xfd30e002, "dev_set_promiscuity" },
	{ 0xce71ff0f, "dev_uc_unsync" },
	{ 0xeda33c3d, "dev_mc_unsync" },
	{ 0x45197794, "dev_set_mtu" },
	{ 0xe97de774, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0xe06e2060, "dev_uc_sync_multiple" },
	{ 0x95cd4e8, "dev_mc_sync_multiple" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64b0855a, "vlan_vid_del" },
	{ 0x13255823, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xac0ba712, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0xad9fa87c, "genlmsg_put" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9d3d7c4a, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdf337ad3, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbda3bea7, "genl_register_family" },
	{ 0xadf5a0d1, "rtnl_link_unregister" },
	{ 0x81baf684, "genl_unregister_family" },
	{ 0x81bcb1e, "netlink_broadcast" },
	{ 0xf8f45790, "skb_clone" },
	{ 0x1321db5a, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb57e8759, "__dev_queue_xmit" },
	{ 0x3729d343, "pv_ops" },
	{ 0x91522f2c, "netpoll_send_skb" },
	{ 0x66b28aa0, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe065ed6b, "__netpoll_setup" },
	{ 0xd0f63378, "__netpoll_free" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xce2ae438, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1a6aec3e, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
