#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xecc342a5, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0xcf822523, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x6e711b4c, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x22f1bef0, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xcc4814cf, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x3809ec13, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x16801ec7, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x28a16585, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x9f78dea2, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xe5b99fd6, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x39437c20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6bbbfd5, "usbnet_unlink_rx_urbs" },
	{ 0x459f4860, "usbnet_write_cmd" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x2262cb64, "netif_tx_lock" },
	{ 0x4e9c7fb5, "usbnet_start_xmit" },
	{ 0x81bb5dbd, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x1368daf0, "usbnet_read_cmd" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x7c776312, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6dfba61, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x176ddd7, "cdc_parse_cdc_header" },
	{ 0xdae7e361, "usb_ifnum_to_if" },
	{ 0xe2ac83cd, "usb_driver_claim_interface" },
	{ 0xa109a696, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3969746e, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0xc010d517, "usbnet_manage_power" },
	{ 0x468b40e, "usbnet_cdc_update_filter" },
	{ 0xa4288ef6, "usbnet_open" },
	{ 0xf0e74a15, "usbnet_stop" },
	{ 0xebb41775, "usbnet_set_rx_mode" },
	{ 0x5127fddb, "eth_mac_addr" },
	{ 0x30ccbd6a, "eth_validate_addr" },
	{ 0xa9ef9d59, "usbnet_tx_timeout" },
	{ 0xdb195843, "dev_get_tstats64" },
	{ 0xb09dbd02, "usbnet_get_drvinfo" },
	{ 0x81939357, "usbnet_get_msglevel" },
	{ 0x8c8c4dbb, "usbnet_set_msglevel" },
	{ 0xaea74ebb, "usbnet_nway_reset" },
	{ 0xaac4dfd9, "usbnet_get_link" },
	{ 0x1d280a62, "ethtool_op_get_ts_info" },
	{ 0x62ddde79, "usbnet_get_link_ksettings_internal" },
	{ 0x8b67f942, "usbnet_probe" },
	{ 0x43b07d5d, "usbnet_disconnect" },
	{ 0x405ee510, "usbnet_suspend" },
	{ 0x2d64a757, "usbnet_resume" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf133a31a, "usb_driver_release_interface" },
	{ 0x4890e4da, "usb_altnum_to_altsetting" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0x32475dad, "usb_deregister" },
	{ 0x889418b8, "usbnet_link_change" },
	{ 0x9b633409, "_dev_info" },
	{ 0xcfece10, "usbnet_update_max_qlen" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
