#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0xb104f963, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xeaeb0636, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x6a048a07, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x82417c78, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x789603ec, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x65575544, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x4a26e5ce, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x6a8b3839, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xe63da882, "_gpl");
SYMBOL_CRC(mt7921_stop, 0x756095e0, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x9f3d9747, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x55c2aafb, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xddf1fcd3, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xd2808eee, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x4739434e, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x7397ce8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3945cef4, "mt76_connac2_tx_check_aggr" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x7afdb7f0, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0xaff6739f, "mt76_connac_free_pending_tx_skbs" },
	{ 0x9a113cba, "mt792x_sta_statistics" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0x25a36e83, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc656234, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4fab69ba, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x64bc4200, "mt792x_get_et_sset_count" },
	{ 0xc0436ada, "mt76_connac_mcu_set_mac_enable" },
	{ 0x64f8cdbc, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x80d1031d, "mt792x_init_acpi_sar_power" },
	{ 0x8a5448ec, "mt792x_set_wakeup" },
	{ 0x6db55471, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9b633409, "_dev_info" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0x272a8c86, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x654e2705, "mt76_rx" },
	{ 0x4bcc46c4, "mt792x_load_firmware" },
	{ 0x6395f498, "mt76_connac_mcu_sched_scan_req" },
	{ 0xb665dec0, "mt792x_get_et_stats" },
	{ 0x22ece3d4, "mt76_connac2_txwi_free" },
	{ 0xaf0f9268, "__tracepoint_lp_event" },
	{ 0xe5c0fe29, "mt76_connac_mcu_uni_add_bss" },
	{ 0xaf378218, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xdf642e12, "wiphy_to_ieee80211_hw" },
	{ 0x9802542c, "debugfs_attr_read" },
	{ 0x3e3156db, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf519f3b9, "ieee80211_queue_delayed_work" },
	{ 0x46b01c67, "devm_kmemdup" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xb04d3426, "skb_pull" },
	{ 0xf5205a82, "mt76_register_device" },
	{ 0xdd9b49a5, "mt792x_get_stats" },
	{ 0xd4e9e43, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x1b5b1289, "simple_attr_release" },
	{ 0x57f5cb49, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4bd62075, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0xf1ce0f78, "mt76_set_channel" },
	{ 0x5d05d96b, "ieee80211_wake_queues" },
	{ 0x3f00724f, "mt76_mcu_send_and_get_msg" },
	{ 0xc8272c54, "ieee80211_beacon_get_template" },
	{ 0xc4f047b4, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6281726, "mt76_eeprom_override" },
	{ 0xabdcf39c, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd55024fe, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7017310f, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x45049798, "devm_hwmon_device_register_with_groups" },
	{ 0x6abaac5c, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ad029c5, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x4eecbf8a, "mt792x_tx" },
	{ 0x352d413b, "mt792x_get_et_strings" },
	{ 0x48754db9, "mt76_sta_state" },
	{ 0x8a81bb3, "ieee80211_ready_on_channel" },
	{ 0x5773f965, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4e44eaf8, "devm_kasprintf" },
	{ 0xb8440243, "cfg80211_reg_can_beacon" },
	{ 0x95481e9b, "mt792x_remove_interface" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19f577e2, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xc44c3664, "mt792x_queues_read" },
	{ 0xa201aaa6, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0x7263f59d, "mt792x_queues_acq" },
	{ 0xc950bd22, "ieee80211_sched_scan_results" },
	{ 0x6915106, "ieee80211_scan_completed" },
	{ 0x2f0f0ee5, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5c529630, "mt76_insert_ccmp_hdr" },
	{ 0xe27c69, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0x386ac0bb, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x8948912e, "mt792x_tx_stats_show" },
	{ 0xdcb8a4e2, "mt76_rx_aggr_start" },
	{ 0xf983b5, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xe1440721, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x645f4145, "mt792x_mac_init_band" },
	{ 0x78ddc2c, "mt76_skb_adjust_pad" },
	{ 0x55f52b74, "mt792x_init_wiphy" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xc156b9e5, "mt76_connac_sta_state_dp" },
	{ 0x3f5e82c7, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xda588655, "single_release" },
	{ 0x991aabcb, "mt76_queues_read" },
	{ 0x1d824d63, "mt76_sta_pre_rcu_remove" },
	{ 0x85b209b2, "mt76_register_debugfs_fops" },
	{ 0x326a3bce, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x8948dc75, "mt76_connac2_mac_write_txwi" },
	{ 0xa2739646, "__mt76_set_tx_blocked" },
	{ 0x9cd7c63a, "mt76_connac_mcu_sta_ba" },
	{ 0xa75beb6e, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x3097ecf7, "ieee80211_queue_work" },
	{ 0x7e8e02c5, "mt792x_mac_reset_counters" },
	{ 0x2586689b, "napi_consume_skb" },
	{ 0x7b46def6, "__mt76_poll" },
	{ 0x49fcf96d, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb4836347, "single_open" },
	{ 0x1259474c, "mt76_connac_mcu_add_key" },
	{ 0x69e3d2a1, "mt792x_unassign_vif_chanctx" },
	{ 0xb3274f78, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x75a876e6, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x14804ae4, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x7978f886, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xee31658a, "ieee80211_sta_register_airtime" },
	{ 0x76471c83, "mt792x_init_wcid" },
	{ 0xc58c4cbb, "mt792x_init_acpi_sar" },
	{ 0x3cd31047, "mt76_init_sar_power" },
	{ 0x73bf958d, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x28db1923, "simple_attr_open" },
	{ 0x9e65b8ef, "ieee80211_iterate_interfaces" },
	{ 0x9087d1f7, "debugfs_attr_write" },
	{ 0xa43be041, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xe3804fa9, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x7c776312, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5c258d2, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x9b39fa95, "mt792x_tx_worker" },
	{ 0xacdcfc4f, "mt792x_flush" },
	{ 0x18c2bcac, "mt792x_rx_get_wcid" },
	{ 0x29b27672, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x21065078, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x46711c6c, "mt76_connac_mcu_set_channel_domain" },
	{ 0x3ee8f4f5, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf211ca8, "mt76_release_buffered_frames" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xe9858550, "mt76_get_txpower" },
	{ 0x77a93865, "mt76_tx_status_skb_add" },
	{ 0x51a06324, "mt76_connac_pm_wake" },
	{ 0x384f5876, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xe4f9c00f, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x318e742d, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x992c74a3, "mt76_connac_mcu_chip_config" },
	{ 0xaae4ad4f, "mt76_get_antenna" },
	{ 0x2c63faac, "mt792x_set_coverage_class" },
	{ 0xc2c0e0ae, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x319ab028, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x708264f3, "mt76_set_stream_caps" },
	{ 0x37b2f69a, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa2769770, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x53dae0bc, "mt76_connac_mcu_update_arp_filter" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "030E6E8158A4770DB87CDF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
