#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x4a2a5be6, "ieee80211_register_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x9e453c18, "usb_get_intf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3005bd30, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8d88a22a, "ieee80211_tx_status_irqsafe" },
	{ 0xb8c7e27, "usb_bulk_msg" },
	{ 0x24775f2, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x7b49b92b, "usb_submit_urb" },
	{ 0x9b633409, "_dev_info" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0x8ed7c4d6, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xd4c857f, "usb_free_coherent" },
	{ 0xb04d3426, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xab76ca3f, "usb_control_msg" },
	{ 0x5d05d96b, "ieee80211_wake_queues" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa7f8d472, "ieee80211_alloc_hw_nm" },
	{ 0x32475dad, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x5773f965, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3729d343, "pv_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3a10b00b, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2f0ef31e, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39f1b2ae, "usb_kill_urb" },
	{ 0xc074fbc0, "ieee80211_beacon_get_tim" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xb4aa80ab, "ieee80211_rx_irqsafe" },
	{ 0xa81ec955, "usb_put_intf" },
	{ 0xc95cc58e, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa13abefa, "usb_free_urb" },
	{ 0x7c776312, "skb_put" },
	{ 0x6377760d, "usb_alloc_coherent" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x29b27672, "skb_dequeue" },
	{ 0x11fe5f0a, "ieee80211_free_hw" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf41961d3, "regulatory_hint" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "EF4EF3336A72A497A1F5378");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
