#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0x502b7fd1, "");
SYMBOL_CRC(rtw_sdio_probe, 0xdccba5e4, "");
SYMBOL_CRC(rtw_sdio_remove, 0x067d3d90, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x70926449, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f3fe5, "sdio_set_host_pm_flags" },
	{ 0xa162660b, "rtw_chip_info_setup" },
	{ 0x23bef645, "rtw_unregister_hw" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xa3b8632e, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x89e601fb, "rtw_core_init" },
	{ 0xf6c916a4, "sdio_readl" },
	{ 0xa7f8d472, "ieee80211_alloc_hw_nm" },
	{ 0x837a9ce, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x403195a0, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x77a69703, "rtw_rx_stats" },
	{ 0xacfbb83d, "rtw_register_hw" },
	{ 0xbf3db17f, "rtw_core_deinit" },
	{ 0x53c04be5, "rtw_ops" },
	{ 0xde20083d, "sdio_claim_irq" },
	{ 0x83817033, "skb_copy_header" },
	{ 0x8a0616da, "sdio_enable_func" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0x6a9686be, "rtw_power_mode_change" },
	{ 0x6e56612e, "rtw_tx_write_data_h2c_get" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xb7f7c3a2, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xb4aa80ab, "ieee80211_rx_irqsafe" },
	{ 0x8f8e420, "skb_queue_head" },
	{ 0x29010e78, "sdio_readb" },
	{ 0x11802865, "sdio_writeb" },
	{ 0x2bb09f43, "rtw_tx_report_enqueue" },
	{ 0xae968795, "sdio_release_host" },
	{ 0xd7353df6, "rtw_tx_queue_mapping" },
	{ 0x489958f7, "sdio_disable_func" },
	{ 0x78e19645, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7c776312, "skb_put" },
	{ 0xc50c9b40, "sdio_claim_host" },
	{ 0x757ef40c, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29b27672, "skb_dequeue" },
	{ 0x11fe5f0a, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xe3e0aeeb, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6b18e58, "sdio_align_size" },
	{ 0x8d88a22a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc60efa8f, "sdio_release_irq" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "9EE2CDED2C84CD02953D10B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
