#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41d62902, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x882d385d, "wlcore_free_hw" },
	{ 0x6ac917f3, "wlcore_event_soft_gemini_sense" },
	{ 0x7e7bdcf0, "wlcore_scan_sched_scan_results" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8b63a2cb, "wlcore_event_max_tx_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe2497d10, "wlcore_remove" },
	{ 0x9e7209a3, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4deb3078, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf519f3b9, "ieee80211_queue_delayed_work" },
	{ 0x8f4d3e13, "simple_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x19246fe7, "wl1271_cmd_test" },
	{ 0x621a5fad, "wlcore_enable_interrupts" },
	{ 0xb0122bda, "wlcore_set_partition" },
	{ 0xd7b45725, "wl1271_acx_sleep_auth" },
	{ 0x2283066f, "wlcore_boot_upload_firmware" },
	{ 0x5d5233b5, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x609e21dc, "wl12xx_acx_mem_cfg" },
	{ 0x46ddf5d0, "wl1271_cmd_data_path" },
	{ 0x6762f50a, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97fe90c9, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb7a85e24, "__platform_driver_register" },
	{ 0x967f6ab2, "wl1271_acx_set_ht_capabilities" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd4813683, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c5c7be1, "wlcore_probe" },
	{ 0xa68ef1bd, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe8ebd927, "wlcore_event_rssi_trigger" },
	{ 0x5564a330, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a6fbd0d, "wl1271_acx_pm_config" },
	{ 0xb29725c6, "wlcore_event_ba_rx_constraint" },
	{ 0x6d5c4a08, "wlcore_event_inactive_sta" },
	{ 0x534f94fb, "wlcore_event_dummy_packet" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x9b26acb6, "wlcore_event_beacon_loss" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x12015a72, "generic_file_llseek" },
	{ 0x81e6bd8, "wl1271_acx_init_mem_config" },
	{ 0x6cf5ceda, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0xe52eb3f0, "wlcore_boot_upload_nvs" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x31e62b9e, "wl12xx_cmd_build_probe_req" },
	{ 0xce7a7334, "wl1271_tx_min_rate_get" },
	{ 0x1b4864a1, "wl1271_cmd_send" },
	{ 0x32fe7afd, "platform_driver_unregister" },
	{ 0x51b06416, "wlcore_event_roc_complete" },
	{ 0x1aade05b, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x8de474b4, "wlcore_translate_addr" },
	{ 0x3aac5f08, "wlcore_boot_run_firmware" },
	{ 0x72ebbf79, "wlcore_set_scan_chan_params" },
	{ 0x81b338cf, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "DE29A38DDF3861115D58573");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
