#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x6cf5ceda, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xd4813683, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x882d385d, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x9c5c7be1, "_gpl");
SYMBOL_CRC(wlcore_remove, 0xe2497d10, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x1b4864a1, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xa68ef1bd, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x19246fe7, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x97fe90c9, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x46ddf5d0, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x31e62b9e, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xeb3ed7ab, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x9e7209a3, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x5bca21e0, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x621a5fad, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x09c16c76, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x8de474b4, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xb0122bda, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x5af65e2f, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xe8ebd927, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x6ac917f3, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x5d5233b5, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xb29725c6, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x4deb3078, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x534f94fb, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x8b63a2cb, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x6d5c4a08, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x51b06416, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x9b26acb6, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0xdc68b2c9, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x67bfdf60, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x5564a330, "");
SYMBOL_CRC(wlcore_tx_complete, 0x41d62902, "");
SYMBOL_CRC(wl1271_tx_flush, 0x39cbfb55, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xce7a7334, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xd7b45725, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x609e21dc, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x081e6bd8, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x4a6fbd0d, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x967f6ab2, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x2283066f, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xe52eb3f0, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x3aac5f08, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x81b338cf, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x72ebbf79, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x1aade05b, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x7e7bdcf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf04bd089, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xa0973bc6, "device_create_file" },
	{ 0xdf642e12, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf519f3b9, "ieee80211_queue_delayed_work" },
	{ 0xa070045d, "ieee80211_proberesp_get" },
	{ 0x6e24f52, "device_wakeup_enable" },
	{ 0x32caef70, "request_firmware_nowait" },
	{ 0x8f4d3e13, "simple_open" },
	{ 0xb04d3426, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc3a44406, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4bd62075, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0x88ec4df9, "no_seek_end_llseek" },
	{ 0x5d05d96b, "ieee80211_wake_queues" },
	{ 0xb7aa53bb, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb78c8c54, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xa7f8d472, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3acd4ba8, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6762f50a, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9c7819dc, "ieee80211_tx_status" },
	{ 0x44ce474b, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8a81bb3, "ieee80211_ready_on_channel" },
	{ 0x5773f965, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xce2ae438, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x93bc5233, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x3729d343, "pv_ops" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xc950bd22, "ieee80211_sched_scan_results" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x6915106, "ieee80211_scan_completed" },
	{ 0x2f0f0ee5, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x2ba3ae30, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa50154d7, "pm_runtime_force_resume" },
	{ 0x3a10b00b, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc074fbc0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe25460cd, "ieee80211_cqm_rssi_notify" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd0fec53d, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3097ecf7, "ieee80211_queue_work" },
	{ 0xd8a4f18f, "__pm_runtime_use_autosuspend" },
	{ 0x9b0539a7, "ieee80211_sta_ps_transition" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x8682d467, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x12015a72, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc24dd5be, "pm_runtime_force_suspend" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xffe30d82, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xb039508a, "device_remove_bin_file" },
	{ 0xbd2812ac, "device_remove_file" },
	{ 0x16f67c15, "ieee80211_csa_finish" },
	{ 0x8f8e420, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc9c79354, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x73bf958d, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x25efee0c, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9e65b8ef, "ieee80211_iterate_interfaces" },
	{ 0x67fdfcf, "ieee80211_sched_scan_stopped" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfacafab8, "ieee80211_chswitch_done" },
	{ 0x7c776312, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x29b27672, "skb_dequeue" },
	{ 0x533c75f8, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x11fe5f0a, "ieee80211_free_hw" },
	{ 0xd157bd29, "ieee80211_probereq_get" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb8f04817, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3649c828, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x574856af, "ieee80211_pspoll_get" },
	{ 0x4a2a5be6, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa12e911, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa2769770, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc70b7623, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc4b24fc2, "ieee80211_stop_rx_ba_session" },
	{ 0xf15faa7c, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59922f8d, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfd19bbce, "ieee80211_find_sta" },
	{ 0x3005bd30, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x93a20f98, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xea7adedf, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "0B34CA8D0B2CCDB34244435");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
