#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0xedf7dcb5, "");
SYMBOL_CRC(ntb_unregister_client, 0x0fe140ec, "");
SYMBOL_CRC(ntb_register_device, 0x3e14e908, "");
SYMBOL_CRC(ntb_unregister_device, 0x082cdf22, "");
SYMBOL_CRC(ntb_set_ctx, 0x321062eb, "");
SYMBOL_CRC(ntb_clear_ctx, 0xe32c5628, "");
SYMBOL_CRC(ntb_link_event, 0x09c7894f, "");
SYMBOL_CRC(ntb_db_event, 0xced436ac, "");
SYMBOL_CRC(ntb_msg_event, 0xcf86c040, "");
SYMBOL_CRC(ntb_default_port_number, 0xcec48d1d, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x42a3a036, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x41f198bb, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x049d9495, "");
SYMBOL_CRC(ntb_msi_init, 0xb95c61b2, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xe8e1c828, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x17d37f18, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xb605bdab, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x282f4342, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x0d6c4b41, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x7854363b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x175f0c78, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x6182474c, "devm_iounmap" },
	{ 0xb2a9ca76, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x19ac3bf9, "devres_destroy" },
	{ 0x356f2341, "msi_unlock_descs" },
	{ 0x395ce400, "devm_ioremap" },
	{ 0x3a851eb7, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x87f2c09c, "msi_lock_descs" },
	{ 0xb7b9513c, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe1e2520e, "put_device" },
	{ 0x459e9dd9, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0x91ba54c6, "devm_kfree" },
	{ 0x634dabeb, "irq_get_irq_data" },
	{ 0x917b0660, "__devres_alloc_node" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4f0cffea, "device_register" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf7f37719, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xeb362d07, "msi_next_desc" },
	{ 0x98465067, "driver_register" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B51C723BE41A2FD33E1D75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
