#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xec76cc2b, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x45813193, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xf618d7e5, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xc60f5a25, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xce30fc3b, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x0e50c414, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x2ba55453, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x1fd3590c, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x3a6a67db, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xc3a4d0e9, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x25b45958, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x46338aaf, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xbac808a0, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xa44db107, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xe4aef945, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x3b37c1b3, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x4d9caffd, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x09fa6b89, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xf21d5827, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xfeae97a8, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xd65c388a, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xec538948, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xf3e03638, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x8a770c2d, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x517bea26, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x768675f7, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x2126453b, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xb79bb0ab, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x4e73744a, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x97c081df, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x6d1031af, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x89f08ae9, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x1962c94b, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xceb219f6, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xf493072f, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x929447b1, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xaf7fce93, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x2e62ab49, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xdd01524b, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x5d3fdb7c, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x78239a6b, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x2439a6d0, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xc7d58978, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xaf9ba484, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc881136, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe73e7da8, "iscsi_host_remove" },
	{ 0x14e6b7c4, "pci_dev_put" },
	{ 0xb0e638b1, "iscsi_host_free" },
	{ 0x64a53b59, "pci_dev_get" },
	{ 0x5a42a00c, "iscsi_host_add" },
	{ 0xe3340034, "iscsi_host_alloc" },
	{ 0x302a882a, "scsi_host_put" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6d71f8b, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c44d3b2, "iscsi_conn_queue_xmit" },
	{ 0x3faa6c10, "__kfree_skb" },
	{ 0xde6efd17, "iscsi_tcp_cleanup_task" },
	{ 0xf2ee5607, "cxgbi_ppm_ppod_release" },
	{ 0x9d90ceaa, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0a1b753, "iscsi_tcp_set_max_r2t" },
	{ 0xe3f9d469, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x1c1258fa, "iscsi_tcp_conn_setup" },
	{ 0xb9a43a9, "iscsi_session_setup" },
	{ 0x1f19cdd1, "iscsi_tcp_r2tpool_alloc" },
	{ 0xed732808, "iscsi_session_teardown" },
	{ 0x81056e83, "iscsi_tcp_r2tpool_free" },
	{ 0xd503d84d, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x29095f4, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2577b735, "iscsi_host_get_param" },
	{ 0xa9bbe7f5, "iscsi_unregister_transport" },
	{ 0x8facdad9, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd003574b, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xcf24db18, "iscsi_register_transport" },
	{ 0x4039ba20, "init_net" },
	{ 0x446cc5e7, "ip6_route_output_flags" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x36afdd50, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x30bfb0ef, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbf8eb04b, "iscsi_lookup_endpoint" },
	{ 0xe972678b, "iscsi_conn_bind" },
	{ 0x996df1ff, "iscsi_put_endpoint" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x34858868, "iscsi_tcp_hdr_recv_prep" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdf7f94c, "iscsi_itt_to_ctask" },
	{ 0x11e7f2f7, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x966a5b6a, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0xac0ba712, "module_put" },
	{ 0x60fddb68, "iscsi_destroy_endpoint" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0x97c99460, "cxgbi_ppm_ppods_reserve" },
	{ 0x82a9918d, "dma_map_sg_attrs" },
	{ 0x5d2cad1f, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x6091c4af, "ipv6_dev_get_saddr" },
	{ 0x6d22c255, "make_kuid" },
	{ 0xc9555ca6, "ip_route_output_flow" },
	{ 0x2fab87c2, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x3f964105, "iscsi_create_endpoint" },
	{ 0x5ec5f8cd, "__ip_dev_find" },
	{ 0x7c776312, "skb_put" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
