#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_channel_map, "", "");
KSYMTAB_DATA(rt_global_debug_component, "", "");
KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_EnableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_DisableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_stop_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_start_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_get_beacon, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_MgntDisconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rawtx, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(RemovePeerTS, "", "");

SYMBOL_CRC(dot11d_init, 0xb18333a7, "");
SYMBOL_CRC(dot11d_channel_map, 0x386a1cea, "");
SYMBOL_CRC(rt_global_debug_component, 0x22166084, "");
SYMBOL_CRC(alloc_rtllib, 0xfcfdff57, "");
SYMBOL_CRC(free_rtllib, 0xd152cce0, "");
SYMBOL_CRC(rtllib_rx, 0xa42ebb33, "");
SYMBOL_CRC(rtllib_legal_channel, 0xcb1eaa9d, "");
SYMBOL_CRC(rtllib_xmit, 0xc333f34e, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x403b13b9, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0xa8bf67d4, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x5ec6fa2c, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x4cb5711e, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x69b189fa, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x761e3602, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x8f655708, "");
SYMBOL_CRC(rtllib_EnableIntelPromiscuousMode, 0x307542b5, "");
SYMBOL_CRC(rtllib_DisableIntelPromiscuousMode, 0xf65a16fa, "");
SYMBOL_CRC(rtllib_stop_send_beacons, 0xbc185bb9, "");
SYMBOL_CRC(rtllib_start_send_beacons, 0xba9a0098, "");
SYMBOL_CRC(rtllib_stop_scan, 0x0885f22d, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x0e38b1c3, "");
SYMBOL_CRC(rtllib_act_scanning, 0x979aeb12, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x3ad68f86, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x90fb46ef, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x78029993, "");
SYMBOL_CRC(rtllib_reset_queue, 0xdd6a4f64, "");
SYMBOL_CRC(rtllib_get_beacon, 0xa46ef14f, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x71edae5b, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0xe5c2be95, "");
SYMBOL_CRC(rtllib_MgntDisconnect, 0xd3892c90, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xe2995096, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xe4b3bf79, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0xe57cc706, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xf6ddb88a, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0xe2d4c1cb, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0x696f9cce, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0xb3d2ca29, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xb21db256, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xeff84b74, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0xfbf13235, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0xae0f00c6, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x41f46bc6, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0xa9d43f1b, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xafc078b9, "");
SYMBOL_CRC(rtllib_wx_set_rawtx, 0x2c244096, "");
SYMBOL_CRC(rtllib_wx_get_name, 0xd6a92c70, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x2126dc3b, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xe19d7fee, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x07847bc0, "");
SYMBOL_CRC(RemovePeerTS, 0xe1b93d16, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc09440cb, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe97de774, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x180564eb, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0x4b5322c6, "lib80211_get_crypto_ops" },
	{ 0xb04d3426, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x6b637bff, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x96293904, "netif_tx_stop_all_queues" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x3ce89225, "netif_rx" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc52f8b6a, "netdev_alert" },
	{ 0x9b564e87, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdccd4f8d, "lib80211_crypt_delayed_deinit" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x98fe8260, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x7c776312, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1321db5a, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xe9c9b6fe, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "B04BF17C06FE2B0CF152CBB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
