#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x3475a09e, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xd9e06356, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x8bd78286, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x49c584f1, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x2d7da171, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x90dd1d76, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x8fc65478, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x7d1d64d5, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x597cdc30, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x38714083, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x648ae655, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xbbdee5b8, "");
SYMBOL_CRC(iscsit_release_cmd, 0x29cd7b2e, "");
SYMBOL_CRC(iscsit_free_cmd, 0x0577c1ea, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x8948e726, "");
SYMBOL_CRC(iscsit_aborted_task, 0x91350a6c, "");
SYMBOL_CRC(iscsit_add_reject, 0x49849962, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xf148d6de, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x5f08427d, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0xe3988b95, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xf807f766, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x834eba67, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x937ae1d7, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x36e8d861, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x3b0e70ea, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x5f13c405, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x7efab03a, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x1aaf7e26, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xa924b5c5, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xa73bc9dd, "");
SYMBOL_CRC(iscsit_handle_snack, 0x161d5901, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xe0de1724, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xa763eb4b, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x3d808f71, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x04634966, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xbf050c7c, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0xbe507138, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xf9f228a5, "");
SYMBOL_CRC(iscsit_build_reject, 0x8cffe58e, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xfd369f5a, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x51ba00be, "");
SYMBOL_CRC(iscsit_response_queue, 0x1e2c808c, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x0b6471ae, "");
SYMBOL_CRC(iscsit_register_transport, 0xd745a043, "");
SYMBOL_CRC(iscsit_unregister_transport, 0xdf70a7ce, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7d646c9c, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8e32a537, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x166e21d4, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2f884560, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcb9fd6b5, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdac3c545, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x78f342c2, "core_tpg_check_initiator_node_acl" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9bd2d150, "target_cmd_init_cdb" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeaccfff2, "kernel_listen" },
	{ 0x3350d87b, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xb9517876, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x90836561, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x42e9be3f, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x78abfdd2, "transport_handle_cdb_direct" },
	{ 0x1de6558a, "target_get_sess_cmd" },
	{ 0x8d3d50e8, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xceda8257, "sock_recvmsg" },
	{ 0xf941fd55, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x518347b2, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb927c291, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x43d80d3e, "sock_release" },
	{ 0xd7c1ae1f, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9a2cabac, "tcp_sock_set_nodelay" },
	{ 0x1c56e797, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x30ac3bfe, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd42c7b0a, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0xf0101757, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xc9003085, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x9ede9e49, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x94c08f29, "kmem_cache_destroy" },
	{ 0xf00d8e20, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa8e1efeb, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0xe2403acf, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0xc8d31492, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfd85b506, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x52f76b43, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x579efb42, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xa474f49c, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb53e7200, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x9bdbe67e, "kmem_cache_create" },
	{ 0x37c83c81, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2648e558, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7a4f71af, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc999f277, "transport_alloc_session_tags" },
	{ 0xda11ea18, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdd5334ff, "target_unregister_template" },
	{ 0xa59e65fe, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8cfa994f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcec7c0e6, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac0ba712, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf6f2b5de, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4039ba20, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdfe60430, "__SCK__tp_func_sk_data_ready" },
	{ 0x1c485a39, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0xdd525dee, "set_cpus_allowed_ptr" },
	{ 0xc361bacf, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x48e905a4, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd4b4b08e, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa5572dc2, "sock_sendmsg" },
	{ 0xda8e4e22, "crypto_shash_update" },
	{ 0xba76e52, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7bd21bac, "target_cmd_parse_cdb" },
	{ 0x64f5a34b, "sock_set_reuseaddr" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "2273D248A8EA38B71AC3D9A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
