#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0x5752156b, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0x7094e5c7, "sched_set_fifo" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3aeba7d2, "uart_get_rs485_mode" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbc6f6a6f, "uart_add_one_port" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x170978bc, "gpiochip_add_data_with_key" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x7f481394, "spi_setup" },
	{ 0x2d07a205, "device_get_match_data" },
	{ 0x1badb636, "__devm_regmap_init_spi" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0xed612487, "spi_get_device_id" },
	{ 0x274dd1, "i2c_client_get_device_id" },
	{ 0xe3168639, "__devm_regmap_init_i2c" },
	{ 0x2d324a56, "regmap_noinc_write" },
	{ 0x50c388c, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa0639764, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32cfd6e9, "uart_insert_char" },
	{ 0xfcf9c53, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x97352d20, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb9417d11, "do_SAK" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69fff3a7, "uart_register_driver" },
	{ 0xe438d7dd, "i2c_register_driver" },
	{ 0x66148963, "__spi_register_driver" },
	{ 0x122c3a7e, "_printk" },
	{ 0x237bb5d5, "uart_unregister_driver" },
	{ 0x1e599889, "i2c_del_driver" },
	{ 0x41bfa74a, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5c0d7a6e, "uart_handle_cts_change" },
	{ 0x47a1f4e7, "uart_handle_dcd_change" },
	{ 0x80849f6d, "kthread_queue_work" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x34d31036, "kthread_queue_delayed_work" },
	{ 0xfe1f6546, "gpiochip_get_data" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0xae1ad959, "regmap_update_bits_base" },
	{ 0xce4d231c, "kthread_cancel_delayed_work_sync" },
	{ 0x582804b5, "uart_remove_one_port" },
	{ 0xa54b5367, "kthread_flush_worker" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x85bace34, "gpiochip_remove" },
	{ 0x3d1018f5, "regmap_write" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7d797d01, "regcache_cache_bypass" },
	{ 0xbc877fad, "uart_get_baud_rate" },
	{ 0x84b959a9, "uart_update_timeout" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xaa59ba95, "device_property_read_u32_array" },
	{ 0x7220e397, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "2A0FA3EA341890E5C50472B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
