#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xe47d6c7d, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x0498c0b4, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xf678e96a, "");
SYMBOL_CRC(usb_serial_resume, 0xfa4c6ad0, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x1b861c23, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xc5a60a4d, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xec664409, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x25c92ac3, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x8407fd67, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x81bffaba, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x9be896ff, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xd95bd83c, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x94e529ab, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xc86b148b, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x407f0652, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x3008a0c1, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xfe8b6713, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x12819e57, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x170ff19e, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x5a1e847c, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x16f95772, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xf22126e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x9e453c18, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf133a31a, "usb_driver_release_interface" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x145c5db5, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1e2520e, "put_device" },
	{ 0xb2921d4d, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x7b49b92b, "usb_submit_urb" },
	{ 0x9b633409, "_dev_info" },
	{ 0x37681831, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac0ba712, "module_put" },
	{ 0xd75da6f1, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x40ce277d, "usb_match_id" },
	{ 0xe6511724, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xded25f9c, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb1dc1123, "tty_ldisc_ref" },
	{ 0xb3d22d20, "tty_vhangup" },
	{ 0x41253d54, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x29fc4f1, "tty_port_destroy" },
	{ 0xd8ea89b1, "tty_port_init" },
	{ 0xe2ac83cd, "usb_driver_claim_interface" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xd1380e1a, "usb_poison_urb" },
	{ 0x8986f76e, "usb_unpoison_urb" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0xcfd661ac, "tty_port_register_device" },
	{ 0x779c4324, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x32475dad, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a927f22, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x56c55a4f, "tty_port_close" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x767ec4c8, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa82c4bd3, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39f1b2ae, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbefa6c18, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xb0b35ae5, "tty_port_open" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x98465067, "driver_register" },
	{ 0x2d65c0ec, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd56815ff, "tty_port_tty_get" },
	{ 0xa81ec955, "usb_put_intf" },
	{ 0xc95cc58e, "usb_alloc_urb" },
	{ 0x7fcdb1f4, "usb_autopm_put_interface" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0xa13abefa, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x16f1be0f, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfcf9c53, "tty_flip_buffer_push" },
	{ 0x2691a44a, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3d6df152, "tty_kref_put" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0xa2e5deab, "usb_match_one_id" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xd4c5fe0a, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5743be75, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0xc370d584, "tty_hangup" },
	{ 0x196dfda9, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "D64A5E5746A1EC74C815A3A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
