#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x073cac82, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xcb45755c, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x32e182bf, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x779552ee, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xd47204f4, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x5207dde7, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xdf80b631, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xf75a04a3, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x45a3050a, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0xf070fcd1, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xa6a92237, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x281e5432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xded25f9c, "device_add" },
	{ 0xe1e2520e, "put_device" },
	{ 0xb2a9ca76, "device_unregister" },
	{ 0x98465067, "driver_register" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0x41fc1f34, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x81baf684, "genl_unregister_family" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xbab71fc7, "bus_register" },
	{ 0xbda3bea7, "genl_register_family" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfaf6b1cd, "netlink_capable" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0xad9fa87c, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x3bfa1408, "netlink_unicast" },
	{ 0xce2ae438, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8f07d486, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x90ca3697, "bus_find_device" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
