#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0xbe18f808, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf74a07ac, "inode_newsize_ok" },
	{ 0xb3f1da5e, "d_drop" },
	{ 0x734a7b15, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x20b06453, "block_invalidate_folio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe94b6ac8, "crypto_skcipher_decrypt" },
	{ 0xd8082061, "truncate_inode_pages_final" },
	{ 0xe0308e64, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x76be0f6f, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7a532320, "__free_pages" },
	{ 0x8cfa994f, "kmem_cache_alloc" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x868f4f03, "inode_init_once" },
	{ 0xf61cd7f0, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1cf43c18, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1eccafe6, "vfs_get_link" },
	{ 0xaa23d8f2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x9456eff7, "generic_file_read_iter" },
	{ 0x81ebc681, "unlock_page" },
	{ 0x9d71f745, "noop_llseek" },
	{ 0x5c056a15, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x1e7b44bf, "lock_rename" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x3b3a7f7b, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x55f54b45, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x810bff2f, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x44d65130, "sget" },
	{ 0x97816bf6, "sysfs_create_group" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcc597c3e, "block_dirty_folio" },
	{ 0xf1ec3b90, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x5f9a0445, "kern_path" },
	{ 0xaa0fa686, "vfs_set_acl" },
	{ 0x67a99dd1, "misc_register" },
	{ 0xf82b1029, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf0275865, "key_validate" },
	{ 0xeb88f7b2, "unlock_rename" },
	{ 0x9f0d980d, "vfs_rmdir" },
	{ 0x2bcfdfcc, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4fcf672f, "truncate_setsize" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x54aba114, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf74b3127, "vfs_symlink" },
	{ 0x5233a6af, "super_setup_bdi" },
	{ 0x24e658d3, "igrab" },
	{ 0xedf9ce1f, "generic_read_dir" },
	{ 0xfa7a351, "d_instantiate_new" },
	{ 0x8bbb7dda, "d_add" },
	{ 0x5708817f, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xd8cd69fd, "vfs_mknod" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0xc51f3194, "dentry_open" },
	{ 0x30120470, "request_key_tag" },
	{ 0x8facdad9, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0x1f787549, "vfs_fileattr_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xc5d00aad, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x537fa4b2, "deactivate_locked_super" },
	{ 0x98853689, "touch_atime" },
	{ 0x34b05f3a, "lookup_one_len_unlocked" },
	{ 0x58156059, "vfs_llseek" },
	{ 0xe2c1758f, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd06dc830, "filemap_splice_read" },
	{ 0x57463587, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x5d8e4e84, "key_type_user" },
	{ 0x574d1d81, "kill_anon_super" },
	{ 0xffdf4af7, "vfs_getattr_nosec" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xf88d0121, "iget5_locked" },
	{ 0x6eddd503, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xcef4e96, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x94fe2ae3, "inode_permission" },
	{ 0x753c3169, "mntget" },
	{ 0xddd9871d, "kmem_cache_alloc_lru" },
	{ 0x9ede9e49, "crypto_alloc_shash" },
	{ 0xe9986a5f, "__mark_inode_dirty" },
	{ 0x12015a72, "generic_file_llseek" },
	{ 0x9cb083ad, "make_bad_inode" },
	{ 0xf77864ae, "vfs_get_acl" },
	{ 0xd7673ff0, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1158d530, "fsstack_copy_inode_size" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x291ecce3, "iget_failed" },
	{ 0x778e3bcc, "kernel_write" },
	{ 0x94c08f29, "kmem_cache_destroy" },
	{ 0x95c97b1c, "kobject_put" },
	{ 0x6fd56b15, "vfs_create" },
	{ 0xd78648c5, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x9a4cbeec, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2f4af119, "generic_fillattr" },
	{ 0xd48d724c, "setattr_prepare" },
	{ 0x2d8a2566, "clear_nlink" },
	{ 0x9eb671b9, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7f199da2, "d_instantiate" },
	{ 0xbcecb097, "misc_deregister" },
	{ 0xdc79e8be, "clear_inode" },
	{ 0x9497bf06, "notify_change" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xeb37d31, "grab_cache_page_write_begin" },
	{ 0xe4baba38, "vfs_getattr" },
	{ 0xc0d06637, "vfs_rename" },
	{ 0x898cfe4e, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb4c6b4dc, "init_special_inode" },
	{ 0xf389a8a9, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x49039c52, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6f02e595, "d_make_root" },
	{ 0x767ada78, "d_splice_alias" },
	{ 0xf8d0e928, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x79cd80fb, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x97ca617, "iput" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x9f252dd5, "__vfs_getxattr" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc9da64, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xddf854, "crypto_skcipher_setkey" },
	{ 0x44488996, "fsstack_copy_attr_all" },
	{ 0x854d71cf, "register_filesystem" },
	{ 0x9bdbe67e, "kmem_cache_create" },
	{ 0x554ac90d, "vfs_unlink" },
	{ 0x38b6689e, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0x3f76d9c0, "vfs_mkdir" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D8CFE392BA027929DA9BBC8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
