#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xceead437, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x8f1a7ef6, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x69fc8d99, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x59d1d9d0, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x78182c4d, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xae21bcba, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xf08bb7d5, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x087da11e, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xf6459166, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x56492f2a, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x44bc9321, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x118bea99, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x0db0f938, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xa5c9c64f, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xd8380994, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xcbcaafd3, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x987b1808, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x3c76760e, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x5f2afb83, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xbcd6f116, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x03e12c5f, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x9cf4d63e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7b2ec05, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9f0c365c, "alloc_netdev_mqs" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc801d455, "unregister_netdevice_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3e35c88b, "gro_cells_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x11e7f2f7, "dst_release" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5f64af6f, "skb_scrub_packet" },
	{ 0xbc2de9aa, "gro_cells_receive" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc9555ca6, "ip_route_output_flow" },
	{ 0x4f7b96f6, "__dev_get_by_index" },
	{ 0x9a743b7, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x7f8f5926, "netdev_state_change" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x45197794, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x4039ba20, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x48ceecf2, "ip6_mtu" },
	{ 0xffce312e, "icmpv6_ndo_send" },
	{ 0x64e705e3, "icmp_ndo_send" },
	{ 0x2eac509e, "ipv4_mtu" },
	{ 0x1c6a31eb, "dst_cache_get_ip4" },
	{ 0x48197d73, "iptunnel_xmit" },
	{ 0x6c665369, "__skb_get_hash" },
	{ 0x5d324bae, "dst_cache_set_ip4" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2fab87c2, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A454A84015E61791A7B6E05");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
