#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0xfcbb78dc, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0xeaf33f40, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0x1103452f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83e1dfcf, "crypto_aead_setauthsize" },
	{ 0x9b696681, "crypto_aead_setkey" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd7d0dc, "xfrm_state_lookup" },
	{ 0x6d22c255, "make_kuid" },
	{ 0x8eb024eb, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeaa6337d, "ip6_redirect" },
	{ 0x61129e59, "__xfrm_state_destroy" },
	{ 0xca576b9a, "sk_free" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0x32dc351c, "ipv6_skip_exthdr" },
	{ 0xa1c865e, "km_new_mapping" },
	{ 0xd5014ec8, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3759452a, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb1da192a, "xfrm_input_resume" },
	{ 0x9315a3b3, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x939fb9d5, "skb_to_sgvec" },
	{ 0x730f4041, "crypto_aead_decrypt" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0xf6c7299b, "xfrm_dev_resume" },
	{ 0x91264828, "xfrm_output_resume" },
	{ 0x84e2a92c, "__skb_ext_del" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x615cd0f6, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x543cb018, "__inet6_lookup_established" },
	{ 0x1e224004, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6b53b06, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x411a1755, "espintcp_queue_out" },
	{ 0xfb578fc5, "memset" },
	{ 0xdc2d6610, "crypto_aead_encrypt" },
	{ 0x6da74c05, "skb_page_frag_refill" },
	{ 0xcd475fa0, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5b7429c0, "xfrm_state_mtu" },
	{ 0x17759eb6, "xfrm6_rcv" },
	{ 0xe1c13ee2, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb8109c1c, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x8467db5, "xfrm_register_type" },
	{ 0x28b9b20f, "xfrm6_protocol_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x94be9ba3, "xfrm_unregister_type" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0x205352b4, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2f7da5, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "FD9AF7828B08CB7E2A6CC45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
