#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0xa2c9131c, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x4391dc67, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x76a7eee0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa4576caf, "devm_gpiod_get_optional" },
	{ 0xce22943c, "cs35l41_init_boost" },
	{ 0x63551a31, "cs35l41_enter_hibernate" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6426898, "__pm_runtime_set_status" },
	{ 0xf11d2221, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea7adedf, "pm_runtime_enable" },
	{ 0xe5acb945, "regulator_bulk_disable" },
	{ 0xaa59ba95, "device_property_read_u32_array" },
	{ 0xc333e3c9, "snd_soc_get_enum_double" },
	{ 0x9b633409, "_dev_info" },
	{ 0x198aac1e, "snd_soc_info_volsw" },
	{ 0x249b7f57, "regmap_multi_reg_write_bypassed" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xeb8054e3, "wm_adsp_event" },
	{ 0xaf5851bc, "snd_soc_dapm_put_volsw" },
	{ 0xa1aa501b, "cs35l41_test_key_unlock" },
	{ 0xe7545a48, "cs35l41_test_key_lock" },
	{ 0x262fe979, "snd_pcm_hw_constraint_list" },
	{ 0xa4596636, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0xe2c1ff59, "wm_adsp2_component_probe" },
	{ 0xd797a3c8, "wm_adsp2_preloader_put" },
	{ 0xcb7d24b4, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62737918, "wm_adsp2_preloader_get" },
	{ 0x8d3553bf, "snd_soc_info_enum_double" },
	{ 0xc52ffc23, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x2eb20b2f, "devm_regulator_bulk_get" },
	{ 0x6906e2b1, "snd_soc_info_volsw_sx" },
	{ 0x2354064c, "cs35l41_otp_unpack" },
	{ 0x6b658871, "wm_adsp2_component_remove" },
	{ 0x3331214f, "snd_soc_get_volsw" },
	{ 0x1c8b405c, "cs35l41_exit_hibernate" },
	{ 0x41bfa74a, "regmap_read" },
	{ 0x149f847, "snd_soc_put_volsw" },
	{ 0x99c2c58e, "wm_adsp_fw_get" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x74279734, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x89fd269b, "cs35l41_write_fs_errata" },
	{ 0x2da33f19, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8c356a1f, "cs35l41_configure_cs_dsp" },
	{ 0xffb2ce2b, "_dev_crit" },
	{ 0xae1ad959, "regmap_update_bits_base" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0x5b5d0f1c, "snd_soc_dapm_get_volsw" },
	{ 0xd0fec53d, "__pm_runtime_suspend" },
	{ 0xcd7ade99, "snd_soc_dapm_get_enum_double" },
	{ 0xd8a4f18f, "__pm_runtime_use_autosuspend" },
	{ 0x9f4ac62e, "wm_halo_init" },
	{ 0xfef854c5, "wm_adsp_early_event" },
	{ 0xa19bb461, "cs35l41_set_channels" },
	{ 0x8682d467, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xfe3da5f, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xd65695e3, "snd_soc_dapm_put_enum_double" },
	{ 0x2c261f5e, "wm_adsp_fw_put" },
	{ 0xdff510f0, "device_property_present" },
	{ 0x1c8aa68a, "cs35l41_global_enable" },
	{ 0x92f6c9cf, "regcache_cache_only" },
	{ 0x25a31381, "is_acpi_device_node" },
	{ 0xfc1203db, "regcache_sync" },
	{ 0x3d1018f5, "regmap_write" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0xfd40c8d, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x533c75f8, "pm_runtime_set_autosuspend_delay" },
	{ 0xbc456f46, "cs35l41_register_errata_patch" },
	{ 0x6158eefa, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c957a81, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x22e1c501, "snd_soc_put_enum_double" },
	{ 0xfa23932e, "regcache_mark_dirty" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "AB9CF5BC498EE6872EA6AE6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
