#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_tng_gpio_probe, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_suspend, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_resume, "_gpl", "GPIO_TANGIER");

SYMBOL_CRC(devm_tng_gpio_probe, 0x48f2fbba, "_gpl");
SYMBOL_CRC(tng_gpio_suspend, 0xb46291c1, "_gpl");
SYMBOL_CRC(tng_gpio_resume, 0x699c777f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe61cdaa3, "gpiochip_generic_config" },
	{ 0x43828e, "gpiochip_enable_irq" },
	{ 0x4b34ef35, "gpiochip_disable_irq" },
	{ 0x425197b4, "generic_handle_domain_irq" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x16fce12c, "handle_level_irq" },
	{ 0x9d3f93d8, "handle_edge_irq" },
	{ 0x913f956c, "gpiochip_irq_reqres" },
	{ 0x88df338d, "gpiochip_irq_relres" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe1f6546, "gpiochip_get_data" },
	{ 0x8583582e, "gpiochip_add_pin_range" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x20c6ed1, "gpiochip_generic_request" },
	{ 0x4310b8f2, "gpiochip_generic_free" },
	{ 0x22c26378, "handle_bad_irq" },
	{ 0x9a1c4d90, "devm_gpiochip_add_data_with_key" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "57858AA557DADCFE9A1EEFF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
