#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7b49b92b, "usb_submit_urb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe7b6e54d, "hid_open_report" },
	{ 0x808e66dd, "hid_hw_start" },
	{ 0x7b06047c, "hid_is_usb" },
	{ 0xc95cc58e, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa13abefa, "usb_free_urb" },
	{ 0xf2015001, "hid_hw_stop" },
	{ 0x7301304f, "hid_unregister_driver" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf0efd902, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x18bf2da4, "input_mt_report_slot_state" },
	{ 0x5796c322, "input_mt_sync_frame" },
	{ 0x9b9c5688, "hid_hw_close" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6ab4ad47, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x47585895, "devm_led_classdev_register_ext" },
	{ 0xddb27281, "input_mt_init_slots" },
	{ 0x878b40ae, "input_set_capability" },
	{ 0x42df2ee6, "input_ff_create_memless" },
	{ 0x4e44eaf8, "devm_kasprintf" },
	{ 0x44601316, "devm_power_supply_register" },
	{ 0xacff9c79, "power_supply_powers" },
	{ 0xcd50ea70, "hid_hw_open" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x8af17a56, "hid_validate_values" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c8626b1, "__hid_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x9b633409, "_dev_info" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x1ec32ca, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x413fe900, "hid_hw_output_report" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe520e992, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe14b16ee, "input_register_device" },
	{ 0x6433fe47, "input_set_abs_params" },
	{ 0xb845ad80, "input_alloc_absinfo" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x75c4e5a, "power_supply_get_drvdata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "7462F21370EB35103866EE5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
