#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x7b2b7ed3, "");
SYMBOL_CRC(ishtp_start, 0x67066d20, "");
SYMBOL_CRC(ishtp_send_suspend, 0x7b307a61, "");
SYMBOL_CRC(ishtp_send_resume, 0x5a86c202, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x9fea6715, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x6ce94184, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x46dab824, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x07bfbf96, "");
SYMBOL_CRC(ishtp_cl_free, 0xfd0fef7e, "");
SYMBOL_CRC(ishtp_cl_link, 0xf76699df, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x418d399b, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x36ea95df, "");
SYMBOL_CRC(ishtp_cl_connect, 0x77253975, "");
SYMBOL_CRC(ishtp_cl_send, 0x5d460de5, "");
SYMBOL_CRC(ishtp_get_client_data, 0xb9acf02a, "");
SYMBOL_CRC(ishtp_set_client_data, 0xc54883a7, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xa93c1049, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x97b8a158, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x678ae174, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x3b86c61f, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x138cb8c0, "");
SYMBOL_CRC(ishtp_recv, 0xe7d6249f, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x203e59d4, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x3b860754, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0xd761eaae, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xbd052b49, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x1b67d05e, "");
SYMBOL_CRC(ishtp_get_device, 0xc7c6e8d0, "");
SYMBOL_CRC(ishtp_put_device, 0x50529f1b, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x432fdb38, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x89838750, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x9ae1134e, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xb0edf4b4, "");
SYMBOL_CRC(ishtp_reset_handler, 0x706f9b21, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x65ac6f86, "");
SYMBOL_CRC(ishtp_device, 0xff52277f, "");
SYMBOL_CRC(ishtp_wait_resume, 0xbc6afae8, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xfc017bdf, "");
SYMBOL_CRC(ishtp_trace_callback, 0xa1b6582c, "");
SYMBOL_CRC(ish_hw_reset, 0x4fe046a0, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xb09bfb06, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xe03a88c3, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xdd516761, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe1e2520e, "put_device" },
	{ 0x9b633409, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4f0cffea, "device_register" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x98465067, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb2a9ca76, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
