#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x28931447, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x54acb082, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x28b90e5b, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xc4f28815, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0xc0a493e3, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x66176b1e, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x4ecddbb6, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x05f2ba13, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x2d028e30, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x713714ec, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x742d17da, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x54ca2ca0, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xbdb75734, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x591bf668, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x9702a4d2, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x64d0deb0, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xb6ce3aa9, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xc64b159c, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x4a2b938d, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xdf3adb1c, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x3be0804f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada1a014, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x269e7c26, "sysfs_notify" },
	{ 0xaee6061b, "kobject_uevent" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x919c2d67, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x34aaea9, "i2c_smbus_xfer" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xa0973bc6, "device_create_file" },
	{ 0x139577f6, "__devm_add_action" },
	{ 0x7d28473b, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x45049798, "devm_hwmon_device_register_with_groups" },
	{ 0xe8d05474, "devm_regulator_register" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x9d71f745, "noop_llseek" },
	{ 0x8f4d3e13, "simple_open" },
	{ 0x9802542c, "debugfs_attr_read" },
	{ 0x9087d1f7, "debugfs_attr_write" },
	{ 0x1b5b1289, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb8b10dc, "i2c_smbus_write_byte_data" },
	{ 0xea1d9fde, "i2c_smbus_read_byte_data" },
	{ 0x8e88dd88, "i2c_smbus_write_byte" },
	{ 0xa4571938, "i2c_smbus_write_word_data" },
	{ 0x5dc92442, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbd2812ac, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x900fd49f, "devm_krealloc" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0x28db1923, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3cab72f9, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa86a720e, "rdev_get_dev" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "67A31C999EB77224BA3E706");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
