#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c68e3c9, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9b633409, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x50b8b13f, "input_allocate_device" },
	{ 0x878b40ae, "input_set_capability" },
	{ 0x6433fe47, "input_set_abs_params" },
	{ 0xddb27281, "input_mt_init_slots" },
	{ 0xe14b16ee, "input_register_device" },
	{ 0xb845ad80, "input_alloc_absinfo" },
	{ 0x2aa788cc, "input_free_device" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x32caef70, "request_firmware_nowait" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xdff510f0, "device_property_present" },
	{ 0x25a31381, "is_acpi_device_node" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xaa59ba95, "device_property_read_u32_array" },
	{ 0x2eb20b2f, "devm_regulator_bulk_get" },
	{ 0xa4576caf, "devm_gpiod_get_optional" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0xc52ffc23, "regulator_bulk_enable" },
	{ 0x97816bf6, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe438d7dd, "i2c_register_driver" },
	{ 0x748622f3, "i2c_transfer" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96848186, "scnprintf" },
	{ 0x1e599889, "i2c_del_driver" },
	{ 0xc5760a3d, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x634dabeb, "irq_get_irq_data" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc68e2654, "i2c_transfer_buffer_flags" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1518e5c4, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x54aba114, "sysfs_remove_group" },
	{ 0xdbd41c00, "input_unregister_device" },
	{ 0xe5acb945, "regulator_bulk_disable" },
	{ 0xf0efd902, "input_event" },
	{ 0x18bf2da4, "input_mt_report_slot_state" },
	{ 0xa6257a2f, "complete" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "A09F629FA2E656BDC6FFAFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
