#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xcb784da1, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xf0c4f9f7, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xd40fc752, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x589a566d, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xaee7f303, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xded7674a, "");
SYMBOL_CRC(cx88_wakeup, 0xd9822a6e, "");
SYMBOL_CRC(cx88_shutdown, 0x51101338, "");
SYMBOL_CRC(cx88_reset, 0x5b356085, "");
SYMBOL_CRC(cx88_set_scale, 0xf2a03de7, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x16a79a97, "");
SYMBOL_CRC(cx88_vdev_init, 0x309a4571, "");
SYMBOL_CRC(cx88_core_get, 0x7cf363c6, "");
SYMBOL_CRC(cx88_core_put, 0x3145a114, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x24fe5322, "");
SYMBOL_CRC(cx88_newstation, 0xad987aaa, "");
SYMBOL_CRC(cx88_get_stereo, 0xac385d41, "");
SYMBOL_CRC(cx88_set_stereo, 0x33a4458e, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x50b67f4b, "");
SYMBOL_CRC(cx88_ir_start, 0xcb999a1b, "");
SYMBOL_CRC(cx88_ir_stop, 0xeb117a2b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xc68e2654, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x34aaea9, "i2c_smbus_xfer" },
	{ 0xf6a60cf5, "i2c_del_adapter" },
	{ 0x9131ad48, "rc_keyup" },
	{ 0x16baf04a, "__v4l2_ctrl_grab" },
	{ 0x58945e87, "i2c_unregister_device" },
	{ 0x9f4cf96d, "tveeprom_read" },
	{ 0x2c796e44, "rc_keydown_notimeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee058f6b, "rc_register_device" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0xaf342dd6, "rc_keydown" },
	{ 0x8696c09f, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b70283b, "i2c_new_client_device" },
	{ 0xc8bd329d, "freezing_slow_path" },
	{ 0x3ddf7050, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5c66b79, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2358e5c7, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb14bf192, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xbec2eeff, "v4l2_ctrl_handler_free" },
	{ 0x748622f3, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x6e5ad3d0, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x847d0de3, "v4l2_i2c_new_subdev" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xf1564e1f, "ir_raw_event_store_with_filter" },
	{ 0xea1d9fde, "i2c_smbus_read_byte_data" },
	{ 0x57cea02d, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7205f32c, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xf1e639a7, "ir_raw_event_handle" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20668228, "i2c_bit_add_bus" },
	{ 0xfb3c25c3, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
