#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xeaf9d50d, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x6fc124ce, "");
SYMBOL_CRC(ivtv_api, 0xf45c445d, "");
SYMBOL_CRC(ivtv_vapi, 0x4e823f48, "");
SYMBOL_CRC(ivtv_vapi_result, 0xa6c5686b, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x80572df7, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x76a30696, "");
SYMBOL_CRC(ivtv_udma_setup, 0x8a47c3d8, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x6f9476ce, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x45485cb8, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x1d5666ec, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x5a03b2ab, "");
SYMBOL_CRC(ivtv_firmware_check, 0x767dcf3b, "");
SYMBOL_CRC(ivtv_claim_stream, 0x0e1863e4, "");
SYMBOL_CRC(ivtv_release_stream, 0x0ace8a55, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xb11c8432, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xf8d2c027, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9f4cf96d, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xceeb55c5, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xcd81f346, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe326ddf9, "pci_read_config_word" },
	{ 0x6852f064, "v4l2_ctrl_subscribe_event" },
	{ 0xbc090b1, "v4l2_fh_init" },
	{ 0x6bdb22c1, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5752156b, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5e587be9, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x575419a3, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0xbe44cea1, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd5c66b79, "v4l2_device_register" },
	{ 0x13cc70f4, "param_ops_string" },
	{ 0xbeedcc5f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7450a4d9, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb14bf192, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7d12c31f, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd3e46a, "v4l2_ctrl_new_std" },
	{ 0x7239d2c, "v4l2_ctrl_g_ctrl" },
	{ 0xd3b3091b, "cx2341x_handler_init" },
	{ 0xee55319a, "cx2341x_handler_set_50hz" },
	{ 0xbec2eeff, "v4l2_ctrl_handler_free" },
	{ 0x6e5ad3d0, "v4l2_device_unregister" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x7094e5c7, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x38b198b6, "v4l2_subdev_call_wrappers" },
	{ 0x9d90ceaa, "dma_unmap_sg_attrs" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x42060101, "v4l2_event_queue" },
	{ 0x847d0de3, "v4l2_i2c_new_subdev" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x57cea02d, "video_device_release_empty" },
	{ 0x365753d5, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b800f43, "pci_write_config_dword" },
	{ 0x4dbee4c4, "v4l2_event_unsubscribe" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x82a9918d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x865d310a, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x98a67d00, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x859569b7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20668228, "i2c_bit_add_bus" },
	{ 0x94e3cce3, "v4l2_fh_del" },
	{ 0x89028aca, "v4l2_i2c_new_subdev_board" },
	{ 0xa54b5367, "kthread_flush_worker" },
	{ 0x52895815, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0xfb3c25c3, "v4l2_ctrl_handler_init_class" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x12b17a7f, "unpin_user_pages" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc68e2654, "i2c_transfer_buffer_flags" },
	{ 0xa9fd8462, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0xe46a0677, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd752eb04, "v4l2_ctrl_handler_log_status" },
	{ 0xfa7ff83a, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5866d70, "video_devdata" },
	{ 0xb0a632c6, "i2c_new_scanned_device" },
	{ 0x57a27084, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x80849f6d, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a532320, "__free_pages" },
	{ 0xf6a60cf5, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4368813a, "__v4l2_ctrl_s_ctrl" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3B70856FB76E3D9F1361E34");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
