#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0xffb8e229, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x9f60815c, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0xc3e56455, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0xc356d237, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x602e3f07, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x784b264c, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xbd9df434, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xd10eab6f, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x3841688d, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x4930cce6, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x83c1d6fb, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0xd2a90a23, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x78c5d10e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb8c7e27, "usb_bulk_msg" },
	{ 0xae70236d, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7633593e, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xab76ca3f, "usb_control_msg" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa01b0917, "device_for_each_child" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x341c05c3, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x28a1ed90, "usb_sg_cancel" },
	{ 0x32475dad, "usb_deregister" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf829215c, "mfd_add_devices" },
	{ 0x3c9c6c5e, "usb_enable_autosuspend" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
