#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0xbcf433cb, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x89f2fd6a, "napi_enable" },
	{ 0x4eabebd4, "napi_schedule_prep" },
	{ 0x41099c43, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4df57267, "unregister_virtio_driver" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x7c776312, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc71c02cf, "netif_receive_skb" },
	{ 0x9f597502, "vringh_complete_kern" },
	{ 0xb98c2548, "vringh_getdesc_kern" },
	{ 0xe97de774, "netdev_err" },
	{ 0xc09440cb, "netdev_warn" },
	{ 0xac188ae4, "napi_complete_done" },
	{ 0x932af7d7, "vringh_notify_disable_kern" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0x9a81a3f6, "vringh_need_notify_kern" },
	{ 0x1321db5a, "consume_skb" },
	{ 0x8f8840e8, "vringh_notify_enable_kern" },
	{ 0x9f0c365c, "alloc_netdev_mqs" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f766053, "virtqueue_disable_cb" },
	{ 0xee43cf83, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x807ecc9e, "debugfs_create_u32" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x54c678b0, "virtqueue_get_buf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x54f94bd6, "virtqueue_add_outbuf" },
	{ 0xcadecfe4, "virtqueue_kick" },
	{ 0x73060557, "virtqueue_enable_cb" },
	{ 0x96293904, "netif_tx_stop_all_queues" },
	{ 0x525eeb86, "napi_disable" },
	{ 0xc2d6c95e, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd14d4e32, "register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf790af51, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0x34bf937e, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca6c3a57, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "D8782A550133F35EE45375F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
