#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x51284253, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xc9a607ed, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x67c0ab90, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x91b3cced, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc801d455, "unregister_netdevice_queue" },
	{ 0x92f493ab, "netdev_upper_dev_unlink" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x15b7d5df, "dev_uc_add" },
	{ 0x45197794, "dev_set_mtu" },
	{ 0x899a3920, "netif_inherit_tso_max" },
	{ 0x5e8d4f8, "netdev_update_features" },
	{ 0x85ab9b84, "netif_stacked_transfer_operstate" },
	{ 0x1a6aec3e, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf8f45790, "skb_clone" },
	{ 0x3ce89225, "netif_rx" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x292b8698, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3729d343, "pv_ops" },
	{ 0xb57e8759, "__dev_queue_xmit" },
	{ 0xd7490d28, "dev_forward_skb" },
	{ 0x91522f2c, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x11264146, "__netif_rx" },
	{ 0x7faaccec, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5284ac6, "netdev_core_stats_alloc" },
	{ 0x4f7b96f6, "__dev_get_by_index" },
	{ 0xb7122caf, "netdev_is_rx_handler_busy" },
	{ 0x83fcd7f, "netdev_rx_handler_register" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0x2aea864a, "netdev_upper_dev_link" },
	{ 0xf33ecba2, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa4972f49, "dev_uc_sync" },
	{ 0xdbc5f986, "dev_mc_sync" },
	{ 0xfec38b51, "passthru_features_check" },
	{ 0x30ccbd6a, "eth_validate_addr" },
	{ 0xee11b425, "ndo_dflt_fdb_dump" },
	{ 0xdade1a72, "ethtool_op_get_link" },
	{ 0xe3e580cf, "eth_header_parse" },
	{ 0xdfae1d19, "eth_header_cache" },
	{ 0x13aa076a, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9d3d7c4a, "ether_setup" },
	{ 0xf7c1d82c, "__ethtool_get_link_ksettings" },
	{ 0x4039ba20, "init_net" },
	{ 0x3b379f22, "generic_hwtstamp_set_lower" },
	{ 0x66b002b0, "generic_hwtstamp_get_lower" },
	{ 0x38e9665b, "dev_mc_del" },
	{ 0x334debac, "dev_uc_del" },
	{ 0x5b936801, "dev_mc_add_excl" },
	{ 0x8331a6dd, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd0f63378, "__netpoll_free" },
	{ 0x64b0855a, "vlan_vid_del" },
	{ 0x13255823, "vlan_vid_add" },
	{ 0x849f9c69, "dev_set_allmulti" },
	{ 0xfd30e002, "dev_set_promiscuity" },
	{ 0xce71ff0f, "dev_uc_unsync" },
	{ 0xeda33c3d, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf003dd69, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0xa350f8ff, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdf337ad3, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xadf5a0d1, "rtnl_link_unregister" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xe065ed6b, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "655CB35379F9C4F79C8DD4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
