#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd5dc7d74, "ethnl_cable_test_result" },
	{ 0xea920fd2, "ethnl_cable_test_fault_length" },
	{ 0x771def38, "genphy_soft_reset" },
	{ 0xea7c6d00, "genphy_read_mmd_unsupported" },
	{ 0xc89b36b7, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d54e873, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x518ce9c9, "genphy_suspend" },
	{ 0x41052e5e, "mdiobus_read" },
	{ 0xc04081c7, "mdiobus_write" },
	{ 0x3a137094, "genphy_read_status" },
	{ 0x6a36d014, "phy_modify" },
	{ 0x7adae2b4, "phy_modify_mmd" },
	{ 0x4a6c4a2e, "phy_read_mmd" },
	{ 0x987adc58, "phy_write_mmd" },
	{ 0xa9def0ed, "genphy_restart_aneg" },
	{ 0x1d4f3f0c, "phy_trigger_machine" },
	{ 0x8a4531c3, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf764468b, "ptp_classify_raw" },
	{ 0x72c853fc, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb347e72, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27db8e, "ptp_cancel_worker_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x637af766, "__mdiobus_write" },
	{ 0xa0024368, "__mdiobus_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x67d142b5, "phy_drivers_unregister" },
	{ 0x45a1ec52, "__genphy_config_aneg" },
	{ 0x6fd39ea3, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x7906e5f3, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe3baa21f, "ptp_find_pin_unlocked" },
	{ 0xf510a65f, "ptp_clock_event" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x31bc40c5, "devm_phy_package_join" },
	{ 0xa4576caf, "devm_gpiod_get_optional" },
	{ 0x9bed8ce3, "gpiod_set_consumer_name" },
	{ 0x6158eefa, "gpiod_set_value_cansleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x974ebe5c, "ptp_clock_register" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x6a93f122, "genphy_resume" },
	{ 0x3ce89225, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x6f16ec86, "devm_clk_get" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "3FE327790606C15369C8FE6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
