#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x934851f0, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x2b02721a, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x2bf3d116, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0xf691ff8a, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xcbd55856, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x6acc0503, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x93abfb76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a137094, "genphy_read_status" },
	{ 0xc04081c7, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xdff510f0, "device_property_present" },
	{ 0x57e8b032, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0x2d54e873, "phy_drivers_register" },
	{ 0x4a6c4a2e, "phy_read_mmd" },
	{ 0x45a1ec52, "__genphy_config_aneg" },
	{ 0x6a36d014, "phy_modify" },
	{ 0x771def38, "genphy_soft_reset" },
	{ 0x67d142b5, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x987adc58, "phy_write_mmd" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x9b633409, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x518ce9c9, "genphy_suspend" },
	{ 0x6a93f122, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x41052e5e, "mdiobus_read" },
	{ 0x1d4f3f0c, "phy_trigger_machine" },
	{ 0x8a4531c3, "phy_error" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "8BEA5824C57EDDBD06FCFE5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
