#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x66a2f243, "");
SYMBOL_CRC(ppp_register_channel, 0x5efb2ee9, "");
SYMBOL_CRC(ppp_unregister_channel, 0xf152edb9, "");
SYMBOL_CRC(ppp_channel_index, 0x1628ac41, "");
SYMBOL_CRC(ppp_unit_number, 0x0ec0b109, "");
SYMBOL_CRC(ppp_dev_name, 0x032565b6, "");
SYMBOL_CRC(ppp_input, 0xed477931, "");
SYMBOL_CRC(ppp_input_error, 0x17611801, "");
SYMBOL_CRC(ppp_output_wakeup, 0x42c07227, "");
SYMBOL_CRC(ppp_register_compressor, 0x8158228f, "");
SYMBOL_CRC(ppp_unregister_compressor, 0x118a6561, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4322fcbd, "register_pernet_device" },
	{ 0x486f71cb, "__register_chrdev" },
	{ 0xa0d311dd, "class_create" },
	{ 0xdf337ad3, "rtnl_link_register" },
	{ 0x200d563a, "device_create" },
	{ 0x89b6d400, "unregister_pernet_device" },
	{ 0x5d20e79f, "class_destroy" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xadf5a0d1, "rtnl_link_unregister" },
	{ 0xd9876a40, "device_destroy" },
	{ 0x2a928918, "slhc_free" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0xde62317f, "bpf_prog_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x371555a9, "bpf_prog_create" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x29b27672, "skb_dequeue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x91d1dede, "iov_iter_init" },
	{ 0xca21dd, "skb_copy_datagram_iter" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1cba1be4, "netdev_name_in_use" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0x74baeccf, "fget" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xaa23d8f2, "fput" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x70e80e7, "__put_net" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xce2ae438, "skb_trim" },
	{ 0xd5014ec8, "skb_pull_rcsum" },
	{ 0x5f64af6f, "skb_scrub_packet" },
	{ 0x3ce89225, "netif_rx" },
	{ 0xb04d3426, "skb_pull" },
	{ 0xea5f5cc, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0x8f8e420, "skb_queue_head" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15f90688, "slhc_init" },
	{ 0x9f0c365c, "alloc_netdev_mqs" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0x9d71f745, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xac0ba712, "module_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0x7c776312, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0xe97de774, "netdev_err" },
	{ 0xc801d455, "unregister_netdevice_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "7A6EA02E459C92B0BB77841");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
