#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x98b3e300, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x19740e0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca576b9a, "sk_free" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x9e4866da, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x41d6abdc, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc03d8da1, "skb_tstamp_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x38957801, "skb_copy_ubufs" },
	{ 0x1c7148df, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3759452a, "___pskb_trim" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0x525eeb86, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf718704d, "xdp_rxq_info_unreg" },
	{ 0xd301bb54, "__netif_napi_del" },
	{ 0xac0ba712, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xe58f6875, "netif_set_real_num_tx_queues" },
	{ 0x72fa52d4, "netif_set_real_num_rx_queues" },
	{ 0xc801d455, "unregister_netdevice_queue" },
	{ 0x7f8f5926, "netdev_state_change" },
	{ 0xdd4efead, "build_skb" },
	{ 0x7c776312, "skb_put" },
	{ 0xd2ea756e, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9216cfb7, "xdp_do_redirect" },
	{ 0x4e431a65, "bpf_warn_invalid_xdp_action" },
	{ 0x806b1fa2, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x21fc8bac, "xdp_return_frame_rx_napi" },
	{ 0x12ca7a34, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x461468e7, "_copy_to_iter" },
	{ 0x1116d4f6, "iov_iter_advance" },
	{ 0xca21dd, "skb_copy_datagram_iter" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xdbac4083, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x96227595, "__skb_flow_dissect" },
	{ 0x1ded7fd1, "skb_partial_csum_set" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x270b5819, "xdp_rxq_info_is_reg" },
	{ 0x91382368, "lock_sock_nested" },
	{ 0x3dbddab9, "sk_attach_filter" },
	{ 0x557aebbd, "release_sock" },
	{ 0x8c44c133, "__xdp_rxq_info_reg" },
	{ 0x3af827cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xee43cf83, "netif_napi_add_weight" },
	{ 0x89f2fd6a, "napi_enable" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0xd7b5511c, "get_net_ns" },
	{ 0x7ae9acf7, "open_related_ns" },
	{ 0x63c993a3, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xafa01fc4, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x9f0c365c, "alloc_netdev_mqs" },
	{ 0xf6c51aa8, "ip_tunnel_header_ops" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0xa5dfcfbb, "sk_detach_filter" },
	{ 0x6d22c255, "make_kuid" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0xf1ec3b90, "from_kuid" },
	{ 0x5e8d4f8, "netdev_update_features" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb0e2417f, "dev_get_mac_address" },
	{ 0x8b35848e, "dev_set_mac_address_user" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0x9d3d7c4a, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x1a6aec3e, "call_netdevice_notifiers" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0xb8bcdc18, "from_kgid" },
	{ 0x1060215d, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6da74c05, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xee1fa645, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6a3699b2, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0xdf063501, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5680483, "napi_get_frags" },
	{ 0x8292f717, "iov_iter_single_seg_count" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa7a25b0d, "sock_alloc_send_pskb" },
	{ 0xb0782974, "zerocopy_sg_from_iter" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0x3431aacd, "skb_copy_datagram_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x26d150ce, "do_xdp_generic" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0xc71c02cf, "netif_receive_skb" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0xb4f0d02, "eth_get_headlen" },
	{ 0x4eabebd4, "napi_schedule_prep" },
	{ 0x72de49cb, "napi_gro_frags" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0x41099c43, "__napi_schedule" },
	{ 0x10eff5ad, "__page_frag_cache_drain" },
	{ 0xfec38b51, "passthru_features_check" },
	{ 0x5127fddb, "eth_mac_addr" },
	{ 0x30ccbd6a, "eth_validate_addr" },
	{ 0xdade1a72, "ethtool_op_get_link" },
	{ 0x1d280a62, "ethtool_op_get_ts_info" },
	{ 0x43cfc340, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbf1bf138, "fasync_helper" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xfc468859, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc1764b8c, "from_kgid_munged" },
	{ 0x87922a25, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xde62317f, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb195843, "dev_get_tstats64" },
	{ 0x96293904, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2734c25, "bpf_prog_get_type_dev" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdf337ad3, "rtnl_link_register" },
	{ 0x67a99dd1, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xadf5a0d1, "rtnl_link_unregister" },
	{ 0xbcecb097, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3f970c2d, "xdp_return_frame" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x3de90232, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa4b715de, "napi_gro_receive" },
	{ 0xac188ae4, "napi_complete_done" },
	{ 0x15f65ffe, "bpf_prog_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5284ac6, "netdev_core_stats_alloc" },
	{ 0x309c01ad, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x595bc8dd, "sock_init_data_uid" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3585996E32693964D0C5C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
