#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x22d8547e, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xa3295bad, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xe411b6bb, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xbba11955, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xeb44e2aa, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x05b83b7d, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x41f71c47, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x2512a252, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xb543dbef, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x27418d72, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x975d4787, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xe9481745, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x59e3a3f1, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x78f08e77, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xb47c8480, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xaefbf761, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x5f74ae3e, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x4ba120cb, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x262368ed, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x10942d52, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x06661197, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x0bde0bcc, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xff4020cc, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xde8b8ff8, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xc9e121db, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x8af345da, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x06303fa2, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xa8049dad, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x461caa67, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x64611f3f, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x61b46c7d, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x6de8801d, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xb7bcbe8f, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x62bd6191, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xb362be55, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xb3cbaaca, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x2c5c8168, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xfb89fcc0, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0xe4da13be, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x4962b242, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xc493e8ee, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x658e55e2, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x5c358abc, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x8f8f1464, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xbbc72167, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x372de64b, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x9a7380a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c776312, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x35945d52, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9c4aacc8, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x85f993f0, "led_classdev_unregister" },
	{ 0x4a2a5be6, "ieee80211_register_hw" },
	{ 0xed8a35cf, "__ieee80211_create_tpt_led_trigger" },
	{ 0xa2769770, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xf15faa7c, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0xa615b1b0, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b633409, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf519f3b9, "ieee80211_queue_delayed_work" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x712b8016, "ieee80211_ctstoself_get" },
	{ 0xb04d3426, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb78c8c54, "ieee80211_free_txskb" },
	{ 0x290b6f15, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c7819dc, "ieee80211_tx_status" },
	{ 0x44ce474b, "ieee80211_stop_queue" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x5773f965, "ieee80211_stop_queues" },
	{ 0xce2ae438, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15162ab4, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x65dcbe49, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f0f0ee5, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9850af2a, "led_classdev_resume" },
	{ 0x3a10b00b, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc074fbc0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3b0d3c0c, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x3097ecf7, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xc9c79354, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9e65b8ef, "ieee80211_iterate_interfaces" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "4CE9C1686889935649CFDC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
