#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x048bd199, "");
SYMBOL_CRC(rpmsg_create_channel, 0xc08a0b44, "");
SYMBOL_CRC(rpmsg_release_channel, 0xba631297, "");
SYMBOL_CRC(rpmsg_create_ept, 0x39eb57ee, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0xae49b4c0, "");
SYMBOL_CRC(rpmsg_send, 0x2e0c1f1c, "");
SYMBOL_CRC(rpmsg_sendto, 0xc74c6158, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0xd77a0cbd, "");
SYMBOL_CRC(rpmsg_trysend, 0x0bfea44e, "");
SYMBOL_CRC(rpmsg_trysendto, 0xa34696df, "");
SYMBOL_CRC(rpmsg_poll, 0xf30df6b6, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x1f26342a, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x150bac1a, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0x3437cf45, "");
SYMBOL_CRC(rpmsg_find_device, 0x1be098a9, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x368d6a25, "");
SYMBOL_CRC(rpmsg_register_device, 0x9b4977d9, "");
SYMBOL_CRC(rpmsg_unregister_device, 0x7216435a, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x90c21b37, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0xaa339f9d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x5b241d7b, "device_find_child" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0x754d539c, "strlen" },
	{ 0x8f07d486, "driver_set_override" },
	{ 0xded25f9c, "device_add" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1e2520e, "put_device" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb2a9ca76, "device_unregister" },
	{ 0x98465067, "driver_register" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0xa0d311dd, "class_create" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5d20e79f, "class_destroy" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0xcd4bfd60, "dev_pm_domain_detach" },
	{ 0x89aad024, "dev_pm_domain_attach" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "225EEAE14EF02725C3F3C4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
