#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb64649dd, "kernel_getpeername" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbe2574b5, "iscsi_put_conn" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x594790ad, "iscsi_conn_get_param" },
	{ 0x3572be05, "kernel_getsockname" },
	{ 0xe3f9d469, "iscsi_set_param" },
	{ 0xe0a1b753, "iscsi_tcp_set_max_r2t" },
	{ 0xa5fcd61, "sockfd_lookup" },
	{ 0xaa23d8f2, "fput" },
	{ 0xe972678b, "iscsi_conn_bind" },
	{ 0x9adedc79, "sk_set_memalloc" },
	{ 0x914598d, "sock_no_linger" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x34858868, "iscsi_tcp_hdr_recv_prep" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7c44d3b2, "iscsi_conn_queue_xmit" },
	{ 0x30bfb0ef, "iscsi_tcp_recv_skb" },
	{ 0x2603acd3, "scsi_is_host_device" },
	{ 0x82f1237f, "iscsi_session_remove" },
	{ 0xe73e7da8, "iscsi_host_remove" },
	{ 0x81056e83, "iscsi_tcp_r2tpool_free" },
	{ 0x2f66b8ce, "iscsi_session_free" },
	{ 0xb0e638b1, "iscsi_host_free" },
	{ 0xe3340034, "iscsi_host_alloc" },
	{ 0x8254a767, "iscsi_host_get_max_scsi_cmds" },
	{ 0x5a42a00c, "iscsi_host_add" },
	{ 0xb9a43a9, "iscsi_session_setup" },
	{ 0x1f19cdd1, "iscsi_tcp_r2tpool_alloc" },
	{ 0xed732808, "iscsi_session_teardown" },
	{ 0x615e50f1, "blk_queue_dma_alignment" },
	{ 0xe9c6cad0, "blk_queue_flag_set" },
	{ 0xa9bbe7f5, "iscsi_unregister_transport" },
	{ 0x2577b735, "iscsi_host_get_param" },
	{ 0x9e570357, "kernel_sock_shutdown" },
	{ 0x83db5efd, "iscsi_suspend_rx" },
	{ 0xca576b9a, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0x86854f92, "iscsi_tcp_conn_teardown" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb4e87254, "iscsi_suspend_tx" },
	{ 0x327fd326, "iscsi_conn_stop" },
	{ 0xa08d121a, "__tracepoint_iscsi_dbg_sw_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdf515c49, "__SCT__tp_func_iscsi_dbg_sw_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa474f49c, "__tracepoint_sk_data_ready" },
	{ 0xc06ca697, "tcp_read_sock" },
	{ 0x52c9117e, "iscsi_conn_queue_recv" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x91382368, "lock_sock_nested" },
	{ 0x557aebbd, "release_sock" },
	{ 0x1c1258fa, "iscsi_tcp_conn_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa8e1efeb, "crypto_alloc_ahash" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x603e29ad, "iscsi_conn_start" },
	{ 0xd297f136, "iscsi_session_get_param" },
	{ 0xd503d84d, "iscsi_host_set_param" },
	{ 0xe9edcf1b, "iscsi_conn_send_pdu" },
	{ 0x87af7af8, "iscsi_tcp_task_init" },
	{ 0x1f0063b0, "iscsi_tcp_task_xmit" },
	{ 0xde6efd17, "iscsi_tcp_cleanup_task" },
	{ 0xfea483c4, "iscsi_session_recovery_timedout" },
	{ 0xb572a67e, "iscsi_queuecommand" },
	{ 0xa81efcf3, "iscsi_eh_abort" },
	{ 0x7b43e154, "iscsi_eh_device_reset" },
	{ 0x29ae961, "iscsi_eh_recover_target" },
	{ 0xa99aebeb, "scsi_change_queue_depth" },
	{ 0xc48f3d9f, "iscsi_eh_cmd_timed_out" },
	{ 0xdfe60430, "__SCK__tp_func_sk_data_ready" },
	{ 0x7f22264b, "__SCK__tp_func_iscsi_dbg_sw_tcp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf24db18, "iscsi_register_transport" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc12a0d0d, "iscsi_dbg_trace" },
	{ 0x29095f4, "_dev_printk" },
	{ 0x90859791, "iscsi_segment_init_linear" },
	{ 0xbca3069c, "iscsi_segment_seek_sg" },
	{ 0x2fee3292, "iscsi_tcp_dgst_header" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8e32a537, "iov_iter_bvec" },
	{ 0xa5572dc2, "sock_sendmsg" },
	{ 0xb8ef055d, "iscsi_tcp_segment_done" },
	{ 0xd269ac44, "iscsi_tcp_segment_unmap" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd003574b, "iscsi_conn_failure" },
	{ 0xb77c057f, "iscsi_tcp_conn_get_stats" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x60c111b3, "iscsi_get_conn" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi,libiscsi_tcp,scsi_mod");


MODULE_INFO(srcversion, "4F6052B36F234F36140A6FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
