#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0x3a326ba3, "");
SYMBOL_CRC(srp_reconnect_rport, 0xc8aa3a12, "");
SYMBOL_CRC(srp_timed_out, 0x559dad63, "");
SYMBOL_CRC(srp_rport_get, 0xf1efcf77, "");
SYMBOL_CRC(srp_rport_put, 0x5c1fd7d3, "");
SYMBOL_CRC(srp_rport_add, 0x21752995, "_gpl");
SYMBOL_CRC(srp_rport_del, 0xdbdbff0b, "_gpl");
SYMBOL_CRC(srp_remove_host, 0x57823f66, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0x0c526f02, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0x51c68b6d, "_gpl");
SYMBOL_CRC(srp_release_transport, 0x48562c41, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x84a5fd3f, "transport_class_register" },
	{ 0x6af2202b, "transport_class_unregister" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x783a0933, "transport_setup_device" },
	{ 0xded25f9c, "device_add" },
	{ 0xd81558f9, "transport_add_device" },
	{ 0xb51308a4, "transport_configure_device" },
	{ 0xc926b3c0, "attribute_container_register" },
	{ 0xeb1fb2c2, "attribute_container_unregister" },
	{ 0x2603acd3, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d7f1d7c, "scsi_target_unblock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf40f9223, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xead8fdd8, "__scsi_iterate_devices" },
	{ 0x29095f4, "_dev_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa01b0917, "device_for_each_child" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe1e2520e, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x3a851eb7, "get_device" },
	{ 0x5404f0c7, "transport_remove_device" },
	{ 0x1a927f22, "device_del" },
	{ 0xd32771c7, "transport_destroy_device" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "B81F578C8A9A5FA95AB73FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
