#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x9ede9e49, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x45deb2aa, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29010e78, "sdio_readb" },
	{ 0x11802865, "sdio_writeb" },
	{ 0x98fe8260, "alloc_etherdev_mqs" },
	{ 0xae968795, "sdio_release_host" },
	{ 0x489958f7, "sdio_disable_func" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x78e19645, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x7c776312, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0xc50c9b40, "sdio_claim_host" },
	{ 0x757ef40c, "sdio_memcpy_fromio" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xc731ceb1, "sdio_register_driver" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xca6c3a57, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x5636e38b, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe3e0aeeb, "sdio_memcpy_toio" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe97de774, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc60efa8f, "sdio_release_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x9b633409, "_dev_info" },
	{ 0xc937537b, "sdio_unregister_driver" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xa95093de, "crypto_shash_setkey" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6b637bff, "wireless_send_event" },
	{ 0x2b0fb185, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0xda8e4e22, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6c28683e, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3ce89225, "netif_rx" },
	{ 0xf90377a3, "__netdev_alloc_skb" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x90836561, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x313b0002, "netif_carrier_on" },
	{ 0xde20083d, "sdio_claim_irq" },
	{ 0x8a0616da, "sdio_enable_func" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("sdio:c*v005Bd7910*");
MODULE_ALIAS("sdio:c*v0023d7910*");

MODULE_INFO(srcversion, "9FA165086CD33111F1766FE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
