#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u_audio_set_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_suspend, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_mute, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_mute, "_gpl", "");
KSYMTAB_FUNC(g_audio_setup, "_gpl", "");
KSYMTAB_FUNC(g_audio_cleanup, "_gpl", "");

SYMBOL_CRC(u_audio_set_capture_srate, 0xcac9a268, "_gpl");
SYMBOL_CRC(u_audio_get_capture_srate, 0xe945b325, "_gpl");
SYMBOL_CRC(u_audio_set_playback_srate, 0x12c2caa7, "_gpl");
SYMBOL_CRC(u_audio_get_playback_srate, 0x1ef3f978, "_gpl");
SYMBOL_CRC(u_audio_start_capture, 0x556a8935, "_gpl");
SYMBOL_CRC(u_audio_stop_capture, 0x76c2db1d, "_gpl");
SYMBOL_CRC(u_audio_start_playback, 0x548383ff, "_gpl");
SYMBOL_CRC(u_audio_stop_playback, 0x61158357, "_gpl");
SYMBOL_CRC(u_audio_suspend, 0x8e426485, "_gpl");
SYMBOL_CRC(u_audio_get_volume, 0x59db57d5, "_gpl");
SYMBOL_CRC(u_audio_set_volume, 0x321253fc, "_gpl");
SYMBOL_CRC(u_audio_get_mute, 0x2697cdc5, "_gpl");
SYMBOL_CRC(u_audio_set_mute, 0xce7450d3, "_gpl");
SYMBOL_CRC(g_audio_setup, 0x0cf117fb, "_gpl");
SYMBOL_CRC(g_audio_cleanup, 0x3a52c158, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x22115910, "snd_pcm_stream_lock" },
	{ 0xaaff6225, "snd_pcm_stream_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa54b1b2, "snd_pcm_period_elapsed" },
	{ 0xf4af3e6b, "snd_ctl_notify" },
	{ 0xf39523f1, "config_ep_by_speed" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xe716a31b, "snd_pcm_hw_constraint_integer" },
	{ 0xe6e1aae8, "snd_card_free_when_closed" },
	{ 0x4fa2450c, "usb_ep_dequeue" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xfd4fdb64, "snd_card_new" },
	{ 0xd5ef0a5e, "snd_pcm_new" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd55d70f2, "snd_pcm_set_ops" },
	{ 0xe71cd457, "snd_ctl_new1" },
	{ 0x273af384, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xae45de59, "snd_pcm_set_managed_buffer_all" },
	{ 0xf6a34998, "snd_card_register" },
	{ 0xc64fde0c, "snd_card_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,libcomposite");


MODULE_INFO(srcversion, "7AFA40B30896A567B4B2F6D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
