#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x7b7835fe, "");
SYMBOL_CRC(w1_remove_master_device, 0x8bb71df0, "");
SYMBOL_CRC(w1_register_family, 0xeef66136, "");
SYMBOL_CRC(w1_unregister_family, 0x6384b3d8, "");
SYMBOL_CRC(w1_touch_bit, 0xd5ea4ce0, "_gpl");
SYMBOL_CRC(w1_write_8, 0x09220d58, "_gpl");
SYMBOL_CRC(w1_triplet, 0x63e4d44f, "_gpl");
SYMBOL_CRC(w1_read_8, 0x529dc2e1, "_gpl");
SYMBOL_CRC(w1_write_block, 0xf1f00e35, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xb982cb3b, "_gpl");
SYMBOL_CRC(w1_read_block, 0x8159568f, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x6ac1b9a1, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x008bf64b, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xb4e248fa, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x85c588d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e5f05c6, "cn_netlink_send_mult" },
	{ 0xe1e2520e, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b633409, "_dev_info" },
	{ 0xf6f2b5de, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe1d9a25b, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0x97816bf6, "sysfs_create_group" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4f0cffea, "device_register" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x3729d343, "pv_ops" },
	{ 0x54aba114, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaee6061b, "kobject_uevent" },
	{ 0x5afe737d, "hwmon_device_unregister" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x98465067, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6cc7ecbd, "cn_add_callback" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb2a9ca76, "device_unregister" },
	{ 0x7cd8750b, "sysfs_remove_groups" },
	{ 0x3c108714, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "209C80244BDFC77A7FAAFCD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
