#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d9b652b, "rb_erase" },
	{ 0x55f54b45, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfe73f2f8, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0x1e7cf05d, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x677517f2, "blkdev_issue_zeroout" },
	{ 0x4c3896f9, "file_remove_privs" },
	{ 0x24cfc37b, "fault_in_iov_iter_writeable" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x8b2ab575, "kobject_init_and_add" },
	{ 0x44d65130, "sget" },
	{ 0x774e143e, "zero_fill_bio_iter" },
	{ 0x39e8fb11, "bio_add_page" },
	{ 0xda8e4e22, "crypto_shash_update" },
	{ 0xcebbadb1, "from_vfsgid" },
	{ 0xb6ec48eb, "bio_split_rw" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xccdbe0f8, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc9835613, "__audit_inode_child" },
	{ 0x74a84a9e, "d_obtain_alias" },
	{ 0xc1a77f54, "file_modified" },
	{ 0x4967e79f, "radix_tree_iter_resume" },
	{ 0x97816bf6, "sysfs_create_group" },
	{ 0xc4e6f378, "posix_acl_chmod" },
	{ 0x8e165e28, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x9ff013bb, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x467f4733, "read_cache_page_gfp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0xd5a72959, "inode_add_bytes" },
	{ 0x63de2e35, "bpf_trace_run1" },
	{ 0xf1ec3b90, "from_kuid" },
	{ 0xf8427300, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5f9a0445, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd1aa5d19, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x24bf2925, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa553bf0a, "generic_remap_file_range_prep" },
	{ 0x67a99dd1, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf5146c96, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0e72ad0, "__insert_inode_hash" },
	{ 0x7db6570e, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c5f6f8b, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc2b711c, "filemap_get_folios" },
	{ 0x3dc3a7b0, "blkcg_root_css" },
	{ 0x7c75b4be, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0xafa01fc4, "make_kgid" },
	{ 0x8b694dc9, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xdd74c61a, "d_delete" },
	{ 0xc4d481d4, "wbc_account_cgroup_owner" },
	{ 0xa0446435, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2bcfdfcc, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4fcf672f, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x32ca071f, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x55d59cea, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x54aba114, "sysfs_remove_group" },
	{ 0x64afbe3b, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf27c936, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9e58ebda, "__alloc_pages_bulk" },
	{ 0x5233a6af, "super_setup_bdi" },
	{ 0x24e658d3, "igrab" },
	{ 0x9b837ddf, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xedf9ce1f, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf3323f7, "kobject_del" },
	{ 0xfa7a351, "d_instantiate_new" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x42948ae7, "bio_uninit" },
	{ 0xfcae624, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x8d1d6516, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x88959a1d, "filemap_fdatawait_range" },
	{ 0x41e6fe8d, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xafb52139, "security_sb_remount" },
	{ 0xe78a708b, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xb48d4d22, "security_sb_eat_lsm_opts" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0x51bfe47c, "simple_rename_timestamp" },
	{ 0xb4774bc6, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x8facdad9, "alloc_pages" },
	{ 0xa360ddde, "inode_set_ctime_current" },
	{ 0x26639318, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd4616a4f, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xc5d00aad, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x9384714a, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x537fa4b2, "deactivate_locked_super" },
	{ 0x98853689, "touch_atime" },
	{ 0xd413a0ae, "filemap_read" },
	{ 0xff24ce33, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf0362039, "__get_task_ioprio" },
	{ 0xe07c573f, "tag_pages_for_writeback" },
	{ 0x8ae05a71, "balance_dirty_pages_ratelimited_flags" },
	{ 0xaee6061b, "kobject_uevent" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x84a67324, "vfs_kern_mount" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb076d5d6, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xcd34848d, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xd59a8eaa, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xe2c1758f, "__folio_lock" },
	{ 0xc1b34cfd, "folio_wait_bit" },
	{ 0xefc317de, "filemap_dirty_folio" },
	{ 0x5401b7d0, "pagecache_get_page" },
	{ 0x27a228a1, "is_bad_inode" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xb8001565, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x1f630911, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x21dbd3bb, "file_ra_state_init" },
	{ 0xd06dc830, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x96da82ec, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf2951973, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x574d1d81, "kill_anon_super" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf88d0121, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x6eddd503, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x54b3aed0, "fsverity_ioctl_measure" },
	{ 0x923c5068, "generic_write_checks" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0x94fe2ae3, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe115d0da, "generic_write_checks_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xddd9871d, "kmem_cache_alloc_lru" },
	{ 0x436766, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9ede9e49, "crypto_alloc_shash" },
	{ 0x26adf34, "d_invalidate" },
	{ 0xe9986a5f, "__mark_inode_dirty" },
	{ 0x12015a72, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0xf84a8a23, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x772bc027, "iomap_dio_bio_end_io" },
	{ 0x59b086d7, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xd7673ff0, "set_anon_super" },
	{ 0x70e24110, "drop_nlink" },
	{ 0xb7113cc7, "fault_in_iov_iter_readable" },
	{ 0x5284befc, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x291ecce3, "iget_failed" },
	{ 0x778e3bcc, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x52bd8ad5, "fs_bio_set" },
	{ 0x94c08f29, "kmem_cache_destroy" },
	{ 0x464ed01f, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x2c6d9ada, "kset_create_and_add" },
	{ 0x22e28f72, "blkdev_issue_discard" },
	{ 0x95c97b1c, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xfb614fe1, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x50edd87e, "truncate_inode_pages" },
	{ 0xe35ad383, "folio_invalidate" },
	{ 0x51b3d815, "__page_file_index" },
	{ 0x1b9eb913, "inode_update_timestamps" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe921da5b, "inode_init_owner" },
	{ 0x2f4af119, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xde1d1434, "vfs_fsync_range" },
	{ 0xd48d724c, "setattr_prepare" },
	{ 0x38843694, "filemap_migrate_folio" },
	{ 0x2d8a2566, "clear_nlink" },
	{ 0x844a1210, "sync_blockdev_range" },
	{ 0x5099499c, "file_check_and_advance_wb_err" },
	{ 0x8a21423f, "filemap_flush" },
	{ 0x158ba58b, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x84320b3b, "filemap_get_folios_tag" },
	{ 0x445cb173, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7f199da2, "d_instantiate" },
	{ 0x461468e7, "_copy_to_iter" },
	{ 0x496faa2a, "fsverity_ioctl_enable" },
	{ 0x97e2bda4, "pagecache_isize_extended" },
	{ 0xbcecb097, "misc_deregister" },
	{ 0x20e5cdd, "__bio_add_page" },
	{ 0xd52fd7f0, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc79e8be, "clear_inode" },
	{ 0x39b1f4aa, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x6d0e16d, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7d9f1d47, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x9dbe9185, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdceb0958, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x31c63069, "__folio_batch_release" },
	{ 0x6d91bdae, "folio_unlock" },
	{ 0xdb90fa3f, "set_blocksize" },
	{ 0xe5971ffe, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x895e8188, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xadf12298, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9d8f8c5, "try_to_writeback_inodes_sb" },
	{ 0xaabf3666, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x844ad350, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xe5ff8947, "security_sb_set_mnt_opts" },
	{ 0xb4c6b4dc, "init_special_inode" },
	{ 0xf389a8a9, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3cdf6527, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3db4041, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9a29cc22, "filemap_fdatawrite_range" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x6f02e595, "d_make_root" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9c0f68eb, "__fsverity_file_open" },
	{ 0x1057a279, "bsearch" },
	{ 0x74baeccf, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x8c1e26e7, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x5041e6bf, "sync_filesystem" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0xb6decae, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xb000280a, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x767ada78, "d_splice_alias" },
	{ 0x17a6dd5d, "generic_error_remove_page" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xea0fbf31, "current_time" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x4e9459f0, "fiemap_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9f47dfc6, "from_vfsuid" },
	{ 0xff766dec, "ihold" },
	{ 0x92521456, "fsverity_verify_blocks" },
	{ 0x6c9d1603, "page_get_link" },
	{ 0x3246268a, "inode_dio_wait" },
	{ 0xf0f2f962, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x3ec61011, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f0888ed, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc67b6c87, "finish_open" },
	{ 0x97ca617, "iput" },
	{ 0x2c288495, "filemap_range_has_writeback" },
	{ 0x34232afa, "kset_unregister" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xfa2a4305, "wbc_attach_and_unlock_inode" },
	{ 0xb4cef8b7, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf03012ef, "filemap_release_folio" },
	{ 0x734167a5, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xaaf90366, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x854d71cf, "register_filesystem" },
	{ 0x5348428c, "d_tmpfile" },
	{ 0x9bdbe67e, "kmem_cache_create" },
	{ 0x6f5da734, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2236c6c, "kthread_park" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x29633d5c, "filemap_add_folio" },
	{ 0x38b6689e, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xe5a6e9b3, "clear_page_dirty_for_io" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2d97937f, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xac3afd8a, "d_prune_aliases" },
	{ 0x85e0195e, "wake_up_process" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x15dc868b, "fscrypt_setup_filename" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0x33a1eb47, "filemap_get_folios_contig" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x1dff68a6, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x269e7c26, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb31c0ca6, "inode_set_bytes" },
	{ 0xfc5917a4, "migrate_folio" },
	{ 0x4f1e06a3, "lookup_one" },
	{ 0xc9ea9073, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf016afc0, "add_swap_extent" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0xf74a07ac, "inode_newsize_ok" },
	{ 0xb0c5476e, "lock_two_nondirectories" },
	{ 0x5e77964c, "mnt_want_write_file" },
	{ 0x734a7b15, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x71329eae, "posix_acl_from_xattr" },
	{ 0x7c2504ac, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x7a3b28bd, "filemap_alloc_folio" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x6d22c255, "make_kuid" },
	{ 0xd8082061, "truncate_inode_pages_final" },
	{ 0x64da0c2d, "inode_sub_bytes" },
	{ 0xd06b45e0, "sync_blockdev" },
	{ 0xe0308e64, "fs_kobj" },
	{ 0x4e89cb1d, "backing_file_real_path" },
	{ 0x18f575a6, "__filemap_set_wb_err" },
	{ 0x3127e96f, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0x2c289204, "__filemap_get_folio" },
	{ 0x33b84f74, "copy_page" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x43d66dca, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0x541ff682, "__check_sticky" },
	{ 0x7a532320, "__free_pages" },
	{ 0x8cfa994f, "kmem_cache_alloc" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0xf08705ff, "xattr_full_name" },
	{ 0x792a0ae5, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x865cb642, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6cf039a, "submit_bio" },
	{ 0x64452c64, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xaae3a54d, "sysfs_create_link" },
	{ 0x99f7a383, "copy_page_from_iter_atomic" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x87aad0f9, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x868f4f03, "inode_init_once" },
	{ 0xfadf225d, "bioset_exit" },
	{ 0x4980dd8d, "compat_ptr_ioctl" },
	{ 0x924358fb, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3a0f8cac, "mark_page_accessed" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x6dd880d8, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x97bf7ee5, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xa5138a34, "bio_endio" },
	{ 0x7fbaedee, "mount_subtree" },
	{ 0x74e7808e, "__inode_attach_wb" },
	{ 0x1191ccb2, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe871e5df, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0xcedceb2d, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0x29720edd, "__bio_advance" },
	{ 0x86b903d, "sysfs_update_group" },
	{ 0x56dcd234, "sysfs_unmerge_group" },
	{ 0xaa23d8f2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2466e79c, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x3d7acd31, "inode_maybe_inc_iversion" },
	{ 0x81ebc681, "unlock_page" },
	{ 0x35d8601b, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4e3567f7, "match_int" },
	{ 0x26a42ded, "thp_get_unmapped_area" },
	{ 0x75116d9f, "sysfs_remove_link" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4b7c2b90, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0xa34d86b9, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c76e036, "unlock_two_nondirectories" },
	{ 0xc7658508, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xbd6a2cd0, "wait_on_page_writeback" },
	{ 0x9d71f745, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xbc7ac674, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0x247a950f, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x45d8e1f8, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8803296d, "file_update_time" },
	{ 0x5c056a15, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x8cd4c6e4, "security_inode_init_security" },
	{ 0xc50dfdb0, "blkdev_get_by_path" },
	{ 0xb8bcdc18, "from_kgid" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "8CB99FC3BD8DBB9391417FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
