#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xb317acd4, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xfc746711, "");
SYMBOL_CRC(dccp_v4_send_check, 0x778527c6, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xa047ebbc, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x0f61ebd6, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xb3fea980, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xbe29a590, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xaaa15a2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c3b100c, "dccp_rcv_state_process" },
	{ 0xa5f9857a, "dccp_reqsk_send_ack" },
	{ 0x926f2fd7, "inet_lookup_reuseport" },
	{ 0xd4e34d07, "__inet_lookup_listener" },
	{ 0xcd06bf4f, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x315d7fde, "sock_common_getsockopt" },
	{ 0x52528e65, "inet_bind" },
	{ 0xdd558a71, "__inet_inherit_port" },
	{ 0x3ce7ffbe, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x693e45cc, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xfe64202d, "__xfrm_policy_check" },
	{ 0xad7f76b, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc9555ca6, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa8b3cfc6, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e200b4f, "sk_error_report" },
	{ 0x9e85b2ba, "register_pernet_subsys" },
	{ 0xb6d8e74c, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7be0965a, "inet_getname" },
	{ 0x35dad89f, "inet_stream_connect" },
	{ 0x911675cc, "proto_unregister" },
	{ 0xde1a52b2, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x862d9b42, "inet_ehashfn" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0x16e5100a, "dccp_done" },
	{ 0x9f62222, "inet_release" },
	{ 0xd04d2d15, "__sk_dst_check" },
	{ 0x98806834, "dccp_disconnect" },
	{ 0xf29c2eed, "ip_route_output_key_hash" },
	{ 0x1e4ec08, "proto_register" },
	{ 0x5de36b68, "inet_hash" },
	{ 0x66e65255, "__sk_receive_skb" },
	{ 0xfce94fe8, "dccp_poll" },
	{ 0x3600f4d4, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x4547b654, "inet_csk_get_port" },
	{ 0xa9af5e8f, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x77d527c8, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xafcbb356, "inet_accept" },
	{ 0xd23c32b5, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48ceecf2, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x8ba65506, "inet_add_protocol" },
	{ 0x354e559e, "inet_shutdown" },
	{ 0xca576b9a, "sk_free" },
	{ 0xd4111524, "dccp_close" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x3abca122, "dccp_reqsk_init" },
	{ 0xc3f4a894, "inet_hash_connect" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0xc01ce7a0, "inet_csk_route_child_sock" },
	{ 0x1b810938, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0xbf57f8a6, "inet_csk_update_pmtu" },
	{ 0x22792070, "dccp_getsockopt" },
	{ 0x167eeefc, "dccp_parse_options" },
	{ 0x54119a07, "unregister_pernet_subsys" },
	{ 0xb8109c1c, "skb_checksum" },
	{ 0xae1554f3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e3e68, "sock_no_mmap" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0x356f8ba, "dccp_child_process" },
	{ 0x385b3796, "sock_common_recvmsg" },
	{ 0x656dd700, "dccp_setsockopt" },
	{ 0xdc49396a, "dccp_ioctl" },
	{ 0x57d964f8, "inet_sk_rebuild_header" },
	{ 0x80c2564c, "inet_del_protocol" },
	{ 0x2eac509e, "ipv4_mtu" },
	{ 0x2ea4caf4, "dccp_recvmsg" },
	{ 0xf44208cc, "inet_sendmsg" },
	{ 0x492b9994, "dccp_check_req" },
	{ 0x5b3999ef, "dccp_create_openreq_child" },
	{ 0xb360eafb, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x9af799a, "sock_pfree" },
	{ 0x6bf563a, "dccp_rcv_established" },
	{ 0xee1e66d1, "dccp_send_sync" },
	{ 0x11e7f2f7, "dst_release" },
	{ 0x43d80d3e, "sock_release" },
	{ 0x70a49ee7, "dccp_make_response" },
	{ 0xa3dc09cb, "dccp_destroy_sock" },
	{ 0x3957df92, "dccp_ctl_make_reset" },
	{ 0xb4399b6a, "sock_gettstamp" },
	{ 0x5fe89efc, "sk_setup_caps" },
	{ 0x173bfb1c, "ip_build_and_send_pkt" },
	{ 0x4ac9bc0, "dccp_sendmsg" },
	{ 0xd6db534f, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x77b751f7, "inet_twsk_put" },
	{ 0x403bae09, "inet_unhash" },
	{ 0x95af8b7f, "ip_getsockopt" },
	{ 0x6471e83a, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8184b29f, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x210a3daa, "inet_csk_reqsk_queue_drop" },
	{ 0x329c93d7, "__inet_lookup_established" },
	{ 0x5d2f08ca, "inet_bhash2_reset_saddr" },
	{ 0x44f41fcc, "inet_csk_addr2sockaddr" },
	{ 0xc4050b25, "inet_unregister_protosw" },
	{ 0x1d300a2e, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xefd3a3ba, "dccp_shutdown" },
	{ 0x4a75b04c, "inet_bhash2_update_saddr" },
	{ 0xe8e3a963, "dccp_connect" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9DA0A26EFC48E12227569C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
