#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x54dbca52, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xdfb36c51, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xb12a5992, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x336a2f51, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x1a7abf96, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xec3a1781, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x5a66e8d9, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x3a6a2247, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x7e4c9b82, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x91af8040, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x2e66087c, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x924bfc62, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xd07d693a, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x72e1d4fc, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xfd6f3235, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x19fc6b20, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xa65fa88c, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xce778a8d, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xeeb7d4cc, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x401b0a3d, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xad607ed5, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x08c55a63, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x4f0adb7a, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x11c2c037, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x55cd1d10, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x2d336815, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xe4bae14c, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x41e38d68, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xbe08c0dc, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xd3bc3498, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe1e2520e, "put_device" },
	{ 0x891dfc62, "devlink_resource_register" },
	{ 0xdfe7ab1, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x579fed08, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf08755e, "switchdev_bridge_port_offload" },
	{ 0x9a54524f, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0xac0ba712, "module_put" },
	{ 0xf764468b, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x86924464, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9080c369, "devlink_region_create" },
	{ 0xbc881136, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4f7b96f6, "__dev_get_by_index" },
	{ 0xadf5a0d1, "rtnl_link_unregister" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0xba19e093, "devlink_port_unregister" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x4039ba20, "init_net" },
	{ 0x6c088b0b, "noop_qdisc" },
	{ 0xb0aa29ba, "phy_ethtool_get_strings" },
	{ 0xc0730f63, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x6f6f5a08, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5316e5e6, "dev_remove_pack" },
	{ 0x247a950f, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc2de9aa, "gro_cells_receive" },
	{ 0x5f8d3209, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x92f493ab, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x38e9665b, "dev_mc_del" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0xed5c5b19, "br_vlan_get_info" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd3208003, "mdiobus_free" },
	{ 0x817c81de, "phylink_generic_validate" },
	{ 0x97816bf6, "sysfs_create_group" },
	{ 0x854cd703, "devlink_resource_occ_get_register" },
	{ 0xdade1a72, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x5b241d7b, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x3e2c9656, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5e2bea6c, "switchdev_bridge_port_unoffload" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x262143b9, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xdb195843, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x3ce89225, "netif_rx" },
	{ 0x1e135828, "dev_mc_add" },
	{ 0x34e6f35c, "flow_block_cb_alloc" },
	{ 0xd75f1c92, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xce2ae438, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x988c9a31, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3729d343, "pv_ops" },
	{ 0x54aba114, "sysfs_remove_group" },
	{ 0x1aaa2b07, "net_selftest" },
	{ 0x64afbe3b, "bpf_trace_run3" },
	{ 0x2333160a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xbde68881, "devlink_port_init" },
	{ 0xe065ed6b, "__netpoll_setup" },
	{ 0xb57e8759, "__dev_queue_xmit" },
	{ 0x13255823, "vlan_vid_add" },
	{ 0x9f05b3c2, "devlink_params_register" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x64b0855a, "vlan_vid_del" },
	{ 0x849f9c69, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xa2be1c11, "devlink_resources_unregister" },
	{ 0x25247b3, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702107d1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8e2b3b0f, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb3634466, "devlink_port_region_create" },
	{ 0x76995d31, "devlink_priv" },
	{ 0x851a63cd, "skb_copy" },
	{ 0x223f8016, "__hw_addr_sync_dev" },
	{ 0x397a8c53, "devlink_port_register_with_ops" },
	{ 0x8656ba0, "mdiobus_get_phy" },
	{ 0x11e7f2f7, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x79c42317, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x15b7d5df, "dev_uc_add" },
	{ 0xc8cbe08b, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x5da3636c, "br_mst_enabled" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x74b12152, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xb1d7814d, "dev_kfree_skb_any_reason" },
	{ 0x8eda2505, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50fedcdf, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xca7742f4, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4a6cf488, "dcb_ieee_setapp" },
	{ 0xe76cd385, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbee01bcc, "__skb_vlan_pop" },
	{ 0x8cab5e71, "phylink_connect_phy" },
	{ 0x25dbf163, "br_get_ageing_time" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0xb3c94148, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xc31a91d8, "netdev_lower_get_next" },
	{ 0x1c58ffc7, "flow_block_cb_lookup" },
	{ 0xb92f1999, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{  0xa363d, "devlink_resource_occ_get_unregister" },
	{ 0x45197794, "dev_set_mtu" },
	{ 0xcce34b1, "br_vlan_enabled" },
	{ 0x36d31a6c, "__skb_pad" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x39b1f4aa, "bpf_trace_run4" },
	{ 0x77d05e2b, "devlink_unregister" },
	{ 0x6bacf3c2, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x4adc4a37, "br_port_flag_is_set" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb9724771, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcaf21fc3, "br_port_get_stp_state" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x11bf6c9c, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xff607543, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f63378, "__netpoll_free" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x57995d22, "br_vlan_get_proto" },
	{ 0xece1c4b7, "br_mst_get_state" },
	{ 0xca6c3a57, "unregister_netdev" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x334debac, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x91522f2c, "netpoll_send_skb" },
	{ 0xdf337ad3, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x665a7574, "devlink_params_unregister" },
	{ 0xbd65b41a, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7780f1a, "devlink_alloc_ns" },
	{ 0xfd30e002, "dev_set_promiscuity" },
	{ 0x979da62b, "devlink_register" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xbe1a1a6e, "devlink_free" },
	{ 0x3e35c88b, "gro_cells_init" },
	{ 0x734167a5, "bpf_trace_run2" },
	{ 0xc09440cb, "netdev_warn" },
	{ 0xc801d455, "unregister_netdevice_queue" },
	{ 0x3a851eb7, "get_device" },
	{ 0xd5014ec8, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9d3d7c4a, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xe278fd09, "switchdev_handle_fdb_event_to_device" },
	{ 0xe97de774, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2aea864a, "netdev_upper_dev_link" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0xc1968b09, "switchdev_handle_port_attr_set" },
	{ 0xb492ab92, "phylink_create" },
	{ 0xbb8b1822, "vlan_for_each" },
	{ 0xb3b3d327, "netdev_port_same_parent_id" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0xb8855d69, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f0c365c, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x418987e8, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x772797c1, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "822601BCBC5BAAC7047E055");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
