#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8528cc4, "iptunnel_handle_offloads" },
	{ 0x87da11e, "ip_tunnel_xmit" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x4039ba20, "init_net" },
	{ 0x9f0c365c, "alloc_netdev_mqs" },
	{ 0x2b0fb185, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7d86c2e, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x29d43e15, "register_netdevice" },
	{ 0x116f153c, "__iptunnel_pull_header" },
	{ 0xfe64202d, "__xfrm_policy_check" },
	{ 0x69fc8d99, "ip_tunnel_rcv" },
	{ 0x6d22c255, "make_kuid" },
	{ 0xc9555ca6, "ip_route_output_flow" },
	{ 0x11e7f2f7, "dst_release" },
	{ 0x4f7b96f6, "__dev_get_by_index" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xaaf764d7, "ipv6_chk_custom_prefix" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3ce89225, "netif_rx" },
	{ 0xf1079b7d, "ipv6_chk_prefix" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0x1c6a31eb, "dst_cache_get_ip4" },
	{ 0x4a18423, "skb_realloc_headroom" },
	{ 0xd2ea756e, "skb_set_owner_w" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xd7b2ec05, "iptun_encaps" },
	{ 0x48197d73, "iptunnel_xmit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x48ceecf2, "ip6_mtu" },
	{ 0xffce312e, "icmpv6_ndo_send" },
	{ 0x5d324bae, "dst_cache_set_ip4" },
	{ 0x2fab87c2, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2eac509e, "ipv4_mtu" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x56492f2a, "ip_tunnel_siocdevprivate" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xae21bcba, "ip_tunnel_encap_setup" },
	{ 0xdb195843, "dev_get_tstats64" },
	{ 0xd8380994, "ip_tunnel_get_iflink" },
	{ 0xa5c9c64f, "ip_tunnel_get_link_net" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6c51aa8, "ip_tunnel_header_ops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4322fcbd, "register_pernet_device" },
	{ 0xb0722f8c, "xfrm4_tunnel_register" },
	{ 0xdf337ad3, "rtnl_link_register" },
	{ 0x89b6d400, "unregister_pernet_device" },
	{ 0x4716f0d7, "xfrm4_tunnel_deregister" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc801d455, "unregister_netdevice_queue" },
	{ 0x2a2f04fa, "ip_tunnel_netlink_parms" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f8f5926, "netdev_state_change" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96f031f0, "ip6_err_gen_icmpv6_unreach" },
	{ 0x5b29d549, "ipv4_update_pmtu" },
	{ 0x222d3f9b, "ipv4_redirect" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xadf5a0d1, "rtnl_link_unregister" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,tunnel4");


MODULE_INFO(srcversion, "603438DD0DE216FA644E41E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
