#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x5811a634, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x088e76e3, "");
SYMBOL_CRC(nfc_find_se, 0xbf2a931b, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x1b95ba05, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0xce408a8e, "");
SYMBOL_CRC(nfc_tm_data_received, 0x2aa76125, "");
SYMBOL_CRC(nfc_tm_activated, 0xbc334050, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xaadcfa5e, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0xae118c13, "");
SYMBOL_CRC(nfc_targets_found, 0xd3ccea2a, "");
SYMBOL_CRC(nfc_target_lost, 0xd5647aea, "");
SYMBOL_CRC(nfc_driver_failure, 0x30c6f6dd, "");
SYMBOL_CRC(nfc_add_se, 0x59f01e7b, "");
SYMBOL_CRC(nfc_remove_se, 0x893f9a69, "");
SYMBOL_CRC(nfc_se_transaction, 0xe65728d6, "");
SYMBOL_CRC(nfc_se_connectivity, 0x71f826e7, "");
SYMBOL_CRC(nfc_class, 0xfb6ff653, "");
SYMBOL_CRC(nfc_allocate_device, 0xe5d2e088, "");
SYMBOL_CRC(nfc_register_device, 0x7a324ccb, "");
SYMBOL_CRC(nfc_unregister_device, 0xb28769b5, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x17f2aa3d, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x488bc83d, "");
SYMBOL_CRC(nfc_proto_register, 0x8d8755e0, "");
SYMBOL_CRC(nfc_proto_unregister, 0x9c31c423, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x6da2ba32, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x608716e9, "sock_register" },
	{ 0x3bfa23fe, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe1e2520e, "put_device" },
	{ 0x81bcb1e, "netlink_broadcast" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e4ec08, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf4f6a640, "skb_queue_tail" },
	{ 0xac0ba712, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x61a208f2, "__sock_recv_timestamp" },
	{ 0x121e913f, "sock_no_shutdown" },
	{ 0x91ba54c6, "devm_kfree" },
	{ 0x4039ba20, "init_net" },
	{ 0xb04d3426, "skb_pull" },
	{ 0xded25f9c, "device_add" },
	{ 0x3bfa1408, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xca576b9a, "sk_free" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x383815aa, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x56539dbc, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x68b91ff4, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x91382368, "lock_sock_nested" },
	{ 0x9574797c, "sock_no_bind" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xca21dd, "skb_copy_datagram_iter" },
	{ 0x7750a490, "rfkill_alloc" },
	{ 0x4ff28bda, "class_dev_iter_init" },
	{ 0x309c01ad, "sk_alloc" },
	{ 0x1a927f22, "device_del" },
	{ 0x91792b15, "__sock_recv_wifi_status" },
	{ 0xae1554f3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x18e3e68, "sock_no_mmap" },
	{ 0xce2ae438, "skb_trim" },
	{ 0x5a7bb79b, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x8d153861, "skb_recv_datagram" },
	{ 0xa7a25b0d, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbf98eccf, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x851a63cd, "skb_copy" },
	{ 0xf8f45790, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x338438d5, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x81baf684, "genl_unregister_family" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0xbda3bea7, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x982a34c7, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe8976c58, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x557aebbd, "release_sock" },
	{ 0x8f8e420, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26f45701, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x2822c8ad, "skb_free_datagram" },
	{ 0x96c33d0d, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb57c7018, "class_dev_iter_next" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x7c776312, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29b27672, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0xfae25ac5, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xad9fa87c, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x532bb3c, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb9442966, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e200b4f, "sk_error_report" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b6e4218, "class_dev_iter_exit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x911675cc, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "1293B0C7C328752E3E480B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
