#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xcfccf0e2, "");
SYMBOL_CRC(pn_sock_unhash, 0x1a81b300, "");
SYMBOL_CRC(phonet_stream_ops, 0x34c8131a, "");
SYMBOL_CRC(pn_sock_get_port, 0x87b9f91e, "");
SYMBOL_CRC(phonet_header_ops, 0xde1d81c3, "");
SYMBOL_CRC(pn_skb_send, 0xbabfd584, "");
SYMBOL_CRC(phonet_proto_register, 0x7465b55d, "");
SYMBOL_CRC(phonet_proto_unregister, 0xf528c746, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4524d735, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x911675cc, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x608716e9, "sock_register" },
	{ 0x3bfa23fe, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0xfaf6b1cd, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a469c75, "rtnl_set_sk_err" },
	{ 0x1e4ec08, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac0ba712, "module_put" },
	{ 0x66e65255, "__sk_receive_skb" },
	{ 0x121e913f, "sock_no_shutdown" },
	{ 0x4f7b96f6, "__dev_get_by_index" },
	{ 0x4039ba20, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5316e5e6, "dev_remove_pack" },
	{ 0xf9af9692, "dev_get_by_index" },
	{ 0xca576b9a, "sk_free" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x383815aa, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x56539dbc, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x91382368, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xca21dd, "skb_copy_datagram_iter" },
	{ 0x472808c2, "rtnl_register_module" },
	{ 0x309c01ad, "sk_alloc" },
	{ 0x54119a07, "unregister_pernet_subsys" },
	{ 0xae1554f3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e3e68, "sock_no_mmap" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0x3ce89225, "netif_rx" },
	{ 0x385b3796, "sock_common_recvmsg" },
	{ 0xce2ae438, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x724916b3, "sk_common_release" },
	{ 0x439c7bac, "seq_pad" },
	{ 0x14a3788a, "sock_i_ino" },
	{ 0xb57e8759, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x8d153861, "skb_recv_datagram" },
	{ 0xa7a25b0d, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdd5998d9, "remove_proc_entry" },
	{ 0x956ddfa9, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xf8f45790, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x87922a25, "from_kuid_munged" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe8976c58, "sock_init_data" },
	{ 0x2cd0fe1c, "sk_ioctl" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x557aebbd, "release_sock" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x2822c8ad, "skb_free_datagram" },
	{ 0x96c33d0d, "sock_queue_rcv_skb_reason" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x308a47dc, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6bacf3c2, "__nlmsg_put" },
	{ 0x7c776312, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1321db5a, "consume_skb" },
	{ 0x11bf6c9c, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x315d7fde, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3759452a, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x532bb3c, "sock_no_connect" },
	{ 0xad7f76b, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2d80d424, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c58e0b4, "pskb_expand_head" },
	{ 0x9e85b2ba, "register_pernet_subsys" },
	{ 0x9ab3d564, "skb_queue_purge_reason" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9861B3B4533F1F8D6F32077");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
