#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x7c269a11, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x0eda8e16, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x339e3ca1, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xbe90d39a, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x8154f4d1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3600f4d4, "inet_ctl_sock_create" },
	{ 0xa9af5e8f, "inet_ioctl" },
	{ 0x2f341207, "reuseport_add_sock" },
	{ 0xdbef9456, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9e4866da, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0xaa23d8f2, "fput" },
	{ 0xafcbb356, "inet_accept" },
	{ 0x4039ba20, "init_net" },
	{ 0xa95093de, "crypto_shash_setkey" },
	{ 0xb04d3426, "skb_pull" },
	{ 0xd99640ca, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x48ceecf2, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdfe60430, "__SCK__tp_func_sk_data_ready" },
	{ 0x8ba65506, "inet_add_protocol" },
	{ 0x354e559e, "inet_shutdown" },
	{ 0xca576b9a, "sk_free" },
	{ 0x20ed4605, "sock_wake_async" },
	{ 0x5d7ef99b, "dev_get_by_index_rcu" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x3446f02e, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xd65dd9e6, "skb_push" },
	{ 0x4ad1d48b, "__ip_queue_xmit" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0x73fd6aae, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x91382368, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb6bbc81a, "inet6_ioctl" },
	{ 0xca21dd, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x309c01ad, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x54119a07, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9c490446, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xae1554f3, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xcb44b9cd, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e3e68, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x78052031, "__pskb_pull_tail" },
	{ 0x3ec7b7a, "setup_udp_tunnel_sock" },
	{ 0x6ee1233, "udp_sock_create6" },
	{ 0xce2ae438, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x724916b3, "sk_common_release" },
	{ 0x3729d343, "pv_ops" },
	{ 0x64afbe3b, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3ce3a142, "inet6_getname" },
	{ 0x14a3788a, "sock_i_ino" },
	{ 0xdfcd71f8, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1c7d42c8, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x80c2564c, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2eac509e, "ipv4_mtu" },
	{ 0xd2ea756e, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x5053d75a, "__skb_checksum" },
	{ 0x44a66b99, "reuseport_alloc" },
	{ 0x30d98298, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x7a8aeafa, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xf44208cc, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x69b00a7d, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x44d47db1, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xe391675b, "proc_create_net_single" },
	{ 0x851a63cd, "skb_copy" },
	{ 0xf8f45790, "skb_clone" },
	{ 0xdae75fad, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x11e7f2f7, "dst_release" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x43d80d3e, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5b22b0dc, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xb4399b6a, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x86f7ffd0, "_proc_mkdir" },
	{ 0x5fe89efc, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1c56e797, "send_sig" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x51c0dc9, "inet6_add_protocol" },
	{ 0x87922a25, "from_kuid_munged" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd6db534f, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x815d5f66, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd8e85d63, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xe1ef128e, "reuseport_detach_sock" },
	{ 0x95af8b7f, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9ede9e49, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x2123f1ef, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe8976c58, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x94c08f29, "kmem_cache_destroy" },
	{ 0x557aebbd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8f8e420, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xe317ee0a, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x308a47dc, "sock_i_uid" },
	{ 0xff33acd2, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa71a9a2d, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x51940725, "skb_copy_bits" },
	{ 0xc4050b25, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x36e6e7d, "sock_wfree" },
	{ 0x7c776312, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x1ad4558, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa91dedab, "ip6_dst_hoplimit" },
	{ 0x1321db5a, "consume_skb" },
	{ 0x2d707708, "inet6_add_offload" },
	{ 0x898cfe4e, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29ad2331, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7024de9e, "l3mdev_fib_table_by_index" },
	{ 0x9f216c03, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x29b27672, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8e75ab2d, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbd7e2483, "skb_segment" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x5ec5f8cd, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf8476433, "udp_tunnel6_xmit_skb" },
	{ 0x315d7fde, "sock_common_getsockopt" },
	{ 0x52528e65, "inet_bind" },
	{ 0x579efb42, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xc5426425, "fd_install" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x693e45cc, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xfe64202d, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xa474f49c, "__tracepoint_sk_data_ready" },
	{ 0x734167a5, "bpf_trace_run2" },
	{ 0xad7f76b, "sock_common_setsockopt" },
	{ 0x68d1dc4e, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc9555ca6, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x9bdbe67e, "kmem_cache_create" },
	{ 0xaedd77ef, "__sk_mem_schedule" },
	{ 0x5a15930f, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xcf5b9b0f, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2d80d424, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5e200b4f, "sk_error_report" },
	{ 0x9e85b2ba, "register_pernet_subsys" },
	{ 0x1accc484, "put_cmsg" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x4524d735, "register_net_sysctl_sz" },
	{ 0xffa49a22, "inet_sock_destruct" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0xe987469a, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34d3d231, "inet_sk_get_local_port_range" },
	{ 0x1d8a7156, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7be0965a, "inet_getname" },
	{ 0x911675cc, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xa2e8f5f8, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x9f62222, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8cfa994f, "kmem_cache_alloc" },
	{ 0x1e4ec08, "proto_register" },
	{ 0x41ac7b6c, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xb544efab, "inet6_compat_ioctl" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "A02798188D11016F7E04CB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
