#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x492e439f, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xe292b7c3, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xe35abd10, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x2b642307, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xb57d71eb, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xdf9ace41, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xbf9a7ee4, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x6a4827a9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x781dad53, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xf4c44331, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x1c8e777f, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x04f67268, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x73cc883f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xf060c079, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xc46a7e9c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x2c2f4111, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xf8af67d6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x91a5fce2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x11c0e32c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xe8f7d7f7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x2833be03, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x90aef651, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x6d389b2b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x2c665f57, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xfc75dbba, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x7e9cbd4b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x724f0d07, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xa811303f, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xb2929d26, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xf04c84d9, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x7698edc2, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xb24ab0a8, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xaf44e710, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x2764961f, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x56664f3c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xd2951080, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa732fb08, "vsock_remove_sock" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x194421a2, "vsock_deliver_tap" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xaa747a0, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e200b4f, "sk_error_report" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x703596c6, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xe38c576d, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0xb04d3426, "skb_pull" },
	{ 0xca576b9a, "sk_free" },
	{ 0x57806c38, "kfree_skb_reason" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x81c68f29, "__skb_recv_datagram" },
	{ 0x91382368, "lock_sock_nested" },
	{ 0x9a67be0a, "vsock_stream_has_data" },
	{ 0x5f9ef8d6, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3de81e2f, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7340f8a5, "bpf_trace_run10" },
	{ 0x56c64ba9, "vsock_core_get_transport" },
	{ 0x15584699, "vsock_stream_has_space" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x99f2a4b8, "vsock_create_connected" },
	{ 0x5e368a28, "vsock_assign_transport" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x557aebbd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6ace919c, "vsock_data_ready" },
	{ 0x769d6aa9, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x461468e7, "_copy_to_iter" },
	{ 0x611e1d69, "vsock_insert_connected" },
	{ 0x7c776312, "skb_put" },
	{ 0x1321db5a, "consume_skb" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
