#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0x3cc4b494, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3a8c221, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe1e2520e, "put_device" },
	{ 0xf17c9973, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9ebd83c3, "tpm_default_chip" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xa95093de, "crypto_shash_setkey" },
	{ 0xe6a6a332, "user_describe" },
	{ 0x4e6a2cb5, "tee_shm_register_kernel_buf" },
	{ 0x5a921311, "strncmp" },
	{ 0x55f54b45, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0x1d8d5f27, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0xda8e4e22, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6762f50a, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x677d6278, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe18dd032, "tpm_is_tpm2" },
	{ 0x8d1d6516, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0xab8daab9, "tee_client_close_context" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf82632c4, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2756db7e, "tee_shm_free" },
	{ 0xa20b3b06, "tpm_put_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x660a691d, "tee_client_open_context" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0x9ede9e49, "crypto_alloc_shash" },
	{ 0x9a39f84f, "__static_call_update" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x98465067, "driver_register" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd785d154, "tee_client_close_session" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xcd1d4773, "tpm_transmit_cmd" },
	{ 0x22443c2f, "tee_client_invoke_func" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0xd77e9a38, "look_up_OID" },
	{ 0xc2d28bcc, "unregister_key_type" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x49f18af1, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9194b477, "tee_client_open_session" },
	{ 0x721857a2, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a15419c, "tee_bus_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder,tee");

MODULE_ALIAS("tee:f04a0fe7-1f5d-4b9b-abf7-619b85b4ce8c*");

MODULE_INFO(srcversion, "E5880710B2A5242BFF11E6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
