#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xeaaeaf20, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x7d9da25e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x8f9051b8, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x5f975395, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0xfe4689d8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xd8b43e72, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x957bec90, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x9b8dab45, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xb219039a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x57cd3edf, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x3bf7dd8f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x1096aaed, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0xe967a22d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x3ecbaeb5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x6ab46671, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x330ce0eb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x15c9ac77, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0xdd95b464, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x96a8f974, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x9ffa7232, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x629f364e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x6c3c6d6d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xfc7b13f5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x2886d5f5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xf7eb7149, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x4ed60fdb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xddc24358, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x2ba0b367, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0xe8eda2cf, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xa199f6ff, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xfd206edf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6841b95a, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdde362e9, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe1e2520e, "put_device" },
	{ 0x63ee467e, "snd_hdac_bus_init" },
	{ 0xead7af7f, "snd_hdac_stream_init" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xce47d008, "snd_hdac_device_unregister" },
	{ 0xa03aeb50, "snd_hdac_stream_assign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x17d80557, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3cdd4f03, "snd_hdac_bus_init_cmd_io" },
	{ 0x5a22e08c, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x98465067, "driver_register" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa5c94b6a, "snd_hdac_stream_release" },
	{ 0x3b91d0f7, "snd_hdac_stream_release_locked" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
