#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x01126cd8, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x5a22e08c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x63ee467e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xdde362e9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x963f28bd, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xb147a8b8, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xe6aaaf41, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x8033eb36, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x8b7151c4, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x70ff7697, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xce47d008, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x49520a12, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xf1b82572, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x543854aa, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x92d06282, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xd8aed014, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xf11d151d, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xc02bcfc1, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xd59326f2, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x7fcb074b, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xda1bad91, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xcf560cdc, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x3af52d45, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xfdc68346, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x605299fc, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x31a0379c, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x0682ba94, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x75e9c67f, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xa2bb742a, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xdf26ee99, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x57daeee9, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x3c2aca5a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xcf4ffad6, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x95431890, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x09851fb7, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xf25c7403, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xbe97f65e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x69ef362a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x3cdd4f03, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x17d80557, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xc0dc1d5b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x5436218f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x514083a2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xe3a9db5f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xde9acaf5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x5464475c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x7af3f478, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x3b9ad83f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x107815e6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xa2afa264, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xb45e7541, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x0b8df607, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x6841b95a, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x2bd7047a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xead7af7f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x445f3b94, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x534c9bf1, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xb44e1070, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x4b68365c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xc5e8a9b2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x1d179df6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xd68a296f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0xa03aeb50, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x3b91d0f7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0xa5c94b6a, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x525c8b3e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x7e99071a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xcd0d1f57, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xa801ffe6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x73bf0a67, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x566c88a3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x5f0351a9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xba6520ac, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x8add46b6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x962be74a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x707bb893, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xcf801243, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xa0d98db1, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x5963cd8c, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x9290ff34, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xd16662d2, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x21b46f1d, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x3ffc6cc1, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x342e07a1, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xe0f9bef3, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x09a65622, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x5c25d0d4, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x43ae6097, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x9f35cc22, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x1ad19bb3, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x57123692, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x749d9d78, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x755b84c1, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x7f695114, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7b9513c, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0xad1e5391, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6426898, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe1e2520e, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b633409, "_dev_info" },
	{ 0xac0ba712, "module_put" },
	{ 0xc718b0d6, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e48d81b, "perf_trace_run_bpf_submit" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x2466e79c, "kobject_add" },
	{ 0xded25f9c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x917b0660, "__devres_alloc_node" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x97816bf6, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc79ed493, "__regmap_init" },
	{ 0x1a927f22, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2bcfdfcc, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x54aba114, "sysfs_remove_group" },
	{ 0x64afbe3b, "bpf_trace_run3" },
	{ 0x6fe6a938, "component_master_del" },
	{ 0x41bfa74a, "regmap_read" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6eea6e14, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaee6061b, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x739783f5, "pci_match_id" },
	{ 0x84e3bc80, "devres_find" },
	{ 0xae1ad959, "regmap_update_bits_base" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xd0fec53d, "__pm_runtime_suspend" },
	{ 0xe893d980, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5dbcaaf7, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd0413198, "pci_bus_type" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x95c97b1c, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xfc1203db, "regcache_sync" },
	{ 0x3d1018f5, "regmap_write" },
	{ 0xc6934df9, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x802289a5, "component_master_add_with_match" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x6a668f2c, "snd_pcm_add_chmap_ctls" },
	{ 0x14e6b7c4, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd52a7bc6, "pci_get_device" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x19ac3bf9, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd82c0f68, "pm_runtime_get_if_active" },
	{ 0xb6decae, "kobject_init" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xe02db51f, "regcache_reg_cached" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x734167a5, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x69e75a76, "snd_sgbuf_get_addr" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0x9d76338b, "snd_sgbuf_get_chunk_size" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "FC2DD5974E7B474BC8FFADA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
