#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x491ca682, "snd_hda_pick_fixup" },
	{ 0x316d26d4, "snd_hda_apply_fixup" },
	{ 0x73875b3e, "snd_hda_add_verbs" },
	{ 0xddb9ae2c, "snd_hda_gen_parse_auto_config" },
	{ 0x33499ec6, "snd_hda_enum_helper_info" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x682ba94, "snd_hdac_codec_read" },
	{ 0x85b65db4, "snd_hda_mixer_amp_volume_put" },
	{ 0x85a9d47b, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x69ef362a, "snd_hdac_regmap_sync" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc96b1eed, "snd_hda_shutup_pins" },
	{ 0x35358ac6, "snd_hda_get_connections" },
	{ 0x16def5ec, "snd_hda_gen_build_controls" },
	{ 0x5edfc4ad, "snd_hda_mixer_amp_volume_info" },
	{ 0x9851fb7, "snd_hdac_regmap_read_raw" },
	{ 0xbea2f257, "snd_hda_gen_spec_init" },
	{ 0x7f3648c7, "snd_hda_mixer_amp_switch_info" },
	{ 0x4f431fd2, "hda_codec_driver_unregister" },
	{ 0x53d19341, "snd_hda_codec_get_pincfg" },
	{ 0x75e9c67f, "snd_hdac_codec_write" },
	{ 0xb6091f75, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xc20c53b2, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x114b9819, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x92d06282, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc4066fd5, "snd_hda_get_bool_hint" },
	{ 0xe4e2c6ee, "snd_ctl_boolean_mono_info" },
	{ 0x8bbe8cb8, "snd_hda_override_amp_caps" },
	{ 0xa2f8c6b2, "__hda_codec_driver_register" },
	{ 0xe5de6375, "snd_hda_parse_pin_defcfg" },
	{ 0x227bc30, "snd_hda_gen_init" },
	{ 0x4805faf1, "snd_hda_mixer_amp_switch_get" },
	{ 0x864df6bb, "snd_hda_codec_set_name" },
	{ 0x69ec769b, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa45fd1de, "snd_hda_mixer_amp_switch_put" },
	{ 0x570dfe63, "snd_hda_codec_set_pincfg" },
	{ 0x82b58c18, "snd_hda_jack_unsol_event" },
	{ 0xa90c5252, "snd_hda_override_conn_list" },
	{ 0xc1db3c20, "snd_hda_check_amp_list_power" },
	{ 0x624d859d, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x36100eba, "snd_hda_mixer_amp_tlv" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "558C15B795F5F4841E8D15D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
