#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_hdmi_jack_port_init, "_gpl", "");
KSYMTAB_FUNC(hdac_hdmi_jack_init, "_gpl", "");

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0x41bd5fec, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0x5749c88e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35c4cff1, "_dev_err" },
	{ 0x342e07a1, "snd_hdac_register_chmap_ops" },
	{ 0xdd95b464, "snd_hdac_ext_bus_link_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0x21b46f1d, "snd_hdac_setup_channel_mapping" },
	{ 0xf4af3e6b, "snd_ctl_notify" },
	{ 0xe6aaaf41, "snd_hdac_codec_link_down" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x852770ad, "dapm_kcontrol_get_value" },
	{ 0x9f35cc22, "snd_hdac_acomp_get_eld" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5c25d0d4, "snd_hdac_display_power" },
	{ 0x5f975395, "snd_hda_ext_driver_register" },
	{ 0x57d26d22, "snd_pcm_hw_constraint_mask64" },
	{ 0xcb7d24b4, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d3553bf, "snd_soc_info_enum_double" },
	{ 0xa2bb742a, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15330d70, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfe4689d8, "snd_hda_ext_driver_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2da33f19, "snd_soc_dapm_new_controls" },
	{ 0xc02bcfc1, "snd_hdac_get_sub_nodes" },
	{ 0xa50154d7, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf789040a, "snd_soc_dapm_put_pin_switch" },
	{ 0x3bf7dd8f, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x742d2f52, "snd_soc_dapm_info_pin_switch" },
	{ 0x96a8f974, "snd_hdac_ext_bus_link_put" },
	{ 0xa5397b9b, "snd_soc_add_card_controls" },
	{ 0xd0fec53d, "__pm_runtime_suspend" },
	{ 0xcd7ade99, "snd_soc_dapm_get_enum_double" },
	{ 0x682ba94, "snd_hdac_codec_read" },
	{ 0x8682d467, "__pm_runtime_disable" },
	{ 0x50fedcdf, "device_link_add" },
	{ 0x1126cd8, "hdac_get_device_id" },
	{ 0xc24dd5be, "pm_runtime_force_suspend" },
	{ 0xffe30d82, "__pm_runtime_idle" },
	{ 0xb147a8b8, "snd_hdac_codec_link_up" },
	{ 0x1f1fca7c, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd65695e3, "snd_soc_dapm_put_enum_double" },
	{ 0x7fcb074b, "snd_hdac_get_connections" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xdf26ee99, "snd_hdac_sync_power_state" },
	{ 0x273af384, "snd_ctl_add" },
	{ 0xe0f9bef3, "snd_hdac_add_chmap_ctls" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbf4115b9, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3ffc6cc1, "snd_hdac_channel_allocation" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0x3789c988, "snd_soc_dapm_enable_pin" },
	{ 0x75e9c67f, "snd_hdac_codec_write" },
	{ 0x3dde246c, "snd_soc_dapm_disable_pin" },
	{ 0x605299fc, "snd_hdac_query_supported_pcm" },
	{ 0xd59326f2, "snd_hdac_refresh_widgets" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x82fe46e, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf11d2221, "devm_snd_soc_register_component" },
	{ 0xe71cd457, "snd_ctl_new1" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0x4fc50eb8, "snd_soc_dapm_new_widgets" },
	{ 0x7d28473b, "devm_kstrdup" },
	{ 0x92d06282, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea7adedf, "pm_runtime_enable" },
	{ 0xda67055f, "snd_soc_dapm_get_pin_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1ad19bb3, "snd_hdac_acomp_register_notifier" },
	{ 0x46b01c67, "devm_kmemdup" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0xd8aed014, "snd_hdac_read_parm_uncached" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd,snd-soc-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "B972B1B1F3CE977DCF16FA1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
