#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rt5682_supply_names, "_gpl", "");
KSYMTAB_FUNC(rt5682_apply_patch_list, "_gpl", "");
KSYMTAB_DATA(rt5682_reg, "_gpl", "");
KSYMTAB_FUNC(rt5682_volatile_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_readable_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_reset, "_gpl", "");
KSYMTAB_FUNC(rt5682_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5682_jack_detect_handler, "_gpl", "");
KSYMTAB_FUNC(rt5682_register_dai_clks, "_gpl", "");
KSYMTAB_DATA(rt5682_aif1_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_aif2_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_soc_component_dev, "_gpl", "");
KSYMTAB_FUNC(rt5682_parse_dt, "_gpl", "");
KSYMTAB_FUNC(rt5682_get_ldo1, "_gpl", "");
KSYMTAB_FUNC(rt5682_calibrate, "_gpl", "");

SYMBOL_CRC(rt5682_supply_names, 0x0d18594a, "_gpl");
SYMBOL_CRC(rt5682_apply_patch_list, 0xdf38bb96, "_gpl");
SYMBOL_CRC(rt5682_reg, 0xb897de56, "_gpl");
SYMBOL_CRC(rt5682_volatile_register, 0x573b4d85, "_gpl");
SYMBOL_CRC(rt5682_readable_register, 0x05d498ca, "_gpl");
SYMBOL_CRC(rt5682_reset, 0x16947c92, "_gpl");
SYMBOL_CRC(rt5682_sel_asrc_clk_src, 0x54a538ff, "_gpl");
SYMBOL_CRC(rt5682_jack_detect_handler, 0x59d3d967, "_gpl");
SYMBOL_CRC(rt5682_register_dai_clks, 0xdb6c76ac, "_gpl");
SYMBOL_CRC(rt5682_aif1_dai_ops, 0xcccf0224, "_gpl");
SYMBOL_CRC(rt5682_aif2_dai_ops, 0x27f8b927, "_gpl");
SYMBOL_CRC(rt5682_soc_component_dev, 0x702c0bc2, "_gpl");
SYMBOL_CRC(rt5682_parse_dt, 0xeb2bc469, "_gpl");
SYMBOL_CRC(rt5682_get_ldo1, 0xbc9d3486, "_gpl");
SYMBOL_CRC(rt5682_calibrate, 0x5603ea47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa59ba95, "device_property_read_u32_array" },
	{ 0x198aac1e, "snd_soc_info_volsw" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xaf5851bc, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc94275c4, "device_property_read_string_array" },
	{ 0xd9914cd8, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x19c2a9f6, "snd_soc_dapm_get_pin_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d3553bf, "snd_soc_info_enum_double" },
	{ 0x3331214f, "snd_soc_get_volsw" },
	{ 0x41bfa74a, "regmap_read" },
	{ 0x149f847, "snd_soc_put_volsw" },
	{ 0x419fb168, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x50ecbca5, "clk_hw_get_parent" },
	{ 0xae1ad959, "regmap_update_bits_base" },
	{ 0x5e79d404, "regmap_multi_reg_write" },
	{ 0x5b5d0f1c, "snd_soc_dapm_get_volsw" },
	{ 0xcd7ade99, "snd_soc_dapm_get_enum_double" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd65695e3, "snd_soc_dapm_put_enum_double" },
	{ 0xdff510f0, "device_property_present" },
	{ 0x5572564a, "devm_clk_hw_register_clkdev" },
	{ 0x92f6c9cf, "regcache_cache_only" },
	{ 0xfc1203db, "regcache_sync" },
	{ 0x3d1018f5, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbf4115b9, "snd_soc_jack_report" },
	{ 0xba1f73b7, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x377b6278, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3dde246c, "snd_soc_dapm_disable_pin" },
	{ 0x704ac8c7, "devm_clk_hw_register" },
	{ 0xfa23932e, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2aab7ae9, "clk_hw_get_name" },
	{ 0xa4576caf, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x86afc5, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x4a1c5d7b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x975ee89, "snd_soc_component_write" },
	{ 0x82fe46e, "snd_soc_dapm_sync" },
	{ 0x724dfdb9, "__clk_get_hw" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");


MODULE_INFO(srcversion, "332E9E81917BE222E0A9B73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
